linux-signed-arm64 (6.1.170+3) bookworm-security; urgency=high

  * Sign kernel from linux 6.1.170-3

  * xfrm: esp: ipv4: fix up flags setting
  * net: Fix icmp host relookup triggering ip_rt_bug (Closes: #1135514)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 May 2026 21:59:49 +0200

linux (6.1.170-2) bookworm-security; urgency=high

  [ Ben Hutchings ]
  * rxrpc: input: Open-code skb_unshare()
  * rxrpc: Fix conn-level packet handling to unshare RESPONSE packets
  * rxrpc: Also unshare DATA/RESPONSE packets when paged frags are present

  [ Salvatore Bonaccorso ]
  * xfrm: esp: avoid in-place decrypt on shared skb frags
  * Revert "wifi: cfg80211: stop NAN and P2P in cfg80211_leave"
    (Closes: #1135599)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 08 May 2026 14:16:54 +0200

linux (6.1.170-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.165
    - RDMA/siw: Fix potential NULL pointer dereference in header processing
    - RDMA/umad: Reject negative data_len in ib_umad_write
    - auxdisplay: arm-charlcd: fix release_mem_region() size
    - hfsplus: return error when node already exists in hfs_bnode_create
    - audit: avoid missing-prototype warnings
    - audit: move the compat_xxx_class[] extern declarations to audit_arch.h
    - i3c: Move device name assignment after i3c_bus_init
    - fs: add <linux/init_task.h> for 'init_fs'
    - i3c: master: Update hot-join flag only on success
    - gfs2: Add metapath_dibh helper
    - gfs2: Fix use-after-free in iomap inline data write path
    - tpm: tpm_i2c_infineon: Fix locality leak on get_burstcount() failure
    - tpm: st33zp24: Fix missing cleanup on get_burstcount() error
    - btrfs: qgroup: return correct error when deleting qgroup relation item
    - btrfs: fix block_group_tree dirty_list corruption
    - smb: client: fix potential UAF and double free in smb2_open_file()
    - xen/virtio: Optimize the setup of "xen-grant-dma" devices
    - xen/virtio: Handle PCI devices which Host controller is described in DT
    - xen/virtio: Don't use grant-dma-ops when running as Dom0
    - ACPICA: Fix NULL pointer dereference in acpi_ev_address_space_dispatch()
    - io_uring/sync: validate passed in offset
    - md/raid10: fix any_working flag handling in raid10_sync_request
    - iomap: fix submission side handling of completion side errors
    - ublk: Validate SQE128 flag before accessing the cmd
    - PM: wakeup: Handle empty list in wakeup_sources_walk_start()
    - PM: sleep: wakeirq: harden dev_pm_clear_wake_irq() against races
    - [s390x] cio: Fix device lifecycle handling in css_alloc_subchannel()
    - [x86] crypto: qat - fix warning on adf_pfvf_pf_proto.c
    - [armhf] VDSO: Patch out __vdso_clock_getres() if unavailable
    - [arm64] crypto: cavium - fix dma_free_coherent() size
    - crypto: hisilicon/zip - support deflate algorithm
    - crypto: hisilicon/zip - remove zlib and gzip
    - crypto: hisilicon/zip - adjust the way to obtain the req in the callback
      function
    - crypto: hisilicon/sec - fix spelling mistake 'ckeck' -> 'check'
    - crypto: hisilicon/sec2 - fix for sec spec check
    - crypto: hisilicon/sec2 - support skcipher/aead fallback for hardware queue
      unavailable
    - hrtimer: Fix trace oddity
    - bpf, sockmap: Fix incorrect copied_seq calculation
    - crypto: hisilicon/trng - modifying the order of header files
    - crypto: hisilicon/trng - support tfms sharing the device
    - bpf: Fix bpf_xdp_store_bytes proto for read-only arg
    - scsi: efct: Use IRQF_ONESHOT and default primary handler
    - EDAC/altera: Remove IRQF_ONESHOT
    - mfd: wm8350-core: Use IRQF_ONESHOT
    - sched/rt: Skip currently executing CPU in rto_next_cpu()
    - pstore/ram: fix buffer overflow in persistent_ram_save_old()
    - EDAC/i5000: Fix snprintf() size calculation in calculate_dimm_size()
    - EDAC/i5400: Fix snprintf() limit calculation in calculate_dimm_size()
    - [arm64] dts: tqma8mpql-mba8mpxl: Fix HDMI CEC pad control settings
    - [arm64] clk: qcom: Return correct error code in qcom_cc_probe_by_index()
    - [arm64] dts: qcom: sdm630: fix gpu_speed_bin size
    - [arm64] dts: qcom: sdm845-oneplus: Don't mark ts supply boot-on
    - [arm64] dts: qcom: sdm845-oneplus: Mark l14a regulator as boot-on
    - [armhf] dts: allwinner: sun5i-a13-utoo-p66: delete "power-gpios" property
    - [powerpc*] uaccess: Move barrier_nospec() out of
      allow_read_{from/write}_user()
    - [arm64] soc: qcom: cmd-db: Use devm_memremap() to fix memory leak in
      cmd_db_dev_probe
    - [powerpc*] eeh: fix recursive pci_lock_rescan_remove locking in EEH event
      handling
    - [arm64] dts: amlogic: axg: assign the MMC signal clocks
    - [arm64] dts: amlogic: gx: assign the MMC signal clocks
    - [arm64] dts: amlogic: g12: assign the MMC B and C signal clocks
    - [arm64] dts: amlogic: g12: assign the MMC A signal clock
    - [arm64] dts: qcom: sdm845-db845c: drop CS from SPIO0
    - [arm64] dts: qcom: sdm845-db845c: specify power for WiFi CH1
    - [x86] ASoC: nau8821: Consistently clear interrupts before unmasking
    - [x86] ASoC: nau8821: Avoid unnecessary blocking in IRQ handler
    - [x86] ASoC: nau8821: Fixup nau8821_enable_jack_detect()
    - drm/amdgpu: Use explicit VCN instance 0 in SR-IOV init
    - regulator: core: move supply check earlier in set_machine_constraints()
    - HID: playstation: Add missing check for input_ff_create_memless
    - drm/msm/dpu: fix CMD panels on DPU 1.x - 3.x
    - media: ccs: Accommodate C-PHY into the calculation
    - platform/chrome: cros_typec_switch: Don't touch struct fwnode_handle::dev
    - media: uvcvideo: Fix allocation for small frame sizes
    - platform/chrome: cros_ec_lightbar: Fix response size initialization
    - spi: tools: Add include folder to .gitignore
    - Revert "hwmon: (ibmpex) fix use-after-free in high/low store"
    - PCI: mediatek: Fix IRQ domain leak when MSI allocation fails
    - Documentation: PCI: endpoint: Fix ntb/vntb copy & paste errors
    - PCI/PM: Avoid redundant delays on D3hot->D3cold
    - PCI: Do not attempt to set ExtTag for VFs
    - PCI/portdrv: Fix potential resource leak
    - net: mctp-i2c: fix duplicate reception of old data
    - mctp i2c: initialise event handler read bytes
    - wifi: cfg80211: stop NAN and P2P in cfg80211_leave
    - netfilter: nf_conncount: make nf_conncount_gc_list() to disable BH
    - netfilter: nf_conncount: increase the connection clean up limit to 64
    - netfilter: nft_compat: add more restrictions on netlink attributes
    - netfilter: nf_conncount: fix tracking of connections from localhost
    - module: add helper function for reading module_buildid()
    - kallsyms/ftrace: set module buildid in ftrace_mod_address_lookup()
    - PCI: Mark 3ware-9650SA Root Port Extended Tags as broken
    - [amd64] iommu/vt-d: Flush cache for PASID table before using it
    - dm: use bio_clone_blkg_association
    - nfsd: never defer requests during idmap lookup
    - fat: avoid parent link count underflow in rmdir
    - tcp: tcp_tx_timestamp() must look at the rtx queue
    - wifi: ath10k: sdio: add missing lock protection in
      ath10k_sdio_fw_crashed_dump()
    - PCI: Initialize RCB from pci_configure_device()
    - ipc: don't audit capability check in ipc_permissions()
    - ucount: check for CAP_SYS_RESOURCE using ns_capable_noaudit()
    - octeontx2-af: Fix PF driver crash with kexec kernel booting
    - bonding: only set speed/duplex to unknown, if getting speed failed
    - timers: Replace in_irq() with in_hardirq()
    - nfc: hci: shdlc: Stop timers and work before freeing context
    - netfilter: nft_set_hash: fix get operation on big endian
    - netfilter: nft_counter: fix reset of counters on 32bit archs
    - netfilter: nft_set_rbtree: check for partial overlaps in anonymous sets
    - PCI: Add ACS quirk for Pericom PI7C9X2G404 switches [12d8:b404]
    - [arm64] net: hns3: fix double free issue for tx spare buffer
    - procfs: fix missing RCU protection when reading real_parent in
      do_task_stat()
    - smb: client: correct value for smbd_max_fragmented_recv_size
    - net: atm: fix crash due to unvalidated vcc pointer in sigd_send()
    - net: Add skb_dstref_steal and skb_dstref_restore
    - net: Switch to skb_dstref_steal/skb_dstref_restore for ip_route_input
      callers
    - xfrm: fix ip_rt_bug race in icmp_route_lookup reverse path
    - serial: caif: fix use-after-free in caif_serial ldisc_close()
    - ionic: Rate limit unknown xcvr type messages
    - octeontx2-pf: Unregister devlink on probe failure
    - RDMA/rtrs: server: remove dead code
    - IB/cache: update gid cache on client reregister event
    - [arm64] RDMA/hns: Fix WQ_MEM_RECLAIM warning
    - [arm64]RDMA/hns: Notify ULP of remaining soft-WCs during reset
    - power: supply: ab8500: Fix use-after-free in power_supply_changed()
    - power: supply: act8945a: Fix use-after-free in power_supply_changed()
    - power: supply: bq256xx: Fix use-after-free in power_supply_changed()
    - power: supply: bq25980: Fix use-after-free in power_supply_changed()
    - power: supply: cpcap-battery: Fix use-after-free in power_supply_changed()
    - power: supply: goldfish: Fix use-after-free in power_supply_changed()
    - power: supply: rt9455: Fix use-after-free in power_supply_changed()
    - power: supply: sbs-battery: Fix use-after-free in power_supply_changed()
    - power: reset: nvmem-reboot-mode: respect cell size for nvmem_cell_write
    - power: supply: bq27xxx: fix wrong errno when bus ops are unsupported
    - power: supply: wm97xx: Fix NULL pointer dereference in
      power_supply_changed()
    - RDMA/rtrs-srv: Refactor the handling of failure case in map_cont_bufs
    - RDMA/rtrs-srv: Correct the checking of ib_map_mr_sg
    - RDMA/rtrs-srv: fix SG mapping
    - RDMA/rxe: Fix double free in rxe_srq_from_init
    - mtd: rawnand: cadence: Fix return type of CDMA send-and-wait helper
    - [x86] crypto: ccp - Add an S4 restore flow
    - RDMA/uverbs: Validate wqe_size before using it in ib_uverbs_post_send
    - RDMA/core: Fix a couple of obvious typos in comments
    - svcrdma: Remove queue-shortening warnings
    - svcrdma: Clean up comment in svc_rdma_accept()
    - svcrdma: Increase the per-transport rw_ctx count
    - svcrdma: Reduce the number of rdma_rw contexts per-QP
    - RDMA/core: add rdma_rw_max_sge() helper for SQ sizing
    - cxl: Fix premature commit_end increment on decoder commit failure
    - mtd: parsers: ofpart: fix OF node refcount leak in
      parse_fixed_partitions()
    - RDMA/uverbs: Add __GFP_NOWARN to ib_uverbs_unmarshall_recv() kmalloc
    - pNFS: fix a missing wake up while waiting on NFS_LAYOUT_DRAIN
    - scsi: smartpqi: Replace one-element arrays with flexible-array members
    - scsi: smartpqi: Fix memory leak in pqi_report_phys_luns()
    - scsi: csiostor: Fix dereference of null pointer rn
    - nvdimm: virtio_pmem: serialize flush requests
    - fs/nfs: Fix readdir slow-start regression
    - tracing: Properly process error handling in event_hist_trigger_parse()
    - tracing: Remove duplicate ENABLE_EVENT_STR and DISABLE_EVENT_STR macros
    - [mips*] Work around LLVM bug when gp is used as global register variable
    - ext4: don't cache extent during splitting extent
    - ext4: fix memory leak in ext4_ext_shift_extents()
    - ext4: use optimized mballoc scanning regardless of inode format
    - ata: pata_ftide010: Fix some DMA timings
    - ata: libata-scsi: refactor ata_scsi_translate()
    - SUNRPC: auth_gss: fix memory leaks in XDR decoding error paths
    - SUNRPC: fix gss_auth kref leak in gss_alloc_msg error path
    - fbdev: au1200fb: Fix a memory leak in au1200fb_drv_probe()
    - [arm64] clk: qcom: rcg2: compute 2d using duty fraction directly
    - [arm64] clk: meson: gxbb: Limit the HDMI PLL OD to /4 on GXL/GXM SoCs
    - [arm64] clk: qcom: gcc-msm8953: Remove ALWAYS_ON flag from cpp_gdsc
    - clk: Move clk_{save,restore}_context() to COMMON_CLK section
    - [arm64] clk: qcom: dispcc-sdm845: Enable parents for pixel clocks
    - [arm64] clk: qcom: gfx3d: add parent to parent request map
    - clk: mediatek: Fix error handling in runtime PM setup
    - dmaengine: mediatek: uart-apdma: Fix above 4G addressing TX/RX
    - dma: dma-axi-dmac: fix SW cyclic transfers
    - staging: greybus: lights: avoid NULL deref
    - serial: imx: change SERIAL_IMX_CONSOLE to bool
    - serial: SH_SCI: improve "DMA support" prompt
    - mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms
    - coresight: etm3x: Fix cpulocked warning on cpuhp
    - Revert "mmc: rtsx_pci_sdmmc: increase power-on settling delay to 5ms"
    - mfd: arizona: Fix regulator resource leak on
      wm5102_clear_write_sequencer() failure
    - drivers: iio: mpu3050: use dev_err_probe for regulator request
    - usb: bdc: fix sleep during atomic
    - pinctrl: equilibrium: Fix device node reference leak in pinbank_init()
    - ovl: Fix uninit-value in ovl_fill_real
    - iio: sca3000: Fix a resource leak in sca3000_probe()
    - pinctrl: qcom: sm8250-lpass-lpi: Fix i2s2_data_groups definition
    - pinctrl: single: fix refcount leak in pcs_add_gpio_func()
    - leds: qcom-lpg: Check the return value of regmap_bulk_write()
    - backlight: qcom-wled: Support ovp values for PMI8994
    - io_uring/cancel: abstract out request match helper
    - io_uring/cancel: fix sequence matching for IORING_ASYNC_CANCEL_ANY
    - io_uring/cancel: add IORING_ASYNC_CANCEL_USERDATA
    - io_uring/cancel: support opcode based lookup and cancelation
    - io_uring/cancel: de-unionize file and user_data in struct io_cancel_data
    - ACPI: CPPC: Fix remaining for_each_possible_cpu() to use online CPUs
    - ACPI: PM: Add unused power resource quirk for THUNDEROBOT ZERO
    - cpuidle: Skip governor when only one idle state is available
    - net: sparx5/lan969x: fix DWRR cost max to match hardware register width
    - net: mscc: ocelot: extract ocelot_xmit_timestamp() helper
    - net: mscc: ocelot: split xmit into FDMA and register injection paths
    - net: mscc: ocelot: add missing lock protection in ocelot_port_xmit_inj()
    - net: sparx5/lan969x: fix PTP clock max_adj value
    - net: usb: catc: enable basic endpoint checking
    - xen-netback: reject zero-queue configuration from guest
    - net/rds: rds_sendmsg should not discard payload_len
    - netfilter: nf_conntrack_h323: don't pass uninitialised l3num value
    - net: remove WARN_ON_ONCE when accessing forward path array
    - netfilter: nf_tables: fix use-after-free in nf_tables_addchain()
      (CVE-2026-23231)
    - ipv6: fix a race in ip6_sock_set_v6only()
    - bpftool: Fix truncated netlink dumps
    - ping: Convert hlist_nulls to plain hlist.
    - inet: ping: check sock_net() in ping_get_port() and ping_lookup()
    - ping: annotate data-races in ping_lookup()
    - macvlan: observe an RCU grace period in macvlan_common_newlink() error
      path
    - icmp: move icmp_global.credit and icmp_global.stamp to per netns storage
    - icmp: icmp_msgs_per_sec and icmp_msgs_burst sysctls become per netns
    - icmp: prevent possible overflow in icmp_global_allow()
    - octeontx2-af: Fix default entries mcam entry action
    - bonding: alb: fix UAF in rlb_arp_recv during bond up/down
    - apparmor: fix NULL sock in aa_sock_file_perm
    - apparmor: fix rlimit for posix cpu timers
    - apparmor: fix invalid deref of rawdata when export_binary is unset
    - [x86] drm/i915/acpi: free _DSM package when no connectors
    - btrfs: fix invalid leaf access in btrfs_quota_enable() if ref key not
      found
    - [arm64] ASoC: rockchip: i2s-tdm: Use param rate if not provided by
      set_sysclk
    - drm/amd/display: Use same max plane scaling limits for all 64 bpp formats
    - perf callchain: Fix srcline printing with inlines
    - libperf: Don't remove -g when EXTRA_CFLAGS are used
    - libperf build: Always place libperf includes first
    - rtc: interface: Alarm race handling should not discard preceding error
    - audit: add fchmodat2() to change attributes class
    - hfsplus: fix volume corruption issue for generic/498
    - fs/buffer: add alert in try_to_free_buffers() for folios without buffers
    - audit: add missing syscalls to read class
    - hfsplus: pretend special inodes as regular files
    - i3c: master: svc: Initialize 'dev' to NULL in svc_i3c_master_ibi_isr()
    - minix: Add required sanity checking to minix_check_superblock()
    - smb: client: add proper locking around ses->iface_last_update
    - gfs2: fiemap page fault fix
    - tools/power cpupower: Reset errno before strtoull()
    - [arm64] perf/arm-cmn: Support CMN-600AE
    - [arm64] Add support for TSV110 Spectre-BHB mitigation
    - rnbd-srv: Zero the rsp buffer before using it
    - [x86] xen/pvh: Enable PAE mode for 32-bit guest only when CONFIG_X86_PAE
      is set
    - EFI/CPER: don't dump the entire memory region
    - APEI/GHES: ensure that won't go past CPER allocated record
    - EFI/CPER: don't go past the ARM processor CPER record buffer
    - ACPI: processor: Fix NULL-pointer dereference in
      acpi_processor_errata_piix4()
    - ACPICA: Abort AML bytecode execution when executing AML_FATAL_OP
    - [s390x] perf: Disable register readout on sampling events
    - xenbus: Use .freeze/.thaw to handle xenbus devices
    - blk-mq-debugfs: add missing debugfs_mutex in
      blk_mq_debugfs_register_hctxs()
    - bpf: verifier improvement in 32bit shift sign extension pattern
    - clocksource/drivers/sh_tmu: Always leave device running after probe
    - clocksource/drivers/timer-integrator-ap: Add missing Kconfig dependency on
      OF
    - PCI/MSI: Unmap MSI-X region on error
    - char: tpm: cr50: Remove IRQF_ONESHOT
    - pstore: ram_core: fix incorrect success return when vmap() fails
    - [arm64] tegra: smaug: Add usb-role-switch support
    - drm/display/dp_mst: Add protection against 0 vcpi
    - spi-geni-qcom: initialize mode related registers to 0
    - media: dvb-core: dmxdevfilter must always flush bufs
    - [armhf] spi: stm32: fix Overrun issue at < 8bpw
    - [arm64] drm/v3d: Set DMA segment size to avoid debug warnings
    - [armhf] media: omap3isp: isp_video_mbus_to_pix/pix_to_mbus fixes
    - [armhf] media: omap3isp: isppreview: always clamp in preview_try_format()
    - [armhf] media: omap3isp: set initial format
    - HID: apple: Add "SONiX KN85 Keyboard" to the list of non-apple keyboards
    - media: amphion: Clear last_buffer_dequeued flag for DEC_CMD_START
    - media: adv7180: fix frame interval in progressive mode
    - media: pvrusb2: fix URB leak in pvr2_send_request_ex
    - media: solo6x10: Check for out of bounds chip_id
    - media: cx25821: Fix a resource leak in cx25821_dev_setup()
    - drm/amdkfd: Fix GART PTE for non-4K pagesize in svm_migrate_gart_map()
    - drm: Account property blob allocations to memcg
    - hyper-v: Mark inner union in hv_kvp_exchg_msg_value as packed
    - virt: vbox: uapi: Mark inner unions in packed structs as packed
    - media: rkisp1: Fix filter mode register configuration
    - HID: multitouch: add eGalaxTouch EXC3188 support
    - HID: elecom: Add support for ELECOM HUGE Plus M-HT1MRBK
    - gpio: aspeed-sgpio: Change the macro to support deferred probe
    - spi: spi-mem: Protect dirmap_create() with spi_mem_access_start/end
    - [x86] ASoC: codecs: max98390: Check return value of
      devm_gpiod_get_optional() in max98390_i2c_probe()
    - hwmon: (f71882fg) Add F81968 support
    - [armhf] ASoC: es8328: Add error unwind in resume
    - modpost: Amend ppc64 save/restfpr symnames for -Os build
    - ALSA: usb-audio: Add iface reset and delay quirk for AB13X USB Audio
    - jfs: Add missing set_freezable() for freezable kthread
    - jfs: nlink overflow in jfs_rename
    - wifi: rtw88: fix DTIM period handling when conf->dtim_period is zero
    - wifi: rtw88: 8822b: Avoid WARNING in rtw8822b_config_trx_mode()
    - dm: remove fake timeout to avoid leak request
    - [arm64] iommu/arm-smmu-v3: Improve CMDQ lock fairness and efficiency
    - wifi: libertas: fix WARNING in usb_tx_block
    - PCI: dw-rockchip: Disable BAR 0 and BAR 1 for Root Port
    - ipv6: annotate data-races in ip6_multipath_hash_{policy,fields}()
    - ipv6: exthdrs: annotate data-race over multiple sysctl
    - ext4: mark group add fast-commit ineligible
    - ext4: mark group extend fast-commit ineligible
    - netfilter: nf_conntrack: Add allow_clash to generic protocol handler
    - netfilter: xt_tcpmss: check remaining length before reading optlen
    - net: usb: r8152: fix transmit queue timeout
    - net/rds: No shortcut out of RDS_CONN_ERROR
    - gro: change the BUG_ON() in gro_pull_from_frag0()
    - [arm64] net: hns3: extend HCLGE_FD_AD_QID to 11 bits
    - wifi: iwlegacy: add missing mutex protection in il4965_store_tx_power()
    - wifi: iwlegacy: add missing mutex protection in il3945_store_measurement()
    - ipv4: fib: Annotate access to struct fib_alias.fa_state.
    - Bluetooth: hci_conn: use mod_delayed_work for active mode timeout
    - Bluetooth: btusb: Add new VID/PID for RTL8852CE
    - Bluetooth: btusb: Add device ID for Realtek RTL8761BU
    - octeontx2-af: Workaround SQM/PSE stalls by disabling sticky
    - wifi: rtw89: pci: restore LDO setting after device resume
    - wifi: ath10k: fix lock protection in
      ath10k_wmi_event_peer_sta_ps_state_chg()
    - net: usb: sr9700: remove code to drive nonexistent multicast filter
    - vmw_vsock: bypass false-positive Wnonnull warning with gcc-16
    - net/rds: Clear reconnect pending bit
    - PCI: Mark ASM1164 SATA controller to avoid bus reset
    - PCI/AER: Clear stale errors on reporting agents upon probe
    - PCI: Fix pci_slot_lock () device locking
    - PCI: Enable ACS after configuring IOMMU for OF platforms
    - PCI: Add ACS quirk for Qualcomm Hamoa & Glymur
    - PCI: Mark Nvidia GB10 to avoid bus reset
    - myri10ge: avoid uninitialized variable use
    - nfc: nxp-nci: remove interrupt trigger type
    - RDMA/rtrs-clt: For conn rejection use actual err number
    - hisi_acc_vfio_pci: update status after RAS error
    - scsi: buslogic: Reduce stack usage
    - tracing: Fix false sharing in hwlat get_sample()
    - remoteproc: imx_dsp_rproc: Skip RP_MBOX_SUSPEND_SYSTEM when mailbox TX
      channel is uninitialized
    - mailbox: pcc: Remove spurious IRQF_ONESHOT usage
    - mailbox: imx: Skip the suspend flag for i.MX7ULP
    - mailbox: sprd: mask interrupts that are not handled
    - remoteproc: mediatek: Break lock dependency to `prepare_lock`
    - mailbox: sprd: clear delivery flag before handling TX done
    - clk: microchip: core: correct return value on *_get_parent()
    - soundwire: dmi-quirks: add mapping for Avell B.ON (OEM rebranded of NUC15)
    - staging: rtl8723bs: fix missing status update on sdio_alloc_irq() failure
    - serial: 8250_dw: handle clock enable errors in runtime_resume
    - usb: typec: ucsi: psy: Fix voltage and current max for non-Fixed PDOs
    - fpga: of-fpga-region: Fail if any bridge is missing
    - dmaengine: sun6i: Choose appropriate burst length under maxburst
    - dmaengine: stm32-mdma: initialize m2m_hw_period and ccr to fix warnings
    - misc: bcm_vk: Fix possible null-pointer dereferences in bcm_vk_read()
    - misc: eeprom: Fix EWEN/EWDS/ERAL commands for 93xx56 and 93xx66
    - staging: rtl8723bs: fix memory leak on failure path
    - serial: 8250: 8250_omap.c: Clear DMA RX running status only after DMA
      termination is done
    - fix it87_wdt early reboot by reporting running timer
    - [arm*] binder: don't use %pK through printk
    - watchdog: imx7ulp_wdt: handle the nowayout option
    - phy: mvebu-cp110-utmi: fix dr_mode property read from dts
    - phy: fsl-imx8mq-usb: disable bind/unbind platform driver feature
    - Revert "mfd: da9052-spi: Change read-mask to write-mask"
    - iio: Use IRQF_NO_THREAD
    - iio: magnetometer: Remove IRQF_ONESHOT
    - ceph: supply snapshot context in ceph_uninline_data()
    - libceph: define and enforce CEPH_MAX_KEY_LEN
    - include: uapi: netfilter_bridge.h: Cover for musl libc
    - drm/amd/display: Avoid updating surface with the same surface under MPO
    - drm/amdgpu: Adjust usleep_range in fence wait
    - ALSA: usb-audio: Update the number of packets properly at receiving
    - drm/amdgpu: Add HAINAN clock adjustment
    - drm/radeon: Add HAINAN clock adjustment
    - ALSA: usb-audio: Add sanity check for OOB writes at silencing
    - btrfs: replace BUG() with error handling in __btrfs_balance()
    - drm/amd/display: Remove conditional for shaper 3DLUT power-on
    - rtc: zynqmp: correct frequency value
    - ntb: ntb_hw_switchtec: Fix array-index-out-of-bounds access
    - ntb: ntb_hw_switchtec: Fix shift-out-of-bounds for 0 mw lut
    - xfrm6: fix uninitialized saddr in xfrm6_get_saddr()
    - ipmi: ipmb: initialise event handler read bytes
    - net: usb: kaweth: remove TX queue manipulation in kaweth_set_rx_mode
    - net: usb: lan78xx: scan all MDIO addresses on LAN7801
    - net: ixp4xx_eth: convert to ndo_hwtstamp_get() and ndo_hwtstamp_set()
    - net: ethernet: xscale: Check for PTP support properly
    - wifi: cfg80211: wext: fix IGTK key ID off-by-one
    - Bluetooth: L2CAP: Fix invalid response to L2CAP_ECRED_RECONF_REQ
    - Bluetooth: hci_qca: Cleanup on all setup failures
    - Bluetooth: L2CAP: Fix response to L2CAP_ECRED_CONN_REQ
    - Bluetooth: L2CAP: Fix not checking output MTU is acceptable on
      L2CAP_ECRED_CONN_REQ
    - Bluetooth: L2CAP: Fix missing key size check for L2CAP_LE_CONN_REQ
    - tipc: fix duplicate publication key in tipc_service_insert_publ()
    - RDMA/core: Fix stale RoCE GIDs during netdev events at registration
    - net: wan: farsync: Fix use-after-free bugs caused by unfinished tasklets
    - RDMA/efa: Fix typo in efa_alloc_mr()
    - net: usb: pegasus: enable basic endpoint checking
    - RDMA/umem: Fix double dma_buf_unpin in failure path
    - net: consume xmit errors of GSO frames
    - dpaa2-switch: validate num_ifs to prevent out-of-bounds write
    - netfilter: nf_conntrack_h323: fix OOB read in decode_choice()
    - rpmsg: core: fix race in driver_override_show() and use core helper
    - fpga: dfl: use subsys_initcall to allow built-in drivers to be added
    - dm-verity: correctly handle dm_bufio_client_create() failure
    - media: mtk-mdp: Fix error handling in probe function
    - media: mtk-mdp: Fix a reference leak bug in mtk_mdp_remove()
    - [armhf] omap2: Fix reference count leaks in omap_control_init()
    - [x86] KVM: nSVM: Remove a user-triggerable WARN on nested_svm_load_cr3()
      succeeding
    - [arm64] Disable branch profiling for all arm64 code
    - HID: hid-pl: handle probe errors
    - HID: magicmouse: Do not crash on missing msc->input
    - HID: prodikeys: Check presence of pm->input_ep82
    - HID: logitech-hidpp: Check maxfield in hidpp_get_report_length()
    - media: radio-keene: fix memory leak in error path
    - media: cx88: Add missing unmap in snd_cx88_hw_params()
    - media: cx23885: Add missing unmap in snd_cx23885_hw_params()
    - media: cx25821: Add missing unmap in snd_cx25821_hw_params()
    - media: i2c/tw9903: Fix potential memory leak in tw9903_probe()
    - media: i2c/tw9906: Fix potential memory leak in tw9906_probe()
    - media: ccs: Avoid possible division by zero
    - media: i2c: ov5647: Initialize subdev before controls
    - media: i2c: ov5647: Correct pixel array offset
    - media: i2c: ov5647: Correct minimum VBLANK value
    - media: i2c: ov5647: Sensor should report RAW color space
    - media: i2c: ov5647: Fix PIXEL_RATE value for VGA mode
    - media: i2c: ov5647: use our own mutex for the ctrl lock
    - dm-integrity: fix a typo in the code for write/discard race
    - dm: clear cloned request bio pointer when last clone bio completes
    - [arm64] soc: ti: k3-socinfo: Fix regmap leak on probe failure
    - [x86] KVM: nSVM: Always use vmcb01 in VMLOAD/VMSAVE emulation
    - [armhf] clk: tegra: tegra124-emc: Fix potential memory leak in
      tegra124_clk_register_emc()
    - [s390x] pci: Handle futile config accesses of disabled devices directly
    - dm-integrity: fix recalculation in bitmap mode
    - dm-unstripe: fix mapping bug when there are multiple targets in a table
    - [arm64] dts: rockchip: Do not enable hdmi_sound node on Pinebook Pro
    - drm: of: drm_of_panel_bridge_remove(): fix device_node leak
    - mm, page_alloc, thp: prevent reclaim for __GFP_THISNODE THP allocations
    - xfs: mark data structures corrupt on EIO and ENODATA
    - [amd64] iommu/vt-d: Flush dev-IOTLB only when PCIe device is accessible in
      scalable mode
    - mfd: core: Add locking around 'mfd_of_node_list'
    - xfs: delete attr leaf freemap entries when empty
    - xfs: fix freemap adjustments when adding xattrs to leaf blocks
    - xfs: fix remote xattr valuelblk check
    - [x86] KVM: x86: Add SRCU protection for reading PDPTRs in __get_sregs2()
    - PCI: endpoint: Fix swapped parameters in
      pci_{primary/secondary}_epc_epf_unlink() functions
    - md/bitmap: fix GPF in write_page caused by resize race
    - nfsd: fix return error code for nfsd_map_name_to_[ug]id
    - [x86] kexec: add a sanity check on previous kernel's ima kexec buffer
    - usb: gadget: tegra-xudc: Add handling for BLCG_COREPLL_PWRDN
    - bus: fsl-mc: fix an error handling in fsl_mc_device_add()
    - dm mpath: make pg_init_delay_msecs settable
    - [powerpc*] smp: Add check for kcalloc() failure in parse_thread_groups()
    - iio: gyro: itg3200: Fix unchecked return value in read_raw
    - mm/highmem: fix __kmap_to_page() build error
    - rapidio: replace rio_free_net() with kfree() in rio_scan_alloc_net()
    - ocfs2: fix reflink preserve cleanup issue
    - kexec: derive purgatory entry from symbol
    - Revert "PCI/IOV: Add PCI rescan-remove locking when enabling/disabling
      SR-IOV"
    - PCI/IOV: Fix race between SR-IOV enable/disable and hotplug
    - btrfs: continue trimming remaining devices on failure
    - remoteproc: imx_rproc: Fix invalid loaded resource table detection
    - [arm64] perf/arm-cmn: Reject unsupported hardware configurations
    - scsi: ufs: core: Flush exception handling work when RPM level is zero
    - usb: dwc2: fix resume failure if dr_mode is host
    - mtd: rawnand: pl353: Fix software ECC support
    - tipc: fix RCU dereference race in tipc_aead_users_dec()
    - drm/amdkfd: Fix out-of-bounds write in kfd_event_page_set()
    - net: cpsw_new: Fix unnecessary netdev unregistration in cpsw_probe() error
      path
    - PCI: Fix pci_slot_trylock() error handling
    - staging: rtl8723bs: fix null dereference in find_network
    - ceph: supply snapshot context in ceph_zero_partial_object()
    - net: ethernet: marvell: skge: remove incorrect conflicting PCI ID
    - net: wan/fsl_ucc_hdlc: Fix dma_free_coherent() in uhdlc_memclean()
    - octeontx2-af: CGX: fix bitmap leaks
    - net: macb: Fix tx/rx malfunction after phy link down and up
    - tracing: Fix to set write permission to per-cpu buffer_size_kb
    - io_uring/filetable: clamp alloc_hint to the configured alloc range
    - net: intel: fix PCI device ID conflict between i40e and ipw2200
    - atm: fore200e: fix use-after-free in tasklets during device removal
    - ipv6: ioam: fix heap buffer overflow in __ioam6_fill_trace_data()
    - fbcon: check return value of con2fb_acquire_newinfo()
    - fbdev: vt8500lcdfb: fix missing dma_free_coherent()
    - fbdev: of: display_timing: fix refcount leak in of_get_display_timings()
    - fbdev: ffb: fix corrupted video output on Sun FFB1
    - fbcon: Remove struct fbcon_display.inverse
    - [x86] ASoC: amd: yc: Add DMI quirk for ASUS Vivobook Pro 15X M6501RR
    - net: ethernet: ec_bhf: Fix dma_free_coherent() dma handle
    - net/sched: act_skbedit: fix divide-by-zero in tcf_skbedit_hash()
    - [x86] kexec: Copy ACPI root pointer address from config table
    - [arm64] Force the use of CNTVCT_EL0 in __delay()
    - net: nfc: nci: Fix parameter validation for packet data
    - NTB: ntb_transport: Fix too small buffer for debugfs_name
    - [arm64] Fix sampling the "stable" virtual counter in preemptible section
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.166
    - [x86] Revert "x86/kexec: add a sanity check on previous kernel's ima kexec
      buffer"
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.167
    - drm/vmwgfx: Fix invalid kref_put callback in vmw_bo_dirty_release
    - drm/vmwgfx: Return the correct value in vmw_translate_ptr functions
      (CVE-2026-23317)
    - drm/logicvc: Fix device node reference leak in logicvc_drm_config_parse()
    - irqchip/sifive-plic: Fix frozen interrupt due to affinity setting
      (CVE-2026-23287)
    - scsi: lpfc: Properly set WC for DPP mapping
    - scsi: pm8001: Fix use-after-free in pm8001_queue_command()
      (CVE-2026-23306)
    - ALSA: usb-audio: Remove VALIDATE_RATES quirk for Focusrite devices
    - scsi: ufs: core: Always initialize the UIC done completion
    - scsi: ufs: core: Move link recovery for hibern8 exit failure to wl_resume
    - ALSA: usb-audio: Cap the packet size pre-calculations
    - ALSA: usb-audio: Use inclusive terms
    - perf: Fix __perf_event_overflow() vs perf_remove_from_context() race
    - btrfs: move btrfs_crc32c_final into free-space-cache.c
    - btrfs: fix incorrect key offset in error message in
      check_dev_extent_item()
    - btrfs: fix compat mask in error messages in btrfs_check_features()
    - bpf: Fix stack-out-of-bounds write in devmap (CVE-2026-23359)
    - PCI: Introduce pci_dev_for_each_resource()
    - PCI: Fix printk field formatting
    - PCI: Update BAR # and window messages
    - PCI: Use resource names in PCI log messages
    - resource: Add resource set range and size helpers
    - PCI: Use resource_set_range() that correctly sets ->end
    - [x86] KVM: x86/pmu: Provide "error" semantics for unsupported-but-known
      PMU MSRs
    - [x86] KVM: x86: Fix KVM_GET_MSRS stack info leak
    - [x86] KVM: x86: Rename KVM_MSR_RET_INVALID to KVM_MSR_RET_UNSUPPORTED
    - [x86] KVM: x86: Return "unsupported" instead of "invalid" on access to
      unsupported PV MSR
    - [x86] KVM: x86: WARN if a vCPU gets a valid wakeup that KVM can't yet
      inject
    - [x86] KVM: x86: Ignore -EBUSY when checking nested events from
      vcpu_block()
    - [arm64,armhf] drm/tegra: dsi: fix device leak on probe
    - [armhf] bus: omap-ocp2scp: Convert to platform remove callback returning
      void
    - [armhf] bus: omap-ocp2scp: fix OF populate on driver rebind
    - ext4: make ext4_es_remove_extent() return void
    - ext4: get rid of ppath in ext4_find_extent()
    - ext4: get rid of ppath in ext4_ext_create_new_leaf()
    - ext4: get rid of ppath in ext4_ext_insert_extent()
    - ext4: get rid of ppath in ext4_split_extent_at()
    - ext4: subdivide EXT4_EXT_DATA_VALID1
    - ext4: don't zero the entire extent if EXT4_EXT_DATA_PARTIAL_VALID1
    - ext4: drop extent cache after doing PARTIAL_VALID1 zeroout
    - ext4: drop extent cache when splitting extent fails
    - [armhf] mfd: omap-usb-host: Convert to platform remove callback returning
      void
    - [armhf] mfd: omap-usb-host: Fix OF populate on driver rebind
    - [arm64] dts: rockchip: Fix rk356x PCIe range mappings
    - [armhf] clk: tegra: tegra124-emc: fix device leak on set_rate()
    - usb: cdns3: remove redundant if branch
    - usb: cdns3: call cdns_power_is_lost() only once in cdns_resume()
    - usb: cdns3: fix role switching during resume
    - ALSA: hda/conexant: Add quirk for HP ZBook Studio G4
    - hwmon: (max16065) Use READ/WRITE_ONCE to avoid compiler optimization
      induced race
    - ALSA: hda/conexant: Fix headphone jack handling on Acer Swift SF314
    - net: arcnet: com20020-pci: fix support for 2.5Mbit cards
    - drm/amd: Drop special case for yellow carp without discovery
    - drm/amdgpu: keep vga memory on MacBooks with switchable graphics
    - eventpoll: Fix integer overflow in ep_loop_check_proc()
    - media: dvb-core: fix wrong reinitialization of ringbuffer on reopen
      (CVE-2026-23253)
    - nfc: pn533: properly drop the usb interface reference on disconnect
      (CVE-2026-23291)
    - net: usb: kaweth: validate USB endpoints (CVE-2026-23312)
    - net: usb: kalmia: validate USB endpoints (CVE-2026-23365)
    - net: usb: pegasus: validate USB endpoints (CVE-2026-23290)
    - can: ems_usb: ems_usb_read_bulk_callback(): check the proper length of a
      message
    - can: ucan: Fix infinite loop from zero-length messages (CVE-2026-23298)
    - can: usb: etas_es58x: correctly anchor the urb in the read bulk callback
      (CVE-2026-23324)
    - HID: Add HID_CLAIMED_INPUT guards in raw_event callbacks missing them
      (CVE-2026-23382)
    - [x86] efi: defer freeing of boot services memory (CVE-2026-23352)
    - [x86] platform/x86: dell-wmi-sysman: Don't hex dump plaintext password
      data (CVE-2026-23370)
    - [x86] platform/x86: dell-wmi: Add audio/mic mute key codes
    - ALSA: usb-audio: Use correct version for UAC3 header validation
      (CVE-2026-23318)
    - wifi: radiotap: reject radiotap with unknown bits (CVE-2026-23367)
    - wifi: mac80211: fix NULL pointer dereference in mesh_rx_csa_frame()
      (CVE-2026-23279)
    - IB/mthca: Add missed mthca_unmap_user_db() for mthca_create_srq()
    - RDMA/irdma: Fix kernel stack leak in irdma_create_user_ah()
      (CVE-2026-23335)
    - net/sched: ets: fix divide by zero in the offload path (CVE-2026-23379)
    - scsi: target: Fix recursive locking in __configfs_open_file()
      (CVE-2026-23292)
    - Squashfs: check metadata block offset is within range (CVE-2026-23388)
    - drbd: fix "LOGIC BUG" in drbd_al_begin_io_nonblock() (CVE-2026-23356)
    - smb: client: fix broken multichannel with krb5+signing
    - smb: client: Don't log plaintext credentials in cifs_set_cifscreds
      (CVE-2026-23303)
    - scsi: core: Fix refcount leak for tagset_refcnt (CVE-2026-23296)
    - [x86] platform/x86: thinkpad_acpi: Fix errors reading battery thresholds
    - net: ethernet: ti: am65-cpsw-nuss/cpsw-ale: Fix multicast entry handling
      in ALE table
    - net: dpaa2: replace dpaa2_mac_is_type_fixed() with dpaa2_mac_is_type_phy()
    - net: dpaa2-switch: assign port_priv->mac after dpaa2_mac_connect() call
    - net: dpaa2-switch replace direct MAC access with
      dpaa2_switch_port_has_mac()
    - net: dpaa2-switch: serialize changes to priv->mac with a mutex
    - dpaa2-switch: do not clear any interrupts automatically
    - dpaa2-switch: Fix interrupt storm after receiving bad if_id in IRQ handler
    - atm: lec: fix null-ptr-deref in lec_arp_clear_vccs (CVE-2026-23286)
    - can: bcm: fix locking for bcm_op runtime updates (CVE-2026-23362)
    - can: mcp251x: fix deadlock in error path of mcp251x_open (CVE-2026-23357)
    - wifi: cw1200: Fix locking in error paths
    - wifi: wlcore: Fix a locking bug
    - wifi: mt76: Fix possible oob access in mt76_connac2_mac_write_txwi_80211()
      (CVE-2026-23315)
    - indirect_call_wrapper: do not reevaluate function pointer
    - xen/acpi-processor: fix _CST detection using undersized evaluation buffer
    - bpf: export bpf_link_inc_not_zero.
    - bpf: Fix a UAF issue in bpf_trampoline_link_cgroup_shim (CVE-2026-23319)
    - ipv6: fix NULL pointer deref in ip6_rt_get_dev_rcu() (CVE-2026-23304)
    - [amd64,arm64] amd-xgbe: fix sleep while atomic on suspend/resume
    - net: sched: avoid qdisc_reset_all_tx_gt() vs dequeue race for lockless
      qdiscs
    - net: nfc: nci: Fix zero-length proprietary notifications
    - nfc: nci: free skb on nci_transceive early error paths (CVE-2026-23339)
    - nfc: nci: clear NCI_DATA_EXCHANGE before calling completion callback
    - nfc: rawsock: cancel tx_work before socket teardown (CVE-2026-23372)
    - net: stmmac: Fix error handling in VLAN add and delete paths
    - net: ethernet: mtk_eth_soc: Reset prog ptr to old_prog in case of error in
      mtk_xdp_setup() (CVE-2026-23284)
    - net: bridge: fix nd_tbl NULL dereference when IPv6 is disabled
      (CVE-2026-23381)
    - net: vxlan: fix nd_tbl NULL dereference when IPv6 is disabled
      (CVE-2026-23293)
    - net: ipv6: fix panic when IPv4 route references loopback IPv6 nexthop
      (CVE-2026-23300)
    - net/sched: act_ife: Fix metalist update behavior (CVE-2026-23378)
    - xdp: use modulo operation to calculate XDP frag tailroom
    - xdp: produce a warning when calculated tailroom is negative
      (CVE-2026-23343)
    - tracing: Add NULL pointer check to trigger_data_free() (CVE-2026-23309)
    - net/sched: Only allow act_ct to bind to clsact/ingress qdiscs and shared
      blocks (CVE-2026-23270)
    - net: tcp: accept old ack during closing
    - scsi: storvsc: Fix scheduling while atomic on PREEMPT_RT
    - ACPI: PM: Save NVS memory on Lenovo G70-35
    - scsi: mpi3mr: Add NULL checks when resetting request and reply queues
    - unshare: fix unshare_fs() handling
    - wifi: mac80211: set default WMM parameters on all links
    - ACPI: OSI: Add DMI quirk for Acer Aspire One D255
    - scsi: ses: Fix devices attaching to different hosts
    - [x86] ASoC: amd: yc: Add ASUS EXPERTBOOK BM1503CDA to quirk table
    - ALSA: usb-audio: Avoid implicit feedback mode on DIYINHK USB Audio 2.0
    - ALSA: usb-audio: Check max frame size for implicit feedback mode, too
    - [powerpc*] uaccess: Fix inline assembly for clang build on PPC32
    - remoteproc: sysmon: Correct subsys_name_len type in QMI request
    - remoteproc: mediatek: Unprepare SCP clock during system suspend
    - [powerpc*] 83xx: km83xx: Fix keymile vendor prefix
    - xprtrdma: Decrement re_receiving on the early exit paths
    - bonding: handle BOND_LINK_FAIL, BOND_LINK_BACK as valid link states
    - net/mlx5: IFC updates for disabled host PF
    - net/mlx5: Query to see if host PF is disabled
    - net/mlx5: Fix deadlock between devlink lock and esw->wq
    - net/mlx5e: Fix DMA FIFO desync on error CQE SQ recovery
    - net/sched: teql: fix NULL pointer dereference in iptunnel_xmit on TEQL
      slave xmit (CVE-2026-23277)
    - ASoC: soc-core: drop delayed_work_pending() check before flush
    - ASoC: core: Exit all links before removing their components
    - ASoC: core: Do not call link_exit() on uninitialized rtd objects
    - ASoC: soc-core: flush delayed work before removing DAIs and widgets
    - serial: caif: hold tty->link reference in ldisc_open and ser_release
    - mctp: i2c: fix skb memory leak in receive path
    - can: hi311x: hi3110_open(): add check for hi3110_power_enable() return
      value
    - mctp: route: hold key->lock in mctp_flow_prepare_output()
    - netfilter: nft_set_pipapo: fix stack out-of-bounds read in pipapo_drop()
    - netfilter: x_tables: guard option walkers against 1-byte tail reads
    - netfilter: nfnetlink_queue: fix entry leak in bridge verdict error path
    - netfilter: nfnetlink_cthelper: fix OOB read in nfnl_cthelper_dump_table()
    - netfilter: xt_IDLETIMER: reject rev0 reuse of ALARM timer labels
      (CVE-2026-23274)
    - regulator: pca9450: Make IRQ optional
    - regulator: pca9450: Correct interrupt type
    - sched: idle: Make skipping governor callbacks more consistent
    - nvme-pci: Fix slab-out-of-bounds in nvme_dbbuf_set
    - nvme-pci: Fix race bug in nvme_poll_irqdisable()
    - i40e: fix src IP mask checks and memcpy argument names in cloud filter
    - e1000/e1000e: Fix leak in DMA error cleanup
    - ACPI: OSL: fix __iomem type on return from acpi_os_map_generic_address()
    - ASoC: detect empty DMI strings
    - net: bonding: Fix nd_tbl NULL dereference when IPv6 is disabled
    - usb: gadget: f_mass_storage: Fix potential integer overflow in
      check_command_size_in_blocks()
    - [arm64] Revert "arm64: dts: qcom: sdm845-oneplus: Mark l14a regulator as
      boot-on"
    - cgroup: fix race between task migration and iteration
    - ALSA: usb-audio: Check endpoint numbers at parsing Scarlett2 mixer
      interfaces
    - net: usb: lan78xx: fix silent drop of packets with checksum errors
    - net: usb: lan78xx: fix TX byte statistics for small packets
    - net: usb: lan78xx: skip LTM configuration for LAN7850
    - [x86] ASoC: amd: yc: Add DMI quirk for ASUS EXPERTBOOK PM1503CDA
    - [x86] KVM: SVM: Initialize AVIC VMCB fields if AVIC is enabled with
      in-kernel APIC
    - USB: add QUIRK_NO_BOS for video capture several devices
    - usb/core/quirks: Add Huawei ME906S-device to wakeup quirk
    - USB: ezcap401 needs USB_QUIRK_NO_BOS to function on 10gbs usb speed
    - usb: xhci: Fix memory leak in xhci_disable_slot()
    - usb: yurex: fix race in probe
    - usb: misc: uss720: properly clean up reference in uss720_probe()
    - usb: core: don't power off roothub PHYs if phy_set_mode() fails
    - usb: cdc-acm: Restore CAP_BRK functionnality to CH343
    - USB: usbcore: Introduce usb_bulk_msg_killable()
    - USB: usbtmc: Use usb_bulk_msg_killable() with user-specified timeouts
    - USB: core: Limit the length of unkillable synchronous timeouts
    - usb: class: cdc-wdm: fix reordering issue in read code path
    - usb: renesas_usbhs: fix use-after-free in ISR during device removal
    - usb: mdc800: handle signal and read racing
    - usb: image: mdc800: kill download URB on timeout
    - mm/tracing: rss_stat: ensure curr is false from kthread context
    - mmc: mmci: Fix device_node reference leak in of_get_dml_pipe_index()
    - mmc: core: Avoid bitfield RMW for claim/retune flags
    - tipc: fix divide-by-zero in tipc_sk_filter_connect()
    - libceph: Fix potential out-of-bounds access in ceph_handle_auth_reply()
    - libceph: reject preamble if control segment is empty
    - libceph: prevent potential out-of-bounds reads in process_message_header()
    - libceph: Use u32 for non-negative values in ceph_monmap_decode()
    - libceph: admit message frames only in CEPH_CON_S_OPEN state
    - ceph: fix i_nlink underrun during async unlink
    - time: add kernel-doc in time.c
    - time/jiffies: Mark jiffies_64_to_clock_t() notrace
    - [arm64] drm/bridge: ti-sn65dsi86: Enable HPD polling if IRQ is not used
    - device property: Allow secondary lookup in fwnode_get_next_child_node()
    - irqchip/gic-v3-its: Limit number of per-device MSIs to the range the ITS
      supports
    - ixgbevf: fix link setup issue
    - staging: rtl8723bs: properly validate the data in rtw_get_ie_ex()
    - staging: rtl8723bs: fix potential out-of-bounds read in
      rtw_restruct_wmm_ie
    - media: dvb-net: fix OOB access in ULE extension header tables
    - [amd64,arm64] net: mana: Ring doorbell at 4 CQ wraparounds
    - ice: fix retry for AQ command 0x06EE
    - batman-adv: Avoid double-rtnl_lock ELP metric worker
    - nouveau/dpcd: return EBUSY for aux xfer if the device is asleep
    - hwmon: (pmbus/q54sj108a2) fix stack overflow in debugfs read
    - smb: server: fix use-after-free in smb2_open()
    - net: ncsi: fix skb leak in error paths
    - net: ethernet: arc: emac: quiesce interrupts before requesting IRQ
    - drm/amdgpu: Fix use-after-free race in VM acquire
    - drm/amd: Set num IP blocks to 0 if discovery fails
    - drm/bridge: ti-sn65dsi83: fix CHA_DSI_CLK_RANGE rounding
    - tracing: Fix trace_buf_size= cmdline parameter with sizes >= 2G
    - xfs: fix undersized l_iclog_roundoff values
    - [s390x] dasd: Move quiesce state with pprc swap
    - [s390x] dasd: Copy detected format information to secondary device
    - lib/bootconfig: fix off-by-one in xbc_verify_tree() unclosed brace error
    - scsi: core: Fix error handling for scsi_alloc_sdev()
    - [x86] apic: Disable x2apic on resume if the kernel expects so
    - lib/bootconfig: fix snprintf truncation check in
      xbc_node_compose_key_after()
    - lib/bootconfig: check bounds before writing in __xbc_open_brace()
    - smb: client: fix atomic open with O_DIRECT & O_SYNC
    - smb: client: fix iface port assignment in parse_server_interfaces
    - btrfs: fix transaction abort on file creation due to name hash collision
    - btrfs: abort transaction on failure to update root in the received subvol
      ioctl
    - iio: dac: ds4424: reject -128 RAW value
    - iio: chemical: sps30_serial: fix buffer size in sps30_serial_read_meas()
    - iio: chemical: sps30_i2c: fix buffer size in sps30_i2c_read_meas()
    - iio: potentiometer: mcp4131: fix double application of wiper shift
    - iio: chemical: bme680: Fix measurement wait duration calculation
    - iio: gyro: mpu3050-core: fix pm_runtime error handling
    - iio: gyro: mpu3050-i2c: fix pm_runtime error handling
    - iio: imu: inv_icm42600: fix odr switch to the same value
    - i3c: mipi-i3c-hci: Use ETIMEDOUT instead of ETIME for timeout errors
    - i3c: mipi-i3c-hci: Restart DMA ring correctly after dequeue abort
    - i3c: mipi-i3c-hci: Add missing TID field to no-op command descriptor
    - drm/bridge: ti-sn65dsi86: Add support for DisplayPort mode with HPD
    - ipv6: use RCU in ip6_xmit() (CVE-2025-40135)
    - bpf: Forget ranges when refining tnum after JSET (CVE-2025-39748)
    - l2tp: do not use sock_hold() in pppol2tp_session_get_sock()
    - io_uring/io-wq: check IO_WQ_BIT_EXIT inside work run loop (CVE-2026-23113)
    - io_uring/kbuf: check if target buffer list is still legacy on recycle
    - sunrpc: fix cache_request leak in cache_release
    - nvdimm/bus: Fix potential use after free in asynchronous initialization
    - NFC: nxp-nci: allow GPIOs to sleep
    - net: macb: fix use-after-free access to PTP clock
    - Bluetooth: L2CAP: Fix type confusion in l2cap_ecred_reconf_rsp()
    - Bluetooth: L2CAP: Validate L2CAP_INFO_RSP payload length before access
    - smb: client: fix krb5 mount with username option
    - ksmbd: unset conn->binding on failed binding request
    - mmc: sdhci-pci-gli: fix GL9750 DMA write corruption
    - mmc: sdhci: fix timing selection for 1-bit bus width
    - spi: fix use-after-free on controller registration failure
    - spi: fix statistics allocation
    - mtd: rawnand: pl353: make sure optimal timings are applied
    - mtd: rawnand: cadence: Fix error check for dma_alloc_coherent() in
      cadence_nand_init()
    - mtd: Avoid boot crash in RedBoot partition table parser
    - [amd64] iommu/vt-d: Fix intel iommu iotlb sync hardlockup and retry
    - serial: 8250_pci: add support for the AX99100
    - serial: 8250: Fix TX deadlock when using DMA
    - serial: 8250: Add late synchronize_irq() to shutdown to handle DW UART
      BUSY
    - serial: uartlite: fix PM runtime usage count underflow on probe
    - drm/amdgpu/mmhub2.0: add bounds checking for cid
    - drm/amdgpu/mmhub2.3: add bounds checking for cid
    - drm/amdgpu/mmhub3.0.1: add bounds checking for cid
    - drm/amdgpu/mmhub3.0.2: add bounds checking for cid
    - drm/amdgpu/mmhub3.0: add bounds checking for cid
    - drm/radeon: apply state adjust rules to some additional HAINAN vairants
    - drm/amdgpu: apply state adjust rules to some additional HAINAN vairants
    - mm/hugetlb: fix copy_hugetlb_page_range() to use ->pt_share_count
    - mm/hugetlb: fix hugetlb_pmd_shared() (CVE-2026-23100)
    - mm/hugetlb: fix two comments related to huge_pmd_unshare()
    - mm/hugetlb: fix excessive IPI broadcasts when unsharing PMD tables using
      mmu_gather
    - ksmbd: call ksmbd_vfs_kern_path_end_removing() on some error paths
    - ext4: fix dirtyclusters double decrement on fs shutdown
    - ext4: always allocate blocks only from groups inode can use
    - wifi: libertas: fix use-after-free in lbs_free_adapter() (CVE-2026-23281)
    - wifi: cfg80211: move scan done work to wiphy work
    - wifi: cfg80211: cancel rfkill_block work in wiphy_unregister()
      (CVE-2026-23336)
    - [x86] sev: Allow IBPB-on-Entry feature for SNP guests
    - net: phy: register phy led_triggers during probe to avoid AB-BA deadlock
      (CVE-2026-23368)
    - drm/amd/display: Use GFP_ATOMIC in dc_create_stream_for_sink
    - mptcp: pm: avoid sending RM_ADDR over same subflow
    - mptcp: pm: in-kernel: always mark signal+subflow endp as used
    - net/sched: act_gate: snapshot parameters with RCU on replace
      (CVE-2026-23245)
    - ALSA: pcm: fix wait_time calculations
    - ALSA: pcm: fix use-after-free on linked stream runtime in snd_pcm_drain()
    - can: gs_usb: gs_can_open(): always configure bitrates before starting
      device
    - [x86] KVM: SVM: Set/clear CR8 write interception when AVIC is
      (de)activated
    - usb: gadget: f_tcm: Fix NULL pointer dereferences in nexus handling
    - usb: roles: get usb role switch from parent only for usb-b-connector
    - mm/kfence: fix KASAN hardware tag faults during late enablement
    - mm/kfence: disable KFENCE upon KASAN HW tags enablement
    - iomap: reject delalloc mappings during writeback
    - tracing: Fix syscall events activation by ensuring refcount hits zero
    - pmdomain: bcm: bcm2835-power: Fix broken reset status read
    - [arm64] reorganise PAGE_/PROT_ macros
    - [arm64] mm: Add PTE_DIRTY back to PAGE_KERNEL* to fix kexec/hibernation
    - ksmbd: Don't log keys in SMB3 signing and encryption key generation
    - [arm64] drm/msm: Fix dma_free_attrs() buffer size
    - net: macb: Shuffle the tx ring before enabling tx
    - [s390x] zcrypt: Enable AUTOSEL_DOM for CCA serialnr sysfs attribute
    - xfs: fix integer overflow in bmap intent sort comparator
    - xfs: ensure dquot item is deleted from AIL only after log shutdown
    - cifs: open files should not hold ref on superblock
    - kprobes: Remove unneeded goto
    - kprobes: Remove unneeded warnings from __arm_kprobe_ftrace()
    - iio: buffer: fix coding style warnings
    - iio: buffer: Fix wait_queue not being removed
    - btrfs: fix transaction abort when snapshotting received subvolumes
    - btrfs: fix transaction abort on set received ioctl due to item overflow
    - iio: light: bh1780: fix PM runtime leak on error path
    - batman-adv: avoid OGM aggregation when skb tailroom is insufficient
    - nfsd: define exports_proc_ops with CONFIG_PROC_FS
    - NFSD: Hold net reference for the lifetime of /proc/fs/nfs/exports fd
    - nfsd: fix heap overflow in NFSv4.0 LOCK replay cache
    - net: macb: queue tie-off or disable during WOL suspend
    - net: macb: Introduce gem_init_rx_ring()
    - net: macb: Reinitialize tx/rx queue pointer registers and rx ring during
      resume
    - pmdomain: bcm: bcm2835-power: Increase ASB control timeout
    - ice: remove unused buffer copy code in ice_sq_send_cmd_retry()
    - ice: sleep, don't busy-wait, in the SQ send retry loop
    - ice: reintroduce retry mechanism for indirect AQ
    - iio: imu: inv_icm42600: fix odr switch when turning buffer off
    - ALSA: usb-audio: Kill timer properly at removal (CVE-2025-38105)
    - drm/amdgpu: unmap and remove csa_va properly (CVE-2023-53545)
    - net: dsa: improve shutdown sequence (CVE-2024-49998)
    - net: fec: handle page_pool_dev_alloc_pages error (CVE-2025-21676)
    - gfs2: No more self recovery (CVE-2025-38659)
    - smb: client: Compare MACs in constant time
    - ksmbd: Compare MACs in constant time (CVE-2026-23364)
    - net/tcp-md5: Fix MAC comparison to be constant-time
    - mtd: spinand: macronix: use scratch buffer for DMA operation
    - net: enetc: reimplement RFS/RSS memory clearing as PCI quirk
    - net: enetc: allocate vf_state during PF probes (CVE-2024-50298)
    - dm-verity: disable recursive forward error correction (CVE-2025-71161)
    - net: add skb_header_pointer_careful() helper
    - net/sched: cls_u32: use skb_header_pointer_careful() (CVE-2026-23204)
    - scsi: ufs: core: Fix handling of lrbp->cmd (CVE-2023-53510)
    - net: Handle napi_schedule() calls from non-interrupt
    - gve: defer interrupt enabling until NAPI registration
    - drm/exynos: vidi: use priv->vidi_dev for ctx lookup in
      vidi_connection_ioctl()
    - drm/exynos: vidi: fix to avoid directly dereferencing user pointer
    - drm/exynos: vidi: use ctx->lock to protect struct vidi_context member
      variables related to memory alloc/free (CVE-2026-23227)
    - [x86] uprobes: Fix XOL allocation failure for 32-bit tasks
    - btrfs: send: check for inline extents in range_is_hole_in_parent()
      (CVE-2026-23141)
    - btrfs: do not strictly require dirty metadata threshold for metadata
      writepages (CVE-2026-23157)
    - eth: bnxt: always recalculate features after XDP clearing, fix null-deref
      (CVE-2025-21682)
    - spi: cadence-quadspi: Implement refcount to handle unbind during busy
      (CVE-2025-40005)
    - drm/amdgpu: drop redundant sched job cleanup when cs is aborted
      (CVE-2023-53228)
    - net: stmmac: remove support for lpi_intr_o
    - PCI/ACPI: Restrict program_hpx_type2() to AER bits
    - binfmt_misc: restore write access before closing files opened by
      open_exec() (CVE-2025-68239)
    - btrfs: tree-checker: fix misleading root drop_level error message
    - wifi: mac80211: Fix static_branch_dec() underflow for aql_disable.
    - wifi: cfg80211: cancel pmsr_free_wk in cfg80211_pmsr_wdev_down
    - [arm64] firmware: arm_scpi: Fix device_node reference leak in probe path
    - Bluetooth: LE L2CAP: Disconnect if received packet's SDU exceeds IMTU
    - Bluetooth: LE L2CAP: Disconnect if sum of payload sizes exceed SDU
    - Bluetooth: SMP: make SM/PER/KDU/BI-04-C happy
    - Bluetooth: hci_sync: Fix hci_le_create_conn_sync
    - Bluetooth: HIDP: Fix possible UAF
    - Bluetooth: qca: fix ROM version reading on WCN3998 chips
    - net/rose: fix NULL pointer dereference in rose_transmit_link on reconnect
    - netfilter: ctnetlink: remove refcounting in expectation dumpers
      (CVE-2025-39764)
    - netfilter: ctnetlink: fix use-after-free in ctnetlink_dump_exp_ct()
    - netfilter: nf_conntrack_sip: fix Content-Length u32 truncation in
      sip_help_tcp()
    - netfilter: nf_conntrack_h323: fix OOB read in decode_int() CONS case
    - netfilter: nft_ct: add seqadj extension for natted connections
      (CVE-2025-68206)
    - netfilter: nft_ct: drop pending enqueued packets on removal
    - netfilter: xt_CT: drop pending enqueued packets on template removal
      (CVE-2026-23391)
    - netfilter: xt_time: use unsigned int for monthday bit shift
    - netfilter: nf_conntrack_h323: check for zero length in DecodeQ931()
    - net: bcmgenet: increase WoL poll timeout
    - [amd64,arm64] net: mana: fix use-after-free in mana_hwc_destroy_channel()
      by reordering teardown
    - sched: idle: Consolidate the handling of two special cases
    - PM: runtime: Fix a race condition related to device removal
    - net/smc: fix NULL dereference and UAF in smc_tcp_syn_recv_sock()
    - net/sched: teql: Fix double-free in teql_master_xmit
    - net: usb: aqc111: Do not perform PM inside suspend callback
    - igc: fix missing update of skb->tail in igc_xmit_frame()
    - iavf: fix VLAN filter lost on add/delete race
    - wifi: mac80211: fix NULL deref in mesh_matches_local() (CVE-2026-23396)
    - wifi: wlcore: Return -ENOMEM instead of -EAGAIN if there is not enough
      headroom
    - ACPI: processor: Fix previous acpi_processor_errata_piix4() fix
    - net: macb: fix uninitialized rx_fs_lock
    - udp_tunnel: fix NULL deref caused by udp_sock_create6 when CONFIG_IPV6=n
    - net: bonding: fix NULL deref in bond_debug_rlb_hash_show
    - netfilter: nf_tables: release flowtable after rcu grace period on error
      (CVE-2026-23392)
    - nfnetlink_osf: validate individual option lengths in fingerprints
      (CVE-2026-23397)
    - [arm64,armhf] net: mvpp2: guard flow control update with global_tx_fc in
      buffer switching
    - [armhf] net: dsa: bcm_sf2: fix missing clk_disable_unprepare() in error
      paths
    - icmp: fix NULL pointer dereference in icmp_tag_validation()
      (CVE-2026-23398)
    - hwmon: (pmbus/isl68137) Fix unchecked return value and use sysfs_emit()
    - Bluetooth: L2CAP: Fix accepting multiple L2CAP_ECRED_CONN_REQ
      (CVE-2026-23395)
    - drm: Fix use-after-free on framebuffers and property blobs when calling
      drm_dev_unplug
    - Bluetooth: hci_core: Fix use-after-free in vhci_flush() (CVE-2025-38250)
    - mailbox: Prevent out-of-bounds access in of_mbox_index_xlate()
    - sched/fair: Fix pelt clock sync when entering idle
    - USB: serial: f81232: fix incomplete serial port generation
    - i2c: fsi: Fix a potential leak in fsi_i2c_probe()
    - mtd: rawnand: serialize lock/unlock against other NAND operations
    - mtd: rawnand: brcmnand: skip DMA during panic write
    - ksmbd: fix use-after-free of share_conf in compound request
    - [x86] drm/i915/gt: Check set_default_submission() before deferencing
    - lib/bootconfig: check xbc_init_node() return in override path
    - tools/bootconfig: fix fd leak in load_xbc_file() on fstat failure
    - netfilter: nf_tables: de-constify set commit ops function argument
    - netfilter: nft_set_pipapo: split gc into unlink and reclaim phase
      (CVE-2026-23351)
    - dmaengine: mmp_pdma: Fix race condition in mmp_pdma_residue()
      (CVE-2025-71221)
    - [s390x] xor: Fix xor_xc_2() inline assembly constraints
    - net: clear the dst when changing skb protocol (CVE-2025-38192)
    - drm/amdgpu: use proper DC check in amdgpu_display_supported_domains()
    - drm/amdgpu: clarify DC checks
    - drm/amd/display: Add pixel_clock to amd_pp_display_configuration
    - drm/amd/pm: Use pm_display_cfg in legacy DPM (v2)
    - net: add support for segmenting TCP fraglist GSO packets
    - net: gso: fix tcp fraglist segmentation after pull from frag_list
    - net: fix segmentation of forwarding fraglist GRO (CVE-2026-23154)
    - rcu/nocb: Fix possible invalid rdp's->nocb_cb_kthread pointer access
      (CVE-2025-38704)
    - ntfs: set dummy blocksize to read boot_block when mounting
      (CVE-2025-71067)
    - nvme: fix admin request_queue lifetime
    - f2fs: fix to trigger foreground gc during f2fs_map_blocks() in lfs mode
    - net: stmmac: fix TSO DMA API usage causing oops (CVE-2024-56719)
    - mptcp: pm: in-kernel: always set ID as avail when rm endp
    - dlm: fix possible lkb_resource null dereference (CVE-2024-47809)
    - netfilter: nf_tables: missing objects with no memcg accounting
    - netfilter: nft_set_pipapo: prevent overflow in lookup table allocation
      (CVE-2025-38162)
    - wifi: brcmfmac: fix use-after-free when rescheduling brcmf_btcoex_info
      work (CVE-2025-39863)
    - i2c: cp2615: replace deprecated strncpy with strscpy
    - i2c: cp2615: fix serial string NULL-deref at probe
    - Revert "nvme: nvme-fc: Ensure ->ioerr_work is cancelled in
      nvme_fc_delete_ctrl()"
    - nvme: nvme-fc: Ensure ->ioerr_work is cancelled in nvme_fc_delete_ctrl()
      (CVE-2025-40261)
    - Revert "selftests: net: amt: wait longer for connection before sending
      packets"
    - xen/privcmd: restrict usage in unprivileged domU (CVE-2026-31788)
    - xen/privcmd: add boot control for restricted usage in domU
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.168
    - bpf: Release module BTF IDR before module unload
    - HID: asus: avoid memory leak in asus_report_fixup()
    - [x86] platform/x86: intel-hid: Add Dell 14 Plus 2-in-1 to
      dmi_vgbs_allow_list
    - nvme-pci: cap queue creation to used queues
    - nvme-fabrics: use kfree_sensitive() for DHCHAP secrets
    - [x86] platform/x86: intel-hid: Enable 5-button array on ThinkPad X1 Fold
      16 Gen 1
    - [x86] platform/x86: touchscreen_dmi: Add quirk for y-inverted Goodix
      touchscreen on SUPI S10
    - nvme-pci: ensure we're polling a polled queue
    - HID: magicmouse: fix battery reporting for Apple Magic Trackpad 2
    - HID: magicmouse: avoid memory leak in magicmouse_report_fixup()
    - net: usb: r8152: add TRENDnet TUC-ET2G
    - HID: mcp2221: cancel last I2C command on read error
    - module: Fix kernel panic when a symbol st_shndx is out of bounds
    - dma-buf: Include ioctl.h in UAPI header
    - HID: apple: avoid memory leak in apple_report_fixup()
    - btrfs: set BTRFS_ROOT_ORPHAN_CLEANUP during subvol create
    - ALSA: hda/realtek: add HP Laptop 14s-dr5xxx mute LED quirk
    - ALSA: hda/realtek: Add headset jack quirk for Thinkpad X390
    - usb: core: new quirk to handle devices with zero configurations
    - xfrm: call xdo_dev_state_delete during state update
    - xfrm: Fix the usage of skb->sk
    - esp: fix skb leak with espintcp and async crypto
    - af_key: validate families in pfkey_send_migrate()
    - dma: swiotlb: add KMSAN annotations to swiotlb_bounce()
    - can: statistics: add missing atomic access in hot path
    - Bluetooth: L2CAP: Validate PDU length before reading SDU length in
      l2cap_ecred_data_rcv()
    - Bluetooth: SCO: Fix use-after-free in sco_recv_frame() due to missing
      sock_hold
    - Bluetooth: hci_ll: Fix firmware leak on error path
    - Bluetooth: L2CAP: Fix null-ptr-deref on l2cap_sock_ready_cb
    - ionic: fix persistent MAC address override on PF
    - nfc: nci: fix circular locking dependency in nci_close_device
    - net: openvswitch: Avoid releasing netdev before teardown completes
    - rtnetlink: pass netlink message header and portid to rtnl_configure_link()
    - net: add new helper unregister_netdevice_many_notify
    - rtnetlink: Honour NLM_F_ECHO flag in rtnl_delete_link
    - openvswitch: defer tunnel netdev_put to RCU release
    - openvswitch: validate MPLS set/set_masked payload length
    - net/smc: fix double-free of smc_spd_priv when tee() duplicates splice pipe
      buffer
    - rtnetlink: count IFLA_INFO_SLAVE_KIND in if_nlmsg_size
    - [armhf] platform/olpc: olpc-xo175-ec: Fix overflow error message to print
      inlen
    - ice: use ice_update_eth_stats() for representor stats
    - net: fix fanout UAF in packet_release() via NETDEV_UP race
    - tcp: Use bhash2 for v4-mapped-v6 non-wildcard address.
    - tcp: Rearrange tests in inet_csk_bind_conflict().
    - tcp: optimize inet_use_bhash2_on_bind()
    - udp: Fix wildcard bind conflict check when using hash2
    - [arm64] net: enetc: fix the output issue of 'ethtool --show-ring'
    - dma-mapping: add missing `inline` for `dma_free_attrs`
    - Bluetooth: L2CAP: Fix send LE flow credits in ACL link
    - Bluetooth: L2CAP: Fix ERTM re-init and zero pdu_len infinite loop
    - Bluetooth: btusb: clamp SCO altsetting table indices
    - tls: Purge async_hold in tls_decrypt_async_wait() (CVE-2026-23414)
    - netfilter: nfnetlink_log: fix uninitialized padding leak in NFULA_PAYLOAD
    - netfilter: ip6t_rt: reject oversized addrnr in rt_mt6_check()
    - netfilter: nf_conntrack_expect: skip expectations in other netns via proc
    - netfilter: nf_conntrack_sip: fix use of uninitialized rtp_addr in
      process_sdp
    - netlink: allow be16 and be32 types in all uint policy checks
    - netfilter: ctnetlink: use netlink policy range checks
    - net: macb: use the current queue number for stats
    - regmap: Synchronize cache for the page selector
    - RDMA/rw: Fall back to direct SGE on MR pool exhaustion
    - RDMA/irdma: Initialize free_qp completion before using it
    - RDMA/irdma: Update ibqp state to error if QP is already in error state
    - RDMA/irdma: Remove a NOP wait_event() in irdma_modify_qp_roce()
    - RDMA/irdma: Clean up unnecessary dereference of event->cm_node
    - RDMA/irdma: Remove reset check from irdma_modify_qp_to_err()
    - RDMA/irdma: Fix deadlock during netdev reset with active connections
    - RDMA/irdma: Return EINVAL for invalid arp index error
    - scsi: scsi_transport_sas: Fix the maximum channel scanning issue
    - [x86] efi: efi_unmap_boot_services: fix calculation of ranges_to_free size
    - [x86] drm/i915/gmbus: fix spurious timeout on 512-byte burst reads
    - [x86] ASoC: Intel: catpt: Fix the device initialization
    - ACPICA: include/acpi/acpixf.h: Fix indentation
    - ACPICA: Allow address_space_handler Install and _REG execution as 2
      separate steps
    - ACPI: EC: Fix EC address space handler unregistration
    - ACPI: EC: Fix ECDT probe ordering issues
    - ACPI: EC: Install address space handler at the namespace root
    - ACPI: EC: clean up handlers on probe failure in acpi_ec_setup()
    - drm/amdgpu: Fix fence put before wait in amdgpu_amdkfd_submit_ib
    - hwmon: (adm1177) fix sysfs ABI violation and current unit conversion
    - sysctl: fix uninitialized variable in proc_do_large_bitmap
    - spi: spi-fsl-lpspi: fix teardown order issue (UAF)
    - [s390x] syscalls: Add spectre boundary for syscall dispatch table
    - [s390x] barrier: Make array_index_mask_nospec() __always_inline
    - ksmbd: replace hardcoded hdr2_len with offsetof() in
      smb2_calc_max_out_buf_len()
    - ksmbd: do not expire session on binding failure
    - can: gw: fix OOB heap access in cgw_csum_crc8_rel()
    - cpufreq: conservative: Reset requested_freq on limits change
    - [arm64] KVM: arm64: Discard PC update state on vcpu reset
    - hwmon: (peci/cputemp) Fix crit_hyst returning delta instead of absolute
      temperature
    - hwmon: (peci/cputemp) Fix off-by-one in cputemp_is_visible()
    - media: mc, v4l2: serialize REINIT and REQBUFS with req_queue_mutex
    - virtio_net: Fix UAF on dst_ops when IFF_XMIT_DST_RELEASE is cleared and
      napi_tx is false
    - erofs: add GFP_NOIO in the bio completion if needed
    - alarmtimer: Fix argument order in alarm_timer_forward()
    - scsi: ibmvfc: Fix OOB access in ibmvfc_discover_targets_done()
    - scsi: ses: Handle positive SCSI error from ses_recv_diag()
    - net: macb: Use dev_consume_skb_any() to free TX SKBs
    - jbd2: gracefully abort on checkpointing state corruptions
    - xfs: stop reclaim before pushing AIL during unmount
    - xfs: fix ri_total validation in xlog_recover_attri_commit_pass2
    - ext4: fix journal credit check when setting fscrypt context
    - ext4: convert inline data to extents when truncate exceeds inline size
    - ext4: make recently_deleted() properly work with lazy itable
      initialization
    - ext4: avoid infinite loops caused by residual data
    - ext4: avoid allocate block from corrupted group in ext4_mb_find_by_goal()
    - ext4: reject mount if bigalloc with s_first_data_block != 0
    - ext4: fix iloc.bh leak in ext4_fc_replay_inode() error paths
    - ext4: always drain queued discard work in ext4_mb_release()
    - [arm64] dts: imx8mn-tqma8mqnl: fix LDO5 power off
    - [powerpc*] powerpc64/bpf: do not increment tailcall count when prog is
      NULL
    - [amd64] dmaengine: idxd: Fix not releasing workqueue on .release()
    - [amd64] dmaengine: idxd: Fix memory leak when a wq is reset
    - btrfs: fix super block offset in error message in btrfs_validate_super()
    - btrfs: fix leak of kobject name for sub-group space_info
    - btrfs: fix lost error when running device stats on multiple devices fs
    - [amd64] dmaengine: idxd: Remove usage of the deprecated ida_simple_xx()
      API
    - [amd64] dmaengine: idxd: Fix freeing the allocated ida too late
    - futex: Clear stale exiting pointer in futex_lock_pi() retry path
    - tcp: Fix bind() regression for v6-only wildcard and v4-mapped-v6
      non-wildcard addresses.
    - HID: wacom: fix out-of-bounds read in wacom_intuos_bt_irq
    - atm: lec: fix use-after-free in sock_def_readable()
    - btrfs: don't take device_list_mutex when querying zone info
    - tg3: replace placeholder MAC address with device property
    - HID: multitouch: Check to ensure report responses match the request
    - [amd64,armhf] i2c: tegra: Don't mark devices with pins as IRQ safe
    - btrfs: reject root items with drop_progress and zero drop_level
    - dt-bindings: auxdisplay: ht16k33: Use unevaluatedProperties to fix common
      property warning
    - crypto: af-alg - fix NULL pointer dereference in scatterwalk
    - net: qrtr: replace qrtr_tx_flow radix_tree with xarray to fix memory leak
    - net: ipv6: ndisc: fix ndisc_ra_useropt to initialize nduseropt_padX fields
      to zero to prevent an info-leak
    - net/ipv6: ioam6: prevent schema length wraparound in trace fill
    - tg3: Fix race for querying speed/duplex
    - ipv6: icmp: clear skb2->cb[] in ip6_err_gen_icmpv6_unreach()
    - ip6_tunnel: clear skb2->cb[] in ip4ip6_err()
    - bridge: br_nd_send: linearize skb before parsing ND options
    - net/sched: sch_hfsc: fix divide-by-zero in rtsc_min()
    - ipv6: prevent possible UaF in addrconf_permanent_addr()
    - net: sched: cls_api: fix tc_chain_fill_node to initialize tcm_info to zero
      to prevent an info-leak
    - NFC: pn533: bound the UART receive buffer
    - bpf: Fix regsafe() for pointers to packet
    - net: ipv6: flowlabel: defer exclusive option free until RCU teardown
    - netfilter: flowtable: strictly check for maximum number of actions
    - netfilter: nfnetlink_log: account for netlink header size
    - netfilter: x_tables: ensure names are nul-terminated
    - netfilter: ipset: use nla_strcmp for IPSET_ATTR_NAME attr
    - netfilter: nf_conntrack_helper: pass helper to expect cleanup
    - netfilter: ctnetlink: zero expect NAT fields when CTA_EXPECT_NAT absent
    - netfilter: Reorder fields in 'struct nf_conntrack_expect'
    - netfilter: nf_conntrack_expect: honor expectation helper field
    - netfilter: nf_conntrack_expect: use expect->helper
    - netfilter: nf_conntrack_expect: store netns and zone in expectation
    - netfilter: ctnetlink: ignore explicit helper on new expectations
    - netfilter: x_tables: restrict xt_check_match/xt_check_target extensions
      for NFPROTO_ARP
    - netfilter: nf_tables: reject immediate NF_QUEUE verdict
    - Bluetooth: SCO: fix race conditions in sco_sock_connect()
    - Bluetooth: MGMT: validate LTK enc_size on load
    - Bluetooth: hci_event: fix potential UAF in
      hci_le_remote_conn_param_req_evt
    - Bluetooth: MGMT: validate mesh send advertising payload length
    - rds: ib: reject FRMR registration before IB connection is established
    - net: macb: fix clk handling on PCI glue driver removal
    - net: macb: properly unregister fixed rate clocks
    - net/mlx5: lag: Check for LAG device before creating debugfs
    - net/mlx5: Avoid "No data available" when FW version queries fail
    - net/x25: Fix potential double free of skb
    - net/x25: Fix overflow when accumulating packets
    - net/sched: cls_fw: fix NULL pointer dereference on shared blocks
    - net/sched: cls_flow: fix NULL pointer dereference on shared blocks
    - net: hsr: fix VLAN add unwind on slave errors
    - ipv6: avoid overflows in ip6_datagram_send_ctl()
    - bpf: reject direct access to nullable PTR_TO_BUF pointers
    - iio: imu: bno055: fix BNO055_SCAN_CH_COUNT off by one
    - hwmon: (pxe1610) Check return value of page-select write in probe
    - dt-bindings: gpio: fix microchip #interrupt-cells
    - hwmon: (tps53679) Fix device ID comparison and printing in
      tps53676_identify()
    - [armhf] hwmon: (occ) Fix missing newline in occ_show_extended()
    - drm/ioc32: stop speculation on the drm_compat_ioctl path
    - wifi: wilc1000: fix u8 overflow in SSID scan buffer size calculation
    - wifi: iwlwifi: mvm: fix potential out-of-bounds read in
      iwl_mvm_nd_match_info_handler()
    - USB: serial: option: add MeiG Smart SRM825WN
    - ALSA: caiaq: fix stack out-of-bounds read in init_card
    - ALSA: ctxfi: Fix missing SPDIFI1 index handling
    - Bluetooth: SMP: derive legacy responder STK authentication from MITM state
    - Bluetooth: SMP: force responder MITM requirements before building the
      pairing response
    - [armhf] hwmon: (occ) Fix division by zero in occ_show_power_1()
    - iio: adc: ti-adc161s626: fix buffer read on big-endian
    - drm/ast: dp501: Fix initialization of SCU2C
    - USB: serial: io_edgeport: add support for Blackbox IC135A
    - USB: serial: option: add support for Rolling Wireless RW135R-GL
    - USB: core: add NO_LPM quirk for Razer Kiyo Pro webcam
    - iio: adc: ti-adc161s626: use DMA-safe memory for spi_read()
    - Input: synaptics-rmi4 - fix a locking bug in an error path
    - Input: i8042 - add TUXEDO InfinityBook Max 16 Gen10 AMD to i8042 quirk
      table
    - Input: xpad - add support for Razer Wolverine V3 Pro
    - iio: accel: fix ADXL355 temperature signature value
    - iio: dac: ad5770r: fix error return in ad5770r_read_raw()
    - iio: light: vcnl4035: fix scan buffer on big-endian
    - iio: imu: bmi160: Remove potential undefined behavior in
      bmi160_config_pin()
    - iio: imu: st_lsm6dsx: Set FIFO ODR for accelerometer and gyroscope only
    - iio: gyro: mpu3050: Fix incorrect free_irq() variable
    - iio: gyro: mpu3050: Fix irq resource leak
    - iio: gyro: mpu3050: Move iio_device_register() to correct location
    - iio: gyro: mpu3050: Fix out-of-sequence free_irq()
    - usb: quirks: add DELAY_INIT quirk for another Silicon Motion flash drive
    - usb: ulpi: fix double free in ulpi_register_interface() error path
    - usb: usbtmc: Flush anchored URBs in usbtmc_release
    - usb: ehci-brcm: fix sleep during atomic
    - usb: dwc2: gadget: Fix spin_lock/unlock mismatch in dwc2_hsotg_udc_stop()
    - usb: cdns3: gadget: fix NULL pointer dereference in ep_queue
    - usb: cdns3: gadget: fix state inconsistency on gadget init failure
    - Revert "ext4: avoid infinite loops caused by residual data"
    - Revert "ext4: drop extent cache when splitting extent fails"
    - Revert "ext4: drop extent cache after doing PARTIAL_VALID1 zeroout"
    - Revert "ext4: don't zero the entire extent if
      EXT4_EXT_DATA_PARTIAL_VALID1"
    - Revert "ext4: subdivide EXT4_EXT_DATA_VALID1"
    - Revert "ext4: get rid of ppath in ext4_split_extent_at()"
    - Revert "ext4: get rid of ppath in ext4_ext_insert_extent()"
    - Revert "ext4: get rid of ppath in ext4_ext_create_new_leaf()"
    - Revert "ext4: get rid of ppath in ext4_find_extent()"
    - Revert "ext4: make ext4_es_remove_extent() return void"
    - bridge: br_nd_send: validate ND option lengths
    - cdc-acm: new quirk for EPSON HMD
    - [i386] comedi: dt2815: add hardware detection to prevent crash
    - [x86] comedi: Reinit dev->spinlock between attachments to low-level
      drivers
    - [i386] comedi: ni_atmio16d: Fix invalid clean-up after failed attach
    - [x86] comedi: me_daq: Fix potential overrun of firmware buffer
    - [x86] comedi: me4000: Fix potential overrun of firmware buffer
    - netfilter: ipset: drop logically empty buckets in mtype_del
    - vxlan: validate ND option lengths in vxlan_na_create
    - net: ftgmac100: fix ring allocation unwind on open failure
    - [x86] thunderbolt: Fix property read in nhi_wake_supported()
    - USB: dummy-hcd: Fix locking/synchronization error
    - USB: dummy-hcd: Fix interrupt synchronization error
    - usb: gadget: dummy_hcd: fix premature URB completion when ZLP follows
      partial transfer
    - btrfs: fix the qgroup data free range for inline data extents
    - btrfs: do not free data reservation in fallback from inline due to -ENOSPC
      (CVE-2025-71269)
    - Revert "nvme: fix admin request_queue lifetime"
    - blk-mq: move the call to blk_put_queue out of blk_mq_destroy_queue
    - nvme-pci: remove an extra queue reference
    - nvme-pci: put the admin queue in nvme_dev_remove_admin
    - nvme: fix admin request_queue lifetime (CVE-2025-68265)
    - nvme: fix admin queue leak on controller reset (CVE-2026-23360)
    - [arm64] net: enetc: fix PF !of_device_is_available() teardown path
    - usb: gadget: uvc: fix NULL pointer dereference during unbind race
    - usb: gadget: f_subset: Fix unbalanced refcnt in geth_free
    - usb: gadget: f_rndis: Protect RNDIS options with mutex
    - usb: gadget: f_uac1_legacy: validate control request size
    - wifi: virt_wifi: remove SET_NETDEV_DEV to avoid use-after-free
    - ext4: fix use-after-free in update_super_work when racing with umount
    - block: fix resource leak in blk_register_queue() error path
    - [x86] KVM: x86/mmu: Drop/zap existing present SPTE even when creating an
      MMIO SPTE (CVE-2026-23401)
    - net: correctly handle tunneled traffic on IPV6_CSUM GSO fallback
    - net: macb: Move devm_{free,request}_irq() out of spin lock area
    - scsi: target: tcm_loop: Drain commands in target_reset handler
    - mm/huge_memory: fix folio isn't locked in softleaf_to_folio()
    - [x86] cpu: Enable FSGSBASE early in cpu_init_exception_handling()
    - ksmbd: fix memory leaks and NULL deref in smb2_lock()
    - ksmbd: fix potencial OOB in get_file_all_info() for compound requests
    - tracing: Fix potential deadlock in cpu hotplug with osnoise
    - hwmon: (pmbus/core) Add lock and unlock functions
    - hwmon: (pmbus/isl68137) Add mutex protection for AVS enable sysfs
      attributes
    - ext4: factor out ext4_percpu_param_init() and ext4_percpu_param_destroy()
    - ext4: use ext4_group_desc_free() in ext4_put_super() to save some
      duplicated code
    - ext4: factor out ext4_flex_groups_free()
    - ext4: fix the might_sleep() warnings in kvfree()
    - ext4: publish jinode after initialization
    - MPTCP: fix lock class name family in pm_nl_create_listen_socket
    - ext4: handle wraparound when searching for blocks for indirect mapped
      blocks
    - cpufreq: governor: Free dbs_data directly when gov->init() fails
    - cpufreq: governor: fix double free in cpufreq_dbs_governor_init() error
      path
    - mtd: spi-nor: core: avoid odd length/address reads on 8D-8D-8D mode
    - mtd: spi-nor: core: avoid odd length/address writes in 8D-8D-8D mode
    - erofs: handle overlapped pclusters out of crafted images properly
      (CVE-2024-47736)
    - erofs: fix PSI memstall accounting
    - erofs: Fix the slab-out-of-bounds in drop_buffers()
    - xfs: avoid dereferencing log items after push callbacks
    - xfs: save ailp before dropping the AIL lock in push callbacks
    - net: phy: move phy_link_change() prior to mdio_bus_phy_may_suspend()
    - net: phy: allow MDIO bus PM ops to start/stop state machine for
      phylink-controlled PHY (CVE-2025-37945)
    - net: phy: fix phy_uses_state_machine()
    - gfs2: Fix unlikely race in gdlm_put_lock (CVE-2025-40242)
    - Bluetooth: eir: Fix possible crashes on eir_create_adv_data
      (CVE-2025-38303)
    - block: Fix the blk_mq_destroy_queue() documentation
    - ext4: fix lost error code reporting in __ext4_fill_super()
    - ext4: fix unused iterator variable warnings
    - ACPI: EC: Evaluate orphan _REG under EC device
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.169
    - lib/crypto: chacha: Zeroize permuted_state before it leaves scope
    - wifi: rt2x00usb: fix devres lifetime
    - xfrm_user: fix info leak in build_report()
    - mptcp: fix slab-use-after-free in __inet_lookup_established
    - Input: uinput - fix circular locking dependency with ff-core
    - Input: uinput - take event lock when submitting FF request "event"
    - media: uvcvideo: Mark invalid entities with id UVC_INVALID_ENTITY_ID
    - media: uvcvideo: Use heuristic to find stream entity
    - usb: gadget: u_ether: Fix race between gether_disconnect and eth_stop
    - Revert "ACPI: EC: Evaluate orphan _REG under EC device"
    - ACPICA: Add a depth argument to acpi_execute_reg_methods()
    - ACPI: EC: Evaluate _REG outside the EC scope more carefully
    - usb: gadget: f_hid: move list and spinlock inits from bind to alloc
    - rfkill: Use sysfs_emit() to instead of sprintf()
    - rfkill: sync before userspace visibility/changes
    - net: rfkill: reduce data->mtx scope in rfkill_fop_open
    - net: rfkill: prevent unlimited numbers of rfkill events from being created
    - seg6: separate dst_cache for input and output paths in seg6 lwtunnel
    - Revert "mptcp: add needs_id for netlink appending addr"
    - drm/scheduler: signal scheduled fence when kill job
    - netfilter: nft_set_pipapo: do not rely on ZERO_SIZE_PTR
    - netfilter: nft_ct: fix use-after-free in timeout object destroy
    - xfrm: clear trailing padding in build_polexpire()
    - tipc: fix bc_ackers underflow on duplicate GRP_ACK_MSG
    - wifi: brcmsmac: Fix dma_free_coherent() size
    - [arm64] dts: hisilicon: poplar: Correct PCIe reset GPIO polarity
    - [arm64] dts: hisilicon: hi3798cv200: Add missing dma-ranges
    - nfc: pn533: allocate rx skb before consuming bytes
    - batman-adv: reject oversized global TT response buffers
    - EDAC/mc: Fix error path ordering in edac_mc_alloc()
    - net/tls: fix use-after-free in -EBUSY error path of tls_do_encryption
    - batman-adv: hold claim backbone gateways by reference
    - [x86] drm/i915/gt: fix refcount underflow in intel_engine_park_heartbeat
    - net/mlx5: Update the list of the PCI supported devices
    - mmc: vub300: fix NULL-deref on disconnect
    - net: stmmac: fix integer underflow in chain mode
    - rxrpc: fix reference count leak in rxrpc_server_keyring()
    - rxrpc: Fix key/keyring checks in setsockopt(RXRPC_SECURITY_KEY/KEYRING)
    - Revert "PCI: Enable ACS after configuring IOMMU for OF platforms"
    - [x86] CPU: Fix FPDSS on Zen1 (CVE-2026-31628)
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.170
    - crypto: scatterwalk - Backport memcpy_sglist()
    - crypto: algif_aead - use memcpy_sglist() instead of null skcipher
    - crypto: algif_aead - Revert to operating out-of-place (CVE-2026-31431)
    - crypto: algif_aead - snapshot IV for async AEAD requests
    - crypto: authenc - use memcpy_sglist() instead of null skcipher
    - crypto: authencesn - Do not place hiseq at end of dst for out-of-place
      decryption
    - crypto: authencesn - Fix src offset when decrypting in-place
    - crypto: af_alg - Fix page reassignment overflow in af_alg_pull_tsgl
    - crypto: algif_aead - Fix minimum RX size check for decryption
    - Buffer overflow in drivers/xen/sys-hypervisor.c (CVE-2026-31786)
    - xen/privcmd: fix double free via VMA splitting (CVE-2026-31787)

  [ Salvatore Bonaccorso ]
  * Revert "RDMA/rxe: Fix double free in rxe_srq_from_init"
  * RDMA/rxe: Fix double free in rxe_srq_from_init
  * [amd64] x86/CPU: Only try to mitigate FPDSS on Zen1
  * apparmor: validate default DFA states are in bounds

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 30 Apr 2026 21:12:35 +0200

linux (6.1.164-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.163
    - nvmet-tcp: add bounds checks in nvmet_tcp_build_pdu_iovec (CVE-2026-23112)
    - [x86] kfence: fix booting on 32bit non-PAE systems
    - [x86] platform/x86: intel_telemetry: Fix swapped arrays in PSS output
    - rbd: check for EOD after exclusive lock is ensured to be held
    - Revert "drm/amd: Check if ASPM is enabled from PCIe subsystem"
    - KVM: Don't clobber irqfd routing type when deassigning irqfd
    - netfilter: nft_set_pipapo: clamp maximum map bucket size to INT_MAX
      (CVE-2025-38201)
    - [arm*] binder: fix BR_FROZEN_REPLY error log
    - binderfs: fix ida_alloc_max() upper bound
    - [arm64] pmdomain: imx8mp-blk-ctrl: Keep gpc power domain on for system
      wakeup
    - [arm64] pmdomain: imx8mp-blk-ctrl: Keep usb phy power domain on for system
      wakeup
    - [arm64] pmdomain: imx8m-blk-ctrl: fix out-of-range access of bc->domains
    - gve: Fix stats report corruption on queue count change
    - tracing: Fix ftrace event field alignments
    - gve: Correct ethtool rx_dropped calculation
    - wifi: mac80211: ocb: skip rx_no_sta when interface is not joined
    - wifi: wlcore: ensure skb headroom before skb_push
    - net: usb: sr9700: support devices with virtual driver CD
    - block,bfq: fix aux stat accumulation destination
    - smb/server: call ksmbd_session_rpc_close() on error path in
      create_smb2_pipe()
    - [amd64] HID: intel-ish-hid: Update ishtp bus match to support device ID
      table
    - HID: multitouch: add MT_QUIRK_STICKY_FINGERS to MT_CLS_VTL
    - btrfs: fix reservation leak in some error paths when inserting inline
      extent
    - [amd64] HID: intel-ish-hid: Reset enum_devices_done before enumeration
    - HID: playstation: Center initial joystick axes to prevent spurious events
    - ALSA: hda/realtek: add HP Laptop 15s-eq1xxx mute LED quirk
    - netfilter: replace -EEXIST with -EBUSY
    - HID: quirks: Add another Chicony HP 5MP Cameras to hid_ignore_list
    - HID: i2c-hid: fix potential buffer overflow in i2c_hid_get_report()
    - HID: Apply quirk HID_QUIRK_ALWAYS_POLL to Edifier QR30 (2d99:a101)
    - ring-buffer: Avoid softlockup in ring_buffer_resize() during memory free
    - wifi: mac80211: collect station statistics earlier when disconnect
    - nvme-fc: release admin tagset if init fails
    - wifi: cfg80211: Fix bitrate calculation overflow for HE rates
    - scsi: target: iscsi: Fix use-after-free in
      iscsit_dec_session_usage_count()
    - ALSA: hda/realtek: Fix headset mic for TongFang X6AR55xU
    - scsi: target: iscsi: Fix use-after-free in iscsit_dec_conn_usage_count()
    - wifi: mac80211: don't increment crypto_tx_tailroom_needed_cnt twice
    - [x86] platform/x86: toshiba_haps: Fix memory leaks in add/remove routines
    - [x86] platform/x86: intel_telemetry: Fix PSS event register mask
    - smb/client: fix memory leak in smb2_open_file()
    - net: liquidio: Initialize netdev pointer before queue setup
    - net: liquidio: Fix off-by-one error in PF setup_nic_devices() cleanup
    - net: liquidio: Fix off-by-one error in VF setup_nic_devices() cleanup
    - macvlan: fix error recovery in macvlan_common_newlink()
    - net: don't touch dev->stats in BPF redirect paths
    - tipc: use kfree_sensitive() for session key material
    - [x86] drm/mgag200: fix mgag200_bmc_stop_scanout()
    - [armhf] hwmon: (occ) Mark occ_init_attribute() as __printf
    - netfilter: nf_tables: fix inverted genmask check in
      nft_map_catchall_activate() (CVE-2026-23111)
    - [amd64] ASoC: amd: fix memory leak in acp3x pdm dma ops
    - hfsplus: fix slab-out-of-bounds read in hfsplus_uni2asc() (CVE-2025-40082)
    - iommu: disable SVA when CONFIG_X86 is set (CVE-2025-71089)
    - [arm64] spi: tegra: Fix a memory leak in tegra_slink_probe()
    - ALSA: hda/realtek: Really fix headset mic for TongFang X6AR55xU.
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.164
    - smb: client: split cached_fid bitfields to avoid shared-byte RMW races
      (CVE-2026-23230)
    - ksmbd: fix infinite loop caused by next_smb2_rcv_hdr_off reset in error
      paths (CVE-2026-23220)
    - smb: server: fix leak of active_num_conn in ksmbd_tcp_new_connection()
      (CVE-2026-23228)
    - crypto: octeontx - Fix length check to avoid truncation in
      ucode_load_store
    - crypto: omap - Allocate OMAP_CRYPTO_FORCE_COPY scatterlists correctly
      (CVE-2026-23222)
    - crypto: virtio - Add spinlock protection with virtqueue notification
      (CVE-2026-23229)
    - crypto: virtio - Remove duplicated virtqueue_kick in
      virtio_crypto_skcipher_crypt_req
    - nilfs2: Fix potential block overflow that cause system hang
      (CVE-2025-71237)
    - scsi: qla2xxx: Validate sp before freeing associated memory
      (CVE-2025-71236)
    - scsi: qla2xxx: Allow recovery for tape devices
    - scsi: qla2xxx: Delay module unload while fabric scan in progress
      (CVE-2025-71235)
    - scsi: qla2xxx: Query FW again before proceeding with login
    - gpio: omap: do not register driver in probe()
    - btrfs: fix racy bitfield write in btrfs_clear_space_info_full()
      (CVE-2025-68358)
    - net: sfp: Fix quirk for Ubiquiti U-Fiber Instant SFP module
    - smb: client: set correct id, uid and cruid for multiuser automounts
      (CVE-2024-26822)
    - scsi: qla2xxx: Fix bsg_done() causing double free
    - PCI: endpoint: Automatically create a function specific attributes group
    - PCI: endpoint: Remove unused field in struct pci_epf_group
    - PCI: endpoint: Avoid creating sub-groups asynchronously (CVE-2025-71233)
    - bus: fsl-mc: Replace snprintf and sprintf with sysfs_emit in sysfs show
      functions
    - bus: fsl-mc: fix use-after-free in driver_override_show() (CVE-2026-23221)
    - scsi: qla2xxx: Remove dead code (GNN ID)
    - scsi: qla2xxx: Reduce fabric scan duplicate code
    - scsi: qla2xxx: Free sp in error path to fix system crash (CVE-2025-71232)
    - cacheinfo: Decrement refcount in cache_setup_of_node()
    - cacheinfo: Remove of_node_put() for fw_token
    - ALSA: hda/realtek: Fix headset mic for TongFang X6AR55xU
    - [x86] ASoC: amd: yc: Add ASUS ExpertBook PM1503CDA to quirks list
    - gpio: sprd: Change sprd_gpio lock to raw_spin_lock
    - ALSA: hda/realtek: Add quirk for Inspur S14-G1
    - romfs: check sb_set_blocksize() return value
    - [arm64,armhf] drm/tegra: hdmi: sor: Fix error: variable ‘j’ set but not
      used
    - [x86] platform/x86: classmate-laptop: Add missing NULL pointer checks
    - [x86] ASoC: Intel: sof_es8336: Add DMI quirk for Huawei BOD-WXX9
    - [x86] platform/x86: panasonic-laptop: Fix sysfs group leak in error path
    - gpiolib: acpi: Fix gpio count with string references
    - Revert "wireguard: device: enable threaded NAPI"
    - mptcp: schedule rtx timer only after pushing data
    - mptcp: ensure context reset on disconnect() (CVE-2025-71144)
    - xsk: Fix race condition in AF_XDP generic RX path (CVE-2025-37920)
    - devlink: rate: Unset parent pointer in devl_rate_nodes_destroy
      (CVE-2025-40251)
    - clk: mediatek: fix of_iomap memory leak (CVE-2023-53424)
    - nfsd: don't ignore the return code of svc_proc_register() (CVE-2025-22026)
    - ksmbd: set ATTR_CTIME flags when setting mtime (CVE-2024-57895)
    - ACPI: APEI: send SIGBUS to current task if synchronous memory error not
      recovered (CVE-2025-39763)
    - net: stmmac: Fix accessing freed irq affinity_hint (CVE-2025-23155)
    - net: dsa: free routing table on probe failure (CVE-2025-37786)
    - mptcp: fix race in mptcp_pm_nl_flush_addrs_doit() (CVE-2026-23169)
    - wifi: cfg80211: Add missing lock in cfg80211_check_and_end_cac()
      (CVE-2025-38643)
    - cpuset: Fix missing adaptation for cpuset_is_populated
    - fbdev: rivafb: fix divide error in nv3_arb()
    - fbdev: smscufx: properly copy ioctl memory to kernelspace
    - f2fs: fix IS_CHECKPOINTED flag inconsistency issue caused by concurrent
      atomic commit and checkpoint writes
    - f2fs: fix to avoid UAF in f2fs_write_end_io()
    - f2fs: fix out-of-bounds access in sysfs attribute read/write
    - USB: serial: option: add Telit FN920C04 RNDIS compositions
    - net: tunnel: make skb_vlan_inet_prepare() return drop reasons
      (Closes: #1127597)

  [ Ben Hutchings ]
  * CI: Delete support for ccache, which was removed from common pipeline
  * CI: Update build job to work after another common pipeline change

  [ Salvatore Bonaccorso ]
  * apparmor: fix kernel-doc complaints
  * apparmor: Fix kernel-doc warnings in apparmor/policy.c
  * apparmor: validate DFA start states are in bounds in unpack_pdb
  * apparmor: fix memory leak in verify_header
  * apparmor: replace recursive profile removal with iterative approach
  * apparmor: fix: limit the number of levels of policy namespaces
  * apparmor: fix side-effect bug in match_char() macro usage
  * apparmor: fix missing bounds check on DEFAULT table in verify_dfa()
  * apparmor: Fix double free of ns_name in aa_replace_profiles()
  * apparmor: fix unprivileged local user can do privileged policy management
  * apparmor: fix differential encoding verification
  * apparmor: fix race on rawdata dereference
  * apparmor: fix race between freeing data and fs accessing it

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Mar 2026 07:45:42 +0100

linux (6.1.162-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.160
    - xfrm: delete x->tunnel as we delete x (CVE-2025-40215)
    - Revert "xfrm: destroy xfrm_state synchronously on net exit path"
    - xfrm: also call xfrm_state_delete_tunnel at destroy time for states that
      were never added
    - xfrm: flush all states in xfrm_state_fini
    - leds: Replace all non-returning strlcpy with strscpy
    - leds: spi-byte: Use devm_led_classdev_register_ext()
    - Documentation: process: Also mention Sasha Levin as stable tree maintainer
    - jbd2: avoid bug_on in jbd2_journal_get_create_access() when file system
      corrupted
    - ext4: refresh inline data size before write operations (CVE-2025-68264)
    - ksmbd: ipc: fix use-after-free in ipc_msg_send_request (CVE-2025-68263)
    - locking/spinlock/debug: Fix data-race in do_raw_write_lock
      (CVE-2025-68336)
    - ext4: add i_data_sem protection in ext4_destroy_inline_data_nolock()
      (CVE-2025-68261)
    - [i386] comedi: pcl818: fix null-ptr-deref in pcl818_ai_cancel()
      (CVE-2025-68335)
    - USB: serial: option: add Foxconn T99W760
    - USB: serial: option: add Telit Cinterion FE910C04 new compositions
    - USB: serial: option: move Telit 0x10c7 composition in the right place
    - USB: serial: ftdi_sio: match on interface number for jtag
    - serial: add support of CPCI cards
    - USB: serial: belkin_sa: fix TIOCMBIS and TIOCMBIC
    - USB: serial: kobil_sct: fix TIOCMBIS and TIOCMBIC
    - ftrace: bpf: Fix IPMODIFY + DIRECT in modify_ftrace_direct()
    - [arm64,armhf] spi: imx: keep dma request disabled before dma transfer
      setup
    - drm/vmwgfx: Use kref in vmw_bo_dirty
    - smb: fix invalid username check in smb3_fs_context_parse_param()
    - ALSA: usb-audio: Add native DSD quirks for PureAudio DAC series
    - bfs: Reconstruct file type when loading from disk (CVE-2025-68266)
    - [arm64] pinctrl: qcom: msm: Fix deadlock in pinmux configuration
    - [x86] platform/x86: acer-wmi: Ignore backlight event
    - HID: apple: Add SONiX AK870 PRO to non_apple_keyboards quirk list
    - [x86] platform/x86: huawei-wmi: add keys for HONOR models
    - HID: elecom: Add support for ELECOM M-XT3URBK (018F)
    - [i386] comedi: c6xdigio: Fix invalid PNP driver unregistration
      (CVE-2025-68332)
    - [i386] comedi: multiq3: sanitize config options in multiq3_attach()
      (CVE-2025-68258)
    - [i386] comedi: check device's attached status in compat ioctls
      (CVE-2025-68257)
    - staging: rtl8723bs: fix out-of-bounds read in rtw_get_ie() parser
    - staging: rtl8723bs: fix stack buffer overflow in OnAssocReq IE parsing
      (CVE-2025-68255)
    - staging: rtl8723bs: fix out-of-bounds read in OnBeacon ESR IE parsing
      (CVE-2025-68254)
    - smack: fix bug: unprivileged task can create labels (CVE-2025-68733)
    - [arm64,armhf] gpu: host1x: Fix race in syncpt alloc/free (CVE-2025-68732)
    - drm/panel: visionox-rm69299: Don't clear all mode flags
    - drm/vgem-fence: Fix potential deadlock on release (CVE-2025-68757)
    - USB: Fix descriptor count when handling invalid MBIM extended descriptor
    - [arm64] clk: renesas: cpg-mssr: Add missing 1ms delay into reset toggle
      callback
    - objtool: Fix find_{symbol,func}_containing()
    - objtool: Fix weak symbol detection
    - [arm64,armhf] irqchip/imx-mu-msi: Fix section mismatch
    - [arm64] irqchip/qcom-irq-combiner: Fix section mismatch
    - ntfs3: fix uninit memory after failed mi_read in mi_format_new
      (CVE-2025-68728)
    - ntfs3: Fix uninit buffer allocated by __getname() (CVE-2025-68727)
    - rculist: Add hlist_nulls_replace_rcu() and hlist_nulls_replace_init_rcu()
    - inet: Avoid ehash lookup race in inet_ehash_insert()
    - [arm64] dts: imx8mm-venice-gw72xx: remove unused sdhc1 pinctrl
    - crypto: asymmetric_keys - prevent overflow in asymmetric_key_generate_id
      (CVE-2025-68724)
    - wifi: ath11k: fix peer HE MCS assignment (CVE-2025-68380)
    - [s390x] smp: Fix fallback CPU detection
    - [s390x] ap: Don't leak debug feature files if AP instructions are not
      available
    - phy: mscc: Fix PTP for VSC8574 and VSC8572
    - sctp: Defer SCTP_DBG_OBJCNT_DEC() to sctp_destroy_sock().
    - [x86] dumpstack: Prevent KASAN false positive warnings in __show_regs()
    - tools/nolibc/stdio: let perror work when NOLIBC_IGNORE_ERRNO is set
    - [armhf] pinctrl: stm32: fix hwspinlock resource leak in probe function
    - i3c: Allow OF-alias-based persistent bus numbering
    - i3c: master: Inherit DMA masks and parameters from parent device
    - i3c: fix refcount inconsistency in i3c_master_register
    - i3c: master: svc: Prevent incomplete IBI transaction
    - perf record: skip synthesize event when open evsel failed
    - power: supply: cw2015: Check devm_delayed_work_autocancel() return code
    - power: supply: wm831x: Check wm831x_set_bits() return value
    - power: supply: apm_power: only unset own apm_get_power_status
    - scsi: target: Do not write NUL characters into ASCII configfs output
    - spi: tegra210-quad: Fix timeout handling (CVE-2025-68746)
    - [x86] boot: Fix page table access in 5-level to 4-level paging transition
    - efi/libstub: Fix page table access in 5-level to 4-level paging transition
    - ext4: correct the checking of quota files before moving extents
    - [x86] perf/x86/intel: Correct large PEBS flag check
    - regulator: core: disable supply if enabling main regulator fails
    - nbd: defer config put in recv_work (CVE-2025-68372)
    - scsi: stex: Fix reboot_notifier leak in probe error path
    - scsi: smartpqi: Convert to host_tagset
    - scsi: smartpqi: Remove contention for raid_bypass_cnt
    - scsi: smartpqi: Add abort handler
    - scsi: smartpqi: Fix device resources accessed after device removal
      (CVE-2025-68371)
    - dt-bindings: PCI: convert amlogic,meson-pcie.txt to dt-schema
    - dt-bindings: PCI: amlogic: Fix the register name of the DBI region
    - RDMA/rtrs: server: Fix error handling in get_or_create_srv
    - ntfs3: init run lock for extend inode (CVE-2025-68369)
    - scsi: ufs: core: fix incorrect buffer duplication in
      ufshcd_read_string_desc()
    - macintosh/mac_hid: fix race condition in mac_hid_toggle_emumouse
      (CVE-2025-68367)
    - wifi: cw1200: Fix potential memory leak in cw1200_bh_rx_helper()
    - nbd: defer config unlock in nbd_genl_connect (CVE-2025-68366)
    - coresight: etm4x: Correct polling IDLE bit
    - coresight: etm4x: Extract the trace unit controlling
    - coresight: etm4x: Add context synchronization before enabling trace
    - lib/vsprintf: Check pointer before dereferencing in time_and_date()
    - ocfs2: relax BUG() to ocfs2_error() in __ocfs2_move_extent()
    - ACPI: property: Fix fwnode refcount leak in
      acpi_fwnode_graph_parse_endpoint()
    - scsi: sim710: Fix resource leak by adding missing ioport_unmap() calls
    - leds: netxbig: Fix GPIO descriptor leak in error paths
    - PCI: keystone: Exit ks_pcie_probe() for invalid mode
    - ps3disk: use memcpy_{from,to}_bvec index
    - bpf: Check skb->transport_header is set in bpf_skb_check_mtu
      (CVE-2025-68363)
    - watchdog: wdat_wdt: Fix ACPI table leak in probe function
    - NFSD/blocklayout: Fix minlength check in proc_layoutget
    - wifi: rtl818x: Fix potential memory leaks in rtl8180_init_rx_ring()
      (CVE-2025-68759)
    - bpf: Improve program stats run-time calculation
    - bpf: Fix invalid prog->stats access when update_effective_progs fails
      (CVE-2025-68742)
    - [powerpc*] 64s/ptdump: Fix kernel_hash_pagetable dump for ISA v3.00 HPTE
      format
    - fs/ntfs3: out1 also needs to put mi
    - fs/ntfs3: Prevent memory leaks in add sub record
    - pwm: bcm2835: Make sure the channel is enabled after pwm_request()
    - mfd: mt6397-irq: Fix missing irq_domain_remove() in error path
    - mfd: mt6358-irq: Fix missing irq_domain_remove() in error path
    - phy: renesas: rcar-gen3-usb2: Fix an error handling path in
      rcar_gen3_phy_usb2_probe()
    - net: phy: adin1100: Fix software power-down ready condition
    - cpuset: Treat cpusets in attaching as populated
    - wifi: rtl818x: rtl8187: Fix potential buffer underflow in rtl8187_rx_cb()
      (CVE-2025-68362)
    - ima: Handle error code returned by ima_filter_rule_match()
      (CVE-2025-68740)
    - usb: chaoskey: fix locking for O_NONBLOCK
    - usb: dwc2: disable platform lowlevel hw resources during shutdown
    - usb: dwc2: fix hang during shutdown if set as peripheral
    - usb: dwc2: fix hang during suspend if set as peripheral
    - usb: raw-gadget: cap raw_io transfer length to KMALLOC_MAX_SIZE
    - crypto: ccree - Correctly handle return of sg_nents_for_len
    - mt76: mt7615: Fix memory leak in mt7615_mcu_wtbl_sta_add()
      (CVE-2025-68765)
    - firmware: stratix10-svc: fix make htmldocs warning for stratix10_svc
    - staging: fbtft: core: fix potential memory leak in fbtft_probe_common()
    - PCI: dwc: Fix wrong PORT_LOGIC_LTSSM_STATE_MASK definition
    - wifi: ieee80211: correct FILS status codes
    - backlight: led_bl: Take led_access lock when required
    - backlight: led-bl: Add devlink to supplier LEDs (CVE-2025-68758)
    - backlight: lp855x: Fix lp855x.h kernel-doc warnings
    - [arm64] iommu/arm-smmu-qcom: Enable use of all SMR groups when running
      bare-metal
    - RDMA/irdma: Fix data race in irdma_sc_ccq_arm
    - RDMA/irdma: Fix data race in irdma_free_pble
    - drm/amd/display: Fix logical vs bitwise bug in
      get_embedded_panel_info_v2_1()
    - hwmon: sy7636a: Fix regulator_enable resource leak on error path
    - ACPI: processor_core: fix map_x2apic_id for amd-pstate on am4
    - ext4: remove unused return value of __mb_check_buddy
    - ext4: improve integrity checking in __mb_check_buddy by enhancing order-0
      validation
    - virtio_vdpa: fix misleading return in void function
    - virtio: fix typo in virtio_device_ready() comment
    - virtio: fix virtqueue_set_affinity() docs
    - [x86] ASoC: Intel: catpt: Fix error path in hw_params()
    - regulator: core: Protect regulator_supply_alias_list with
      regulator_list_mutex (CVE-2025-68354)
    - resource: Replace printk(KERN_WARNING) by pr_warn(), printk() by pr_info()
    - resource: Reuse for_each_resource() macro
    - resource: replace open coded resource_intersection()
    - resource: introduce is_type_match() helper and use it
    - Reinstate "resource: avoid unnecessary lookups in find_next_iomem_res()"
    - netfilter: flowtable: check for maximum number of encapsulations in bridge
      vlan
    - netfilter: nf_conncount: rework API to use sk_buff directly
    - netfilter: nft_connlimit: update the count if add was skipped
    - net: stmmac: fix rx limit check in stmmac_rx_zc()
    - mtd: rawnand: renesas: Handle devm_pm_runtime_enable() errors
    - mtd: lpddr_cmds: fix signed shifts in lpddr_cmds
    - remoteproc: qcom_q6v5_wcss: fix parsing of qcom,halt-regs
    - md: export md_is_rdwr() and is_md_suspended()
    - md/raid5: fix IO hang when array is broken with IO inflight
    - net/sched: sch_cake: Fix incorrect qlen reduction in cake_drop
      (CVE-2025-68325)
    - perf tools: Fix split kallsyms DSO counting
    - pinctrl: single: Fix PIN_CONFIG_BIAS_DISABLE handling
    - pinctrl: single: Fix incorrect type for error return variable
    - fbdev: ssd1307fb: fix potential page leak in ssd1307fb_probe()
    - NFS: Avoid changing nlink when file removes and attribute updates race
    - fs/nls: Fix utf16 to utf8 conversion
    - NFS: Initialise verifiers for visible dentries in readdir and lookup
    - NFS: Initialise verifiers for visible dentries in nfs_atomic_open()
    - NFSv4/pNFS: Clear NFS_INO_LAYOUTCOMMIT in pnfs_mark_layout_stateid_invalid
      (CVE-2025-68349)
    - Revert "nfs: ignore SB_RDONLY when remounting nfs"
    - Revert "nfs: clear SB_RDONLY before getting superblock"
    - Revert "nfs: ignore SB_RDONLY when mounting nfs"
    - fs_context: drop the unused lsm_flags member
    - NFS: Automounted filesystems should inherit ro,noexec,nodev,sync flags
      (CVE-2025-68764)
    - Expand the type of nfs_fattr->valid
    - NFS: Fix inheritance of the block sizes when automounting
    - fs/nls: Fix inconsistency between utf8_to_utf32() and utf32_to_utf8()
    - [x86] platform/x86: asus-wmi: use brightness_set_blocking() for kbd led
    - blk-mq: Abort suspend when wakeup events are pending
    - block: fix comment for op_is_zone_mgmt() to include RESET_ALL
    - ALSA: firewire-motu: fix buffer overflow in hwdep read for DSP events
      (CVE-2025-68347)
    - dma/pool: eliminate alloc_pages warning in atomic_pool_expand
    - ALSA: uapi: Fix typo in asound.h comment
    - rtc: gamecube: Check the return value of ioremap()
    - ALSA: firewire-motu: add bounds check in put_user loop for DSP events
      (CVE-2025-68753)
    - [armel,armhf] fix input-only operand modification in
      load_unaligned_zeropad()
    - dm-raid: fix possible NULL dereference with undefined raid type
    - dm log-writes: Add missing set_freezable() for freezable kthread
    - efi/cper: Add a new helper function to print bitmasks
    - efi/cper: Adjust infopfx size to accept an extra space
    - efi/cper: align ARM CPER type with UEFI 2.9A/2.10 specs
    - irqchip/mchp-eic: Fix error code in mchp_eic_domain_alloc()
      (CVE-2025-68766)
    - ocfs2: fix memory leak in ocfs2_merge_rec_left()
    - net: lan743x: Allocate rings outside ZONE_DMA
    - usb: gadget: tegra-xudc: Always reinitialize data toggle when clear halt
    - usb: phy: Initialize struct usb_phy list_head
    - ALSA: dice: fix buffer overflow in detect_stream_formats()
      (CVE-2025-68346)
    - btrfs: do not skip logging new dentries when logging a new name
    - [arm64] bpf, arm64: Do not audit capability check in do_jit()
    - btrfs: fix memory leak of fs_devices in degraded seed device path
    - [amd64] perf/x86/amd: Check event before enable to avoid GPF
      (CVE-2025-68798)
    - sched/deadline: only set free_cpus for online runqueues (CVE-2025-68780)
    - sched/fair: Revert max_newidle_lb_cost bump
    - [x86] ptrace: Always inline trivial accessors
    - ACPICA: Avoid walking the Namespace if start_node is NULL (CVE-2025-71118)
    - ACPI: property: Use ACPI functions in acpi_graph_get_next_endpoint() only
    - cpufreq: s5pv210: fix refcount leak
    - fs/ntfs3: Support timestamps prior to epoch
    - kbuild: Use objtree for module signing key path
    - hfsplus: fix volume corruption issue for generic/070
    - hfsplus: fix missing hfs_bnode_get() in __hfs_bnode_create
    - hfsplus: Verify inode mode when loading from disk (CVE-2025-68767)
    - hfsplus: fix volume corruption issue for generic/073
    - wifi: brcmfmac: Add DMI nvram filename quirk for Acer A1 840 tablet
    - btrfs: scrub: always update btrfs_scrub_progress::last_physical
    - smb/server: fix return value of smb2_ioctl()
    - ksmbd: fix use-after-free in ksmbd_tree_connect_put under concurrency
      (CVE-2025-68817)
    - Bluetooth: btusb: Add new VID/PID 13d3/3533 for RTL8821CE
    - gfs2: Fix use of bio_chain
    - netrom: Fix memory leak in nr_sendmsg() (CVE-2025-68787)
    - net/sched: ets: Always remove class from active list before deleting in
      ets_qdisc_change (CVE-2025-71066)
    - ipvlan: Ignore PACKET_LOOPBACK in handle_mode_l2()
    - mlxsw: spectrum_router: Fix neighbour use-after-free (CVE-2025-68801)
    - mlxsw: spectrum_mr: Fix use-after-free when updating multicast route stats
      (CVE-2025-68800)
    - net: openvswitch: fix middle attribute validation in push_nsh() action
    - broadcom: b44: prevent uninitialized value usage
    - netfilter: nf_conncount: fix leaked ct in error paths
    - ipvs: fix ipv4 null-ptr-deref in route error path (CVE-2025-68813)
    - caif: fix integer underflow in cffrml_receive() (CVE-2025-68799)
    - net/sched: ets: Remove drr class from the active list if it changes to
      strict (CVE-2025-68815)
    - nfc: pn533: Fix error code in pn533_acr122_poweron_rdr()
    - net/ethtool/ioctl: remove if n_stats checks from ethtool_get_phy_stats
    - net/ethtool/ioctl: split ethtool_get_phy_stats into multiple helpers
    - ethtool: Avoid overflowing userspace buffer on stats query
      (CVE-2025-68795)
    - net/mlx5: fw reset, clear reset requested on drain_fw_reset
    - net/mlx5: Create a new profile for SFs
    - net/mlx5: Drain firmware reset in shutdown callback
    - net/mlx5: fw_tracer, Add support for unrecognized string
    - net/mlx5: fw_tracer, Validate format string parameters (CVE-2025-68816)
    - net/mlx5: fw_tracer, Handle escaped percent properly
    - [arm64] net: hns3: using the num_tqps in the vf driver to apply for
      resources (CVE-2025-71064)
    - [arm64] net: hns3: using the num_tqps to check whether tqp_index is out of
      range when vf get ring info from mbx
    - [arm64] net: hns3: add VLAN id validation before using (CVE-2025-71112)
    - hwmon: (ibmpex) fix use-after-free in high/low store
    - hwmon: (tmp401) fix overflow caused by default conversion rate value
    - [x86] xen: Move Xen upcall handler
    - [x86] xen: Fix sparse warning in enlighten_pv.c
    - spi: cadence-quadspi: Add support for StarFive JH7110 QSPI
    - spi: cadence-quadspi: Add compatible for AMD Pensando Elba SoC
    - spi: cadence-quadspi: Add clock configuration for StarFive JH7110 QSPI
    - spi: cadence-quadspi: add missing clk_disable_unprepare() in cqspi_probe()
    - spi: cadence-quadspi: Fix clock disable on probe failure path
    - block: rnbd-clt: Fix leaked ID in init_dev()
    - ksmbd: skip lock-range check on equal size to avoid size==0 underflow
      (CVE-2025-68786)
    - ksmbd: Fix refcount leak when invalid session is found on session lookup
    - ksmbd: fix buffer validation by including null terminator size in EA
      length (CVE-2025-68806)
    - HID: input: map HID_GD_Z to ABS_DISTANCE for stylus/pen
    - Input: ti_am335x_tsc - fix off-by-one error in wire_order validation
      (CVE-2025-68777)
    - Input: i8042 - add TUXEDO InfinityBook Max Gen10 AMD to i8042 quirk table
    - ACPI: CPPC: Fix missing PCC check for guaranteed_perf
    - spi: fsl-cpm: Check length parity before switching to 16 bit mode
      (CVE-2025-68773)
    - mmc: sdhci-esdhc-imx: add alternate ARCH_S32 dependency to Kconfig
    - net/hsr: fix NULL pointer dereference in prp_get_untagged_frame()
      (CVE-2025-68776)
    - ALSA: vxpocket: Fix resource leak in vxpocket_probe error path
    - ALSA: pcmcia: Fix resource leak in snd_pdacf_probe error path
    - ALSA: usb-mixer: us16x08: validate meter packet indices (CVE-2025-68783)
    - ipmi: Fix the race between __scan_channels() and deliver_response()
    - ipmi: Fix __scan_channels() failing to rescan channels
    - firmware: imx: scu-irq: Init workqueue before request mbox channel
    - ti-sysc: allow OMAP2 and OMAP4 timers to be reserved on AM33xx
    - clk: mvebu: cp110 add CLK_IGNORE_UNUSED to pcie_x10, pcie_x11 & pcie_x4
    - [powerpc*] addnote: Fix overflow on 32-bit builds
    - scsi: qla2xxx: Fix lost interrupts with qlini_mode=disabled
    - scsi: qla2xxx: Fix initiator mode with qlini_mode=exclusive
    - scsi: qla2xxx: Use reinit_completion on mbx_intr_comp
    - via_wdt: fix critical boot hang due to unnamed resource allocation
      (CVE-2025-71114)
    - reset: fix BIT macro reference
    - exfat: fix remount failure in different process environments
    - usbip: Fix locking bug in RT-enabled kernels
    - usb: typec: ucsi: Handle incorrect num_connectors capability
      (CVE-2025-71108)
    - iio: adc: ti_am335x_adc: Limit step_avg to valid range for gcc complains
    - usb: xhci: limit run_graceperiod for only usb 3.0 devices
    - usb: usb-storage: No additional quirks need to be added to the EL-R12
      optical drive.
    - serial: sprd: Return -EPROBE_DEFER when uart clock is not ready
    - nvme-fc: don't hold rport lock when putting ctrl
    - [x86] platform/x86/intel/hid: Add Dell Pro Rugged 10/12 tablet to VGBS DMI
      quirks
    - block: rnbd-clt: Fix signedness bug in init_dev()
    - vhost/vsock: improve RCU read sections around vhost_vsock_get()
    - KEYS: trusted: Fix a memory leak in tpm2_load_cmd
    - mmc: sdhci-msm: Avoid early clock doubling during HS400 transition
    - lib/crypto: x86/blake2s: Fix 32-bit arg treated as 64-bit
    - [s390x] dasd: Fix gendisk parent after copy pair swap
    - block: rate-limit capacity change info log
    - floppy: fix for PAGE_SIZE != 4KB
    - kallsyms: Fix wrong "big" kernel symbol type read from procfs
    - fs/ntfs3: fix mount failure for sparse runs in run_unpack()
    - ext4: xattr: fix null pointer deref in ext4_raw_inode() (CVE-2025-68820)
    - ext4: clear i_state_flags when alloc inode
    - ext4: fix incorrect group number assertion in mb_check_buddy
    - ext4: align max orphan file size with e2fsprogs limit
    - jbd2: use a weaker annotation in journal handling
    - media: v4l2-mem2mem: Fix outdated documentation
    - usb: usb-storage: Maintain minimal modifications to the bcdDevice range.
    - media: dvb-usb: dtv5100: fix out-of-bounds in dtv5100_i2c_msg()
      (CVE-2025-68819)
    - media: pvrusb2: Fix incorrect variable used in trace message
    - phy: broadcom: bcm63xx-usbh: fix section mismatches
    - USB: lpc32xx_udc: Fix error handling in probe
    - usb: phy: fsl-usb: Fix use-after-free in delayed work during device
      removal (CVE-2025-68781)
    - usb: phy: isp1301: fix non-OF device reference imbalance
    - usb: dwc3: of-simple: fix clock resource leak in dwc3_of_simple_probe
    - usb: renesas_usbhs: Fix a resource leak in usbhs_pipe_malloc()
    - char: applicom: fix NULL pointer dereference in ac_ioctl (CVE-2025-68797)
    - [x86] intel_th: Fix error handling in intel_th_output_open
    - cpufreq: nforce2: fix reference count leak in nforce2
    - scsi: Revert "scsi: qla2xxx: Perform lockless command completion in abort
      path" (CVE-2025-68818)
    - scsi: aic94xx: fix use-after-free in device removal path (CVE-2025-71075)
    - NFSD: use correct reservation type in nfsd4_scsi_fence_client
    - scsi: target: Reset t_task_cdb pointer in error case (CVE-2025-68782)
    - f2fs: invalidate dentry cache on failed whiteout creation (CVE-2025-71069)
    - f2fs: fix return value of f2fs_recover_fsync_data() (CVE-2025-68769)
    - tools/testing/nvdimm: Use per-DIMM device handle
    - media: vidtv: initialize local pointers upon transfer of memory ownership
      (CVE-2025-68808)
    - ocfs2: fix kernel BUG in ocfs2_find_victim_chain (CVE-2025-68771)
    - [x86] KVM: x86: Don't clear async #PF queue when CR0.PG is disabled (e.g.
      on #SMI)
    - platform/chrome: cros_ec_ishtp: Fix UAF after unbinding driver
      (CVE-2025-68804)
    - scs: fix a wrong parameter in __scs_magic (CVE-2025-71102)
    - parisc: Do not reprogram affinitiy on ASP chip (CVE-2025-71121)
    - libceph: make decode_pool() more resilient against corrupted osdmaps
    - [x86] KVM: x86: WARN if hrtimer callback for periodic APIC timer fires
      with period=0
    - [x86] KVM: x86: Explicitly set new periodic hrtimer expiration in
      apic_timer_fn()
    - [x86] KVM: x86: Fix VM hard lockup after prolonged inactivity with
      periodic HV timer (CVE-2025-71104)
    - [x86] KVM: nSVM: Avoid incorrect injection of SVM_EXIT_CR0_SEL_WRITE
    - [x86] KVM: SVM: Mark VMCB_NPT as dirty on nested VMRUN
    - [x86] KVM: nSVM: Propagate SVM_EXIT_CR0_SEL_WRITE correctly for LMSW
      emulation
    - [x86] KVM: SVM: Mark VMCB_PERM_MAP as dirty on nested VMRUN
    - [x86] KVM: nSVM: Set exit_code_hi to -1 when synthesizing SVM_EXIT_ERR
      (failed VMRUN)
    - [x86] KVM: nSVM: Clear exit_code_hi in VMCB when synthesizing nested
      VM-Exits
    - xfs: fix a memory leak in xfs_buf_item_init()
    - tracing: Do not register unsupported perf events (CVE-2025-71125)
    - PM: runtime: Do not clear needs_force_resume with enabled runtime PM
    - r8169: fix RTL8117 Wake-on-Lan in DASH mode
    - fsnotify: do not generate ACCESS/MODIFY events on child for special files
      (CVE-2025-68788)
    - nfsd: Mark variable __maybe_unused to avoid W=1 build break
    - svcrdma: return 0 on success from svc_rdma_copy_inline_range
    - [powerpc*] kexec: Enable SMT before waking offline CPUs (CVE-2025-71119)
    - io_uring/poll: correctly handle io_poll_add() return value on update
    - io_uring: fix filename leak in __io_openat_prep() (CVE-2025-68814)
    - drm/amd/display: Use GFP_ATOMIC in dc_create_plane_state()
    - [arm64,armhf] amba: tegra-ahb: Fix device leak on SMMU enable
    - [arm64] soc: amlogic: canvas: fix device leak on lookup
    - rpmsg: glink: fix rpmsg device leak
    - [x86] platform/x86: intel: chtwc_int33fe: don't dereference swnode args
    - i2c: amd-mp2: fix reference leak in MP2 PCI device
    - hwmon: (max16065) Use local variable to avoid TOCTOU
    - hwmon: (w83791d) Convert macros to functions to avoid TOCTOU
    - hwmon: (w83l786ng) Convert macros to functions to avoid TOCTOU
    - wifi: cfg80211: sme: store capped length in __cfg80211_connect_result()
    - cfg80211: Update Transition Disable policy during port authorization
    - wifi: mac80211: mlme: handle EHT channel puncturing
    - wifi: cfg80211: move puncturing bitmap validation from mac80211
    - wifi: nl80211: validate and configure puncturing bitmap
    - wifi: nl80211: add a command to enable/disable HW timestamping
    - wifi: mac80211: generate EMA beacons in AP mode
    - cfg80211: support RNR for EMA AP
    - mac80211: support RNR for EMA AP
    - wifi: mac80211: do not use old MBSSID elements
    - i40e: fix scheduling in set_rx_mode
    - i40e: Refactor argument of several client notification functions
    - i40e: Refactor argument of i40e_detect_recover_hung()
    - i40e: validate ring_len parameter against hardware-specific values
    - iavf: fix off-by-one issues in iavf_config_rss_reg() (CVE-2025-71087)
    - crypto: seqiv - Do not use req->iv after crypto_aead_encrypt
      (CVE-2025-71131)
    - Bluetooth: btusb: revert use of devm_kzalloc in btusb (CVE-2025-71082)
    - net: mdio: aspeed: add dummy read to avoid read-after-write issue
    - net: openvswitch: Avoid needlessly taking the RTNL on vport destroy
    - ip6_gre: make ip6gre_header() robust
    - [x86] platform/x86: msi-laptop: add missing sysfs_remove_group()
    - [x86] platform/x86: ibm_rtl: fix EBDA signature search pointer arithmetic
    - team: fix check for port enabled in
      team_queue_override_port_prio_changed() (CVE-2025-71091)
    - net: usb: rtl8150: fix memory leak on usb_submit_urb() failure
    - smc91x: fix broken irq-context in PREEMPT_RT (CVE-2025-71132)
    - genalloc.h: fix htmldocs warning
    - firewire: nosy: Fix dma_free_coherent() size
    - net: dsa: b53: skip multicast entries for fdb_dump()
    - net: usb: asix: validate PHY address before use (CVE-2025-71094)
    - net: bridge: Describe @tunnel_hash member in net_bridge_vlan_group struct
    - net: stmmac: Power up SERDES after the PHY link
    - net: stmmac: Remove some unnecessary void pointers
    - net: stmmac: Pass stmmac_priv in some callbacks
    - net: stmmac: dwmac4: Allow platforms to specify some DMA/MTL offsets
    - net: stmmac: introduce wrapper for struct xdp_buff
    - net: stmmac: xgmac: add ethtool per-queue irq statistic support
    - net: stmmac: use per-queue 64 bit statistics where necessary
    - net: stmmac: fix the crash issue for zero copy XDP_TX action
      (CVE-2025-71095)
    - ipv6: BUG() in pskb_expand_head() as part of calipso_skbuff_setattr()
    - ipv4: Fix reference count leak when using error routes with nexthop
      objects (CVE-2025-71097)
    - net: rose: fix invalid array index in rose_kill_by_device()
      (CVE-2025-71086)
    - RDMA/irdma: avoid invalid read in irdma_net_event (CVE-2025-71133)
    - RDMA/efa: Remove possible negative shift
    - RDMA/core: Fix logic error in ib_get_gids_from_rdma_hdr()
    - RDMA/bnxt_re: Fix incorrect BAR check in bnxt_qplib_map_creq_db()
    - RDMA/bnxt_re: Fix IB_SEND_IP_CSUM handling in post_send
    - RDMA/bnxt_re: Fix to use correct page size for PDE table
    - RDMA/rtrs: Fix clt_path::max_pages_per_mr calculation
    - RDMA/bnxt_re: fix dma_free_coherent() pointer
    - sched/isolation: add cpu_is_isolated() API
    - blk-mq: don't schedule block kworker on isolated CPUs
    - blk-mq: skip CPU offline notify on unmapped hctx
    - ntfs: Do not overwrite uptodate pages
    - [armhf] ASoC: stm32: sai: fix device leak on probe
    - [amd64] iommu/amd: Fix pci_segment memleak in alloc_pci_segment()
    - [armhf] iommu/omap: fix device leaks on probe_device()
    - [arm64,armhf] iommu/tegra: fix device leak on probe_device()
    - HID: logitech-dj: Remove duplicate error logging
    - [powerpc*] mm: Fix mprotect on book3s 32-bit
    - [powerpc*] 64s/slb: Fix SLB multihit issue during SLB preload
      (CVE-2025-71078)
    - leds: leds-lp50xx: Allow LED 0 to be added to module bank
    - leds: leds-lp50xx: LP5009 supports 3 modules for a total of 9 LEDs
    - leds: leds-lp50xx: Enable chip before any communication
    - mfd: altera-sysmgr: Fix device leak on sysmgr regmap lookup
    - mfd: max77620: Fix potential IRQ chip conflict when probing two devices
    - media: rc: st_rc: Fix reset control resource leak
    - [powerpc*] pseries/cmm: call balloon_devinfo_init() also without
      CONFIG_BALLOON_COMPACTION
    - media: adv7842: Avoid possible out-of-bounds array accesses in
      adv7842_cp_log_status() (CVE-2025-71136)
    - firmware: stratix10-svc: Add mutex in stratix10 memory management
    - dm-ebs: Mark full buffer dirty even on partial write
    - dm-bufio: align write boundary on physical block size
    - fbdev: gbefb: fix to use physical address instead of dma address
    - fbdev: pxafb: Fix multiple clamped values in pxafb_adjust_timing
    - fbdev: tcx.c fix mem_map to correct smem_start offset
    - media: cec: Fix debugfs leak on bus_register() failure
    - media: msp3400: Avoid possible out-of-bounds array accesses in
      msp3400c_thread()
    - media: renesas: rcar_drif: fix device node reference leak in
      rcar_drif_bond_enabled
    - media: samsung: exynos4-is: fix potential ABBA deadlock on init
    - media: TDA1997x: Remove redundant cancel_delayed_work in probe
    - media: verisilicon: Protect G2 HEVC decoder against invalid DPB index
    - media: videobuf2: Fix device reference leak in vb2_dc_alloc error path
    - media: vpif_capture: fix section mismatch
    - media: vpif_display: fix section mismatch
    - media: amphion: Cancel message work before releasing the VPU core
    - media: i2c: ADV7604: Remove redundant cancel_delayed_work in probe
    - media: i2c: adv7842: Remove redundant cancel_delayed_work in probe
    - compiler_types.h: add "auto" as a macro for "__auto_type"
    - idr: fix idr_alloc() returning an ID out of range
    - RDMA/core: Check for the presence of LS_NLA_TYPE_DGID correctly
      (CVE-2025-71096)
    - RDMA/cm: Fix leaking the multicast GID table reference (CVE-2025-71084)
    - e1000: fix OOB in e1000_tbi_should_accept() (CVE-2025-71093)
    - fjes: Add missing iounmap in fjes_hw_init()
    - nfsd: Drop the client reference in client_states_open()
    - net: usb: sr9700: fix incorrect command used to write single register
    - net: nfc: fix deadlock between nfc_unregister_device and rfkill_fop_write
      (CVE-2025-71079)
    - net: macb: Relocate mog_init_rings() callback from macb_mac_link_up() to
      macb_open()
    - [arm64] drm/msm/a6xx: Fix out of bound IO access in a6xx_get_gmu_registers
    - drm/ttm: Avoid NULL pointer deref for evicted BOs (CVE-2025-71083)
    - [x86] drm/mgag200: Fix big-endian support
    - [x86] drm/i915/gem: Zero-initialize the eb.vma array in
      i915_gem_do_execbuffer (CVE-2025-71130)
    - drm/nouveau/dispnv50: Don't call drm_atomic_get_crtc_state() in prepare_fb
    - blk-mq: add helper for checking if one CPU is mapped to specified hctx
    - tpm: Cap the number of PCR banks (CVE-2025-71077)
    - [powerpc*] 64s/radix/kfence: map __kfence_pool at page granularity
    - RDMA/core: Fix "KASAN: slab-use-after-free Read in ib_register_device"
      problem (CVE-2025-38022)
    - kbuild: Use CRC32 and a 1MiB dictionary for XZ compressed modules
    - fscache: delete fscache_cookie_lru_timer when fscache exits to avoid UAF
      (CVE-2024-46786)
    - net: dsa: sja1105: fix kasan out-of-bounds warning in
      sja1105_table_delete_entry() (CVE-2025-22107)
    - ksmbd: fix out-of-bounds in parse_sec_desc() (CVE-2025-21946)
    - page_pool: Fix use-after-free in page_pool_recycle_in_ring
      (CVE-2025-38129)
    - [x86] KVM: x86/mmu: Use EMULTYPE flag to track write #PFs to shadow pages
    - [x86] KVM: SVM: Don't skip unrelated instruction if INT3/INTO is replaced
      (CVE-2025-68259)
    - mptcp: Initialise rcv_mss before calling tcp_send_active_reset() in
      mptcp_do_fastclose().
    - ALSA: hda: cs35l41: Fix NULL pointer dereference in
      cs35l41_hda_read_acpi() (CVE-2025-68345)
    - ALSA: wavefront: Use guard() for spin locks
    - ALSA: wavefront: Clear substream pointers on close
    - ALSA: wavefront: Use standard print API
    - ALSA: wavefront: Fix integer overflow in sample size validation
      (CVE-2025-68344)
    - can: gs_usb: gs_can_open(): fix error handling
    - wifi: mt76: Fix DTS power-limits on little endian systems
    - btrfs: don't rewrite ret from inode_permission
    - gfs2: fix freeze error handling
    - jbd2: fix the inconsistency between checksum and data in memory for
      journal sb
    - ext4: fix string copying in parse_apply_sb_mount_options()
      (CVE-2025-71123)
    - mptcp: avoid deadlock on fallback while reinjecting (CVE-2025-71126)
    - usb: ohci-nxp: Use helper function devm_clk_get_enabled()
    - usb: ohci-nxp: fix device leak on probe failure
    - mptcp: pm: ignore unknown endpoint flags
    - usb: dwc3: keep susphy enabled during exit to avoid controller faults
    - scsi: ufs: core: Add ufshcd_update_evt_hist() for UFS suspend error
    - f2fs: fix to avoid updating zero-sized extent in extent cache
      (CVE-2025-68796)
    - f2fs: remove unused GC_FAILURE_PIN
    - f2fs: keep POSIX_FADV_NOREUSE ranges
    - f2fs: drop inode from the donation list when the last file is closed
    - f2fs: fix to avoid updating compression context during writeback
      (CVE-2025-68772)
    - f2fs: fix to propagate error from f2fs_enable_checkpoint()
    - f2fs: use global inline_xattr_slab instead of per-sb slab cache
      (CVE-2025-71105)
    - f2fs: fix to detect recoverable inode during dryrun of find_fsync_dnodes()
    - NFSD: Clear SECLABEL in the suppattr_exclcreat bitmap
    - SUNRPC: svcauth_gss: avoid NULL deref on zero length gss_token in
      gss_read_proxy_verf (CVE-2025-71120)
    - btrfs: don't log conflicting inode if it's a dir moved in the current
      transaction (CVE-2025-68778)
    - crypto: af_alg - zero initialize memory allocated via sock_kmalloc
      (CVE-2025-71113)
    - [armhf] ASoC: stm32: sai: Use the devm_clk_get_optional() helper
    - [armhf] ASoC: stm32: sai: fix clk prepare imbalance on probe failure
    - fuse: fix readahead reclaim deadlock (CVE-2025-68821)
    - ASoC: stm: stm32_sai_sub: Convert to platform remove callback returning
      void
    - [armhf] ASoC: stm32: sai: fix OF node leak on probe (CVE-2025-71081)
    - media: verisilicon: Fix CPU stalls on G2 bus error
    - [arm64] dts: ti: k3-j721e-sk: Fix pinmux for pin Y1 used by power
      regulator
    - PCI: brcmstb: Fix disabling L0s capability
    - mm/balloon_compaction: we cannot have isolated pages in the balloon list
    - mm/balloon_compaction: convert balloon_page_delete() to
      balloon_page_finalize()
    - [powerpc*] pseries/cmm: adjust BALLOON_MIGRATE when migrating pages
    - [x86] KVM: nVMX: Immediately refresh APICv controls as needed on nested
      VM-Exit
    - pmdomain: Use device_get_match_data()
    - pmdomain: imx: Fix reference count leak in imx_gpc_probe()
    - mptcp: fallback earlier on simult connection (CVE-2025-71088)
    - lockd: fix vfs_test_lock() calls
    - mm: simplify folio_expected_ref_count()
    - mm: consider non-anon swap cache folios in folio_expected_ref_count()
    - wifi: mac80211: Discard Beacon frames to non-broadcast address
      (CVE-2025-71127)
    - drm/amdgpu: cleanup scheduler job initialization v2
    - drm/amdgpu: add missing lock to amdgpu_ttm_access_memory_sdma
    - drm/gma500: Remove unused helper psb_fbdev_fb_setcolreg()
    - net: Remove RTNL dance for SIOCBRADDIF and SIOCBRDELIF. (CVE-2025-22111)
    - serial: Make uart_remove_one_port() return void
    - tty: introduce and use tty_port_tty_vhangup() helper
    - xhci: dbgtty: fix device unregister: fixup
    - NFSD: NFSv4 file creation neglects setting ACL (CVE-2025-68803)
    - [arm64] iommu/arm-smmu: Drop if with an always false condition
    - [arm64] iommu/arm-smmu: Convert to platform remove callback returning void
    - [arm64] iommu/qcom: Use the asid read from device-tree if specified
    - [arm64] iommu/qcom: Index contexts by asid number to allow asid 0
    - [arm64] iommu/qcom: fix device leak on of_xlate()
    - virtio_console: fix order of fields cols and rows
    - [arm64] KVM: arm64: sys_regs: disable -Wuninitialized-const-pointer
      warning
    - dmaengine: idxd: Remove improper idxd_free (CVE-2025-39871)
    - [x86] mm/pat: clear VM_PAT if copy_p4d_range failed
    - [x86] mm/pat: Fix VM_PAT handling when fork() fails in copy_page_range()
    - mm/mprotect: use long for page accountings and retval
    - mm/mprotect: delete pmd_none_or_clear_bad_unless_trans_huge()
    - drm/vmwgfx: Fix a null-ptr access in the cursor snooper (CVE-2025-40110)
    - usb: xhci: move link chain bit quirk checks into one helper function.
    - usb: xhci: Apply the link chain quirk on NEC isoc endpoints
      (CVE-2025-22022)
    - sched/fair: Small cleanup to sched_balance_newidle()
    - sched/fair: Small cleanup to update_newidle_cost()
    - sched/fair: Proportional newidle balance
    - ext4: filesystems without casefold feature cannot be mounted with siphash
      (CVE-2024-49968)
    - ext4: factor out ext4_hash_info_init()
    - ext4: fix error message when rejecting the default hash
    - pwm: stm32: Always program polarity
    - blk-mq: setup queue ->tag_set before initializing hctx
    - tty: fix tty_port_tty_*hangup() kernel-doc
    - firmware: arm_scmi: Fix unused notifier-block in unregister
    - Revert "iommu/amd: Skip enabling command/event buffers for kdump"
    - net: ethtool: fix the error condition in ethtool_get_phy_stats_ethtool()
    - kernel/fork: only call untrack_pfn_clear() on VMAs duplicated for fork()
    - mm: (un)track_pfn_copy() fix + doc improvements
    - usb: gadget: lpc32xx_udc: fix clock imbalance in error path
    - net: stmmac: fix incorrect rxq|txq_stats reference
    - net: stmmac: fix ethtool per-queue statistics
    - wifi: nl80211: fix puncturing bitmap policy
    - wifi: mac80211: fix switch count in EMA beacons
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.161
    - mm: page_poison: always declare __kernel_map_pages() function
    - atm: Fix dma_free_coherent() size
    - net: 3com: 3c59x: fix possible null dereference in vortex_probe1()
    - btrfs: always detect conflicting inodes when logging inode refs
    - [x86] mei: me: add nova lake point S DID
    - lib/crypto: aes: Fix missing MMU protection for AES S-box
    - [arm64,armhf] gpio: rockchip: mark the GPIO controller as sleeping
    - wifi: avoid kernel-infoleak from struct iw_point
    - libceph: prevent potential out-of-bounds reads in handle_auth_done()
    - libceph: replace overzealous BUG_ON in osdmap_apply_incremental()
    - libceph: make free_choose_arg_map() resilient to partial allocation
    - libceph: return the handler error from mon_handle_auth_done()
    - libceph: make calc_target() set t->paused, not just clear it
    - ext4: introduce ITAIL helper
    - ext4: fix out-of-bound read in ext4_xattr_inode_dec_ref_all()
    - net: Add locking to protect skb->dev access in ip_output
    - tls: Use __sk_dst_get() and dst_dev_rcu() in get_netdev_for_sock().
    - NFSv4: ensure the open stateid seqid doesn't go backwards
    - NFS: Fix up the automount fs_context to use the correct cred
    - smb/client: fix NT_STATUS_UNABLE_TO_FREE_VM value
    - smb/client: fix NT_STATUS_DEVICE_DOOR_OPEN value
    - smb/client: fix NT_STATUS_NO_DATA_DETECTED value
    - scsi: ipr: Enable/disable IRQD_NO_BALANCING during reset
    - scsi: ufs: core: Fix EH failure after W-LUN resume error
    - scsi: Revert "scsi: libsas: Fix exp-attached device scan after probe
      failure scanned in again after probe failed"
    - [arm64] dts: add off-on-delay-us for usdhc2 regulator
    - netfilter: nft_synproxy: avoid possible data-race on update operation
    - netfilter: nf_tables: fix memory leak in nf_tables_newrule()
    - netfilter: nf_conncount: update last_gc only when GC has been performed
    - bridge: fix C-VLAN preservation in 802.1ad vlan_tunnel egress
    - [arm64] net: mscc: ocelot: Fix crash when adding interface under a lag
    - inet: ping: Fix icmp out counting
    - net: sock: fix hardened usercopy panic in sock_recv_errqueue
    - netdev: preserve NETIF_F_ALL_FOR_ALL across TSO updates
    - net/mlx5e: Don't print error message due to invalid module
    - net: wwan: iosm: Fix memory leak in ipc_mux_deinit()
    - eth: bnxt: move and rename reset helpers
    - bnxt_en: Fix potential data corruption with HW GRO/LRO
    - net: fix memory leak in skb_segment_list for GRO packets
    - HID: quirks: work around VID/PID conflict for appledisplay
    - net/sched: sch_qfq: Fix NULL deref when deactivating inactive aggregate in
      qfq_reset
    - arp: do not assume dev_hard_header() does not change skb->head
    - mm/pagewalk: add walk_page_range_vma()
    - ksm: use range-walk function to jump over holes in scan_get_next_rmap_item
    - ALSA: ac97bus: Use guard() for mutex locks
    - ALSA: ac97: fix a double free in snd_ac97_controller_register()
    - nfsd: provide locking for v4_end_grace
    - NFS: trace: show TIMEDOUT instead of 0x6e
    - nfs_common: factor out nfs_errtbl and nfs_stat_to_errno
    - NFSD: Remove NFSERR_EAGAIN
    - bpf: Fix an issue in bpf_prog_test_run_xdp when page size greater than 4K
    - bpf: Make variables in bpf_prog_test_run_xdp less confusing
    - bpf: Support specifying linear xdp packet data size for BPF_PROG_TEST_RUN
    - bpf: Fix reference count leak in bpf_prog_test_run_xdp()
    - powercap: fix race condition in register_control_type()
    - powercap: fix sscanf() error return value handling
    - can: j1939: make j1939_session_activate() fail if device is no longer
      registered
    - [x86] ASoC: amd: yc: Add quirk for Honor MagicBook X16 2025
    - [arm64] ASoC: fsl_sai: Add missing registers to cache default
    - scsi: sg: Fix occasional bogus elapsed time that exceeds timeout
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.162
    - efi/cper: Fix cper_bits_to_str buffer handling and return value
    - Revert "gfs2: Fix use of bio_chain"
    - xfrm: Fix inner mode lookup in tunnel mode GSO segmentation
    - pnfs/flexfiles: Fix memory leak in nfs4_ff_alloc_deviceid_node()
      (CVE-2026-23038)
    - nvmet-tcp: remove boilerplate code
    - nvme-tcp: fix NULL pointer dereferences in nvmet_tcp_build_pdu_iovec
      (CVE-2026-22998)
    - ip6_tunnel: use skb_vlan_inet_prepare() in __ip6_tnl_rcv()
    - net: update netdev_lock_{type,name}
    - macvlan: fix possible UAF in macvlan_forward_source() (CVE-2026-23001)
    - ipv4: ip_gre: make ipgre_header() robust
    - net/mlx5e: Restore destroying state bit after profile cleanup
    - btrfs: move flush related definitions to space-info.h
    - btrfs: store fs_info in space_info
    - btrfs: factor out init_space_info() from create_space_info()
    - btrfs: factor out check_removing_space_info() from
      btrfs_free_block_groups()
    - btrfs: introduce btrfs_space_info sub-group
    - btrfs: fix memory leaks in create_space_info() error paths
    - hv_netvsc: Allocate rx indirection table size dynamically
    - net: hv_netvsc: reject RSS hash key programming without RX indirection
      table (CVE-2026-23054)
    - ipv6: Fix use-after-free in inet6_addr_del(). (CVE-2026-23010)).
    - net/sched: sch_qfq: do not free existing class in qfq_change_class()
      (CVE-2026-22999)
    - ASoC: tlv320adcx140: fix null pointer (CVE-2026-23006)
    - ASoC: tlv320adcx140: fix word length
    - textsearch: describe @list member in ts_ops search
    - mm, kfence: describe @slab parameter in __kfence_obj_info()
    - [arm64] dmaengine: tegra-adma: Fix use-after-free (CVE-2025-71162)
    - dmaengine: xilinx_dma: Fix uninitialized addr_width when "xlnx,addrwidth"
      property is missing
    - [armhf] phy: stm32-usphyc: Fix off by one in probe() (CVE-2025-71196)
    - [armhf] dmaengine: omap-dma: fix dma_pool resource leak in error paths
      (CVE-2026-23033)
    - HID: usbhid: paper over wrong bNumDescriptor field (Closes: #1122193)
    - scsi: core: Fix error handler encryption support
    - ALSA: pcm: Improve the fix for race of buffer access at PCM OSS layer
    - can: gs_usb: gs_usb_receive_bulk_callback(): fix URB memory leak
    - can: ctucanfd: fix SSP_SRC in cases when bit-rate is higher than 1 MBit.
    - net: can: j1939: j1939_xtp_rx_rts_session_active(): deactivate session
      upon receiving the second rts
    - [arm64] phy: rockchip: inno-usb2: fix disconnection in gadget mode
    - [arm64] phy: rockchip: inno-usb2: fix communication disruption in gadget
      mode
    - [arm64,armhf] usb: dwc3: Check for USB4 IP_NAME
    - usb: core: add USB_QUIRK_NO_BOS for devices that hang on BOS descriptor
    - USB: OHCI/UHCI: Add soft dependencies on ehci_platform
    - USB: serial: option: add Telit LE910 MBIM composition
    - USB: serial: ftdi_sio: add support for PICAXE AXE027 cable
    - nvme-pci: disable secondary temp for Wodposit WPBSNM8
    - ext4: fix iloc.bh leak in ext4_xattr_inode_update_ref
    - hrtimer: Fix softirq base check in update_needs_ipi()
    - [x86] EDAC/x38: Fix a resource leak in x38_probe1()
    - [x86] EDAC/i3200: Fix a resource leak in i3200_probe1()
    - [x86] resctrl: Add missing resctrl initialization for Hygon
    - [x86] resctrl: Fix memory bandwidth counter width for Hygon
    - mm/page_alloc: make percpu_pagelist_high_fraction reads lock-free
    - mm/damon/sysfs: cleanup attrs subdirs on context dir setup failure
    - drm/nouveau/disp/nv50-: Set lock_core in curs507a_prepare
    - drm/panel-simple: fix connector type for DataImage SCF0700C48GGU18 panel
      (CVE-2026-23049)
    - drm/vmwgfx: Fix an error return check in vmw_compat_shader_add()
    - dmaengine: at_hdmac: fix device leak on of_dma_xlate() (CVE-2025-71191)
    - dmaengine: bcm-sba-raid: fix device leak on probe (CVE-2025-71190)
    - dmaengine: dw: dmamux: fix OF node leak on route allocation failure
      (CVE-2025-71189)
    - dmaengine: idxd: fix device leaks on compat bind and unbind
      (CVE-2025-71163)
    - dmaengine: lpc18xx-dmamux: fix device leak on route allocation
      (CVE-2025-71188)
    - dmaengine: qcom: gpi: Fix memory leak in gpi_peripheral_config()
      (CVE-2026-23026)
    - [armhf] dmaengine: ti: dma-crossbar: fix device leak on dra7x route
      allocation
    - [armhf] dmaengine: ti: dma-crossbar: fix device leak on am335x route
      allocation (CVE-2025-71185)
    - dmaengine: ti: k3-udma: fix device leak on udma lookup
    - btrfs: fix deadlock in wait_current_trans() due to ignored transaction
      type
    - io_uring: move local task_work in exit cancel loop
    - posix-clock: introduce posix_clock_context concept
    - Fix memory leak in posix_clock_open()
    - posix-clock: Store file pointer in struct posix_clock_context
    - ptp: Add PHC file mode checks. Allow RO adjtime() without FMODE_WRITE.
    - btrfs: fix missing fields in superblock backup with BLOCK_GROUP_TREE
    - ata: libata: Add cpr_log to ata_dev_print_features() early return
    - ata: libata: Introduce ata_ncq_supported()
    - ata: libata: cleanup fua support detection
    - ata: libata-core: Introduce ata_dev_config_lpm()
    - ata: libata: Call ata_dev_config_lpm() for ATAPI devices
    - ata: libata: Print features also for ATAPI devices
    - net: usb: dm9601: remove broken SR9700 support
    - bonding: limit BOND_MODE_8023AD to Ethernet devices (CVE-2026-23099)
    - can: gs_usb: gs_usb_receive_bulk_callback(): unanchor URL on
      usb_submit_urb() error
    - sctp: move SCTP_CMD_ASSOC_SHKEY right after SCTP_CMD_PEER_INIT
    - [amd64,arm64] amd-xgbe: avoid misleading per-packet error log
    - gue: Fix skb memleak with inner IP protocol 0. (CVE-2026-23095)
    - netlink: add a proto specification for FOU
    - fou: Don't allow 0 for FOU_ATTR_IPPROTO. (CVE-2026-23083)
    - l2tp: avoid one data-race in l2tp_tunnel_del_work()
    - ipvlan: Make the addrs_lock be per port (CVE-2026-23103)
    - net/sched: Enforce that teql can only be used as root qdisc
      (CVE-2026-23074)
    - net/sched: qfq: Use cl_is_active to determine whether class is active in
      qfq_rm_from_ag (CVE-2026-23105)
    - crypto: authencesn - reject too-short AAD (assoclen<8) to match ESP/ESN
      spec
    - serial: 8250_pci: Fix broken RS485 for F81504/508/512
    - [i386] comedi: dmm32at: serialize use of paged registers
    - w1: therm: Fix off-by-one buffer overflow in alarms_store (CVE-2025-71197)
    - w1: fix redundant counter decrement in w1_attach_slave_device()
    - Revert "nfc/nci: Add the inconsistency check between the input data length
      and count"
    - Input: i8042 - add quirks for MECHREVO Wujie 15X Pro
    - Input: i8042 - add quirk for ASUS Zenbook UX425QA_UM425QA
    - scsi: storvsc: Process unsupported MODE_SENSE_10
    - [arm64] dts: rockchip: remove dangerous max-link-speed from helios64
    - [x86] kfence: avoid writing L1TF-vulnerable PTEs
    - [x86] comedi: Fix getting range information for subdevices 16 to 255
    - iio: adc: ad7280a: handle spi_setup() errors in probe()
    - spi: sprd-adi: Convert to platform remove callback returning void
    - spi: sprd-adi: Use devm_platform_get_and_ioremap_resource()
    - spi: sprd: adi: Use devm_register_restart_handler()
    - spi: sprd-adi: switch to use spi_alloc_host()
    - spi: spi-sprd-adi: Fix double free in probe error path (CVE-2026-23068)
    - regmap: Fix race condition in hwspinlock irqsave routine (CVE-2026-23071)
    - scsi: core: Wake up the error handler when final completions race against
      each other (CVE-2026-23110)
    - ALSA: usb: Increase volume range that triggers a warning
    - [arm64] net: hns3: fix wrong GENMASK() for HCLGE_FD_AD_COUNTER_NUM_M
    - [arm64] net: hns3: fix the HCLGE_FD_AD_NXT_KEY error setting issue
    - mISDN: annotate data-race around dev->work
    - ipv6: annotate data-race in ndisc_router_discovery()
    - usbnet: limit max_mtu based on device's hard_mtu
    - drm/amd/pm: Don't clear SI SMC table when setting power limit
    - drm/amd/pm: Workaround SI powertune issue on Radeon 430 (v2)
    - be2net: Fix NULL pointer dereference in be_cmd_get_mac_from_list
      (CVE-2026-23084)
    - bonding: provide a net pointer to __skb_flow_dissect()
    - vsock/virtio: fix potential underflow in virtio_transport_get_credit()
      (CVE-2026-23069)
    - vsock/virtio: cap TX credit to local buffer size (CVE-2026-23086)
    - net/sched: act_ife: avoid possible NULL deref (CVE-2026-23064)
    - [x86] make page fault handling disable interrupts properly
    - leds: led-class: Only Add LED to leds_list when it is fully ready
      (CVE-2026-23101)
    - of: fix reference count leak in of_alias_scan()
    - of: platform: Use default match table for /firmware
    - iio: adc: ad9467: fix ad9434 vref mask
    - iio: adc: at91-sama5d2_adc: Fix potential use-after-free in sama5d2_adc
      driver (CVE-2025-71199)
    - iio: dac: ad5686: add AD5695R to ad5686_chip_info_tbl
    - ALSA: ctxfi: Fix potential OOB access in audio mixer handling
      (CVE-2026-23076) (Closes: #1121535)
    - ALSA: usb-audio: Fix use-after-free in snd_usb_mixer_free()
      (CVE-2026-23089)
    - mmc: rtsx_pci_sdmmc: implement sdmmc_card_busy function
    - wifi: ath10k: fix dma_free_coherent() pointer
    - wifi: mwifiex: Fix a loop in mwifiex_update_ampdu_rxwinsize()
    - wifi: rsi: Fix memory corruption due to not set vif driver data size
      (CVE-2026-23073)
    - [arm64] fpsimd: signal: Allocate SSVE storage when restoring ZA
      (CVE-2026-23107)
    - [arm64] Set __nocfi on swsusp_arch_resume()
    - slimbus: core: fix runtime PM imbalance on report present
    - slimbus: core: fix device reference leak on report present
      (CVE-2026-23090)
    - [x86] intel_th: fix device leak on output open() (CVE-2026-23091)
    - uacce: fix cdev handling in the cleanup path (CVE-2026-23096)
    - uacce: implement mremap in uacce_vm_ops to return -EPERM (CVE-2026-23056)
    - uacce: ensure safe queue release with state management (CVE-2026-23063)
    - netrom: fix double-free in nr_route_frame() (CVE-2026-23098)
    - [x86] perf/x86/intel: Do not enable BTS for guests
    - [arm64,armhf] irqchip/gic-v3-its: Avoid truncating memory addresses
      (CVE-2026-23085)
    - can: ems_usb: ems_usb_read_bulk_callback(): fix URB memory leak
    - can: kvaser_usb: kvaser_usb_read_bulk_callback(): fix URB memory leak
    - can: mcba_usb: mcba_usb_read_bulk_callback(): fix URB memory leak
    - can: usb_8dev: usb_8dev_read_bulk_callback(): fix URB memory leak
    - migrate: correct lock ordering for hugetlb file folios (CVE-2026-23097)
    - bpf: Do not let BPF test infra emit invalid GSO types to stack
      (CVE-2025-68725)
    - bpf: Reject narrower access to pointer ctx fields (CVE-2025-38591)
    - Bluetooth: hci_uart: fix null-ptr-deref in hci_uart_write_work
    - net/mlx5: Fix memory leak in esw_acl_ingress_lgcy_setup()
    - can: gs_usb: gs_usb_receive_bulk_callback(): fix error message
    - bonding: annotate data-races around slave->last_rx
    - [arm64,armhf] net: mvpp2: cls: Fix memory leak in
      mvpp2_ethtool_cls_rule_ins()
    - ipv6: use the right ifindex when replying to icmpv6 from localhost
    - net: wwan: t7xx: fix potential skb->frags overflow in RX path
    - nfc: llcp: Fix memleak in nfc_llcp_send_ui_frame().
    - ice: stop counting UDP csum mismatch as rx_errors
    - net/mlx5e: Report rx_discards_phy via rx_dropped
    - net/mlx5e: Account for netdev stats in ndo_get_stats64
    - nfc: nci: Fix race between rfkill and nci_unregister_device().
    - net: bridge: fix static key check
    - scsi: firewire: sbp-target: Fix overflow in sbp_make_tpg()
    - [x86] ASoC: Intel: sof_es8336: fix headphone GPIO logic inversion
    - gpiolib: acpi: use BIT_ULL() for u64 mask in address space handler
    - dma/pool: distinguish between missing and exhausted atomic pools
    - [arm64,armhf] pinctrl: meson: mark the GPIO controller as sleeping
    - scsi: be2iscsi: Fix a memory leak in beiscsi_boot_get_sinfo()
    - [x86] ASoC: amd: yc: Add DMI quirk for Acer TravelMate P216-41-TCO
    - scsi: qla2xxx: edif: Fix dma_free_coherent() size
    - efivarfs: fix error propagation in efivar_entry_get()
    - mptcp: only reset subflow errors when propagated
    - flex_proportions: make fprop_new_period() hardirq safe
    - drm/amdgpu/soc21: fix xclk for APUs
    - drm/amdgpu/gfx10: fix wptr reset in KGQ init
    - drm/amdgpu/gfx11: fix wptr reset in KGQ init
    - [arm64,armhf] gpio: rockchip: Stop calling pinctrl for set_direction
    - mm/rmap: fix two comments related to huge_pmd_unshare()
    - [arm64] dts: rockchip: remove redundant max-link-speed from nanopi-r4s
    - xen: make remove callback of xen driver void returned
    - scsi: xen: scsiback: Fix potential memory leak in scsiback_remove()
      (CVE-2026-23087)
    - [armhf] dmaengine: stm32: dmamux: fix OF node leak on route allocation
      failure
    - mm/page_alloc: prevent pcp corruption with SMP=n (CVE-2026-23025)
    - [armhf] dmaengine: stm32: dmamux: fix device leak on route allocation
      (CVE-2025-71186)
    - mm: kmsan: fix poisoning of high-order non-compound pages
    - xfs: set max_agbno to allow sparse alloc of last full inode chunk
    - [arm64] pmdomain: imx8m-blk-ctrl: Remove separate rst and clk mask for 8mq
      vpu
    - ksmbd: smbd: fix dma_unmap_sg() nents
    - mei: trace: treat reg parameter as string
    - [arm64] fpsimd: signal: Fix restoration of SVE context (CVE-2026-23102)
    - [arm64] mmc: sdhci-of-dwcmshc: Update DLL and pre-change delay for
      rockchip platform
    - [arm64] mmc: sdhci-of-dwcmshc: Prevent illegal clock reduction in
      HS200/HS400 mode
    - ALSA: scarlett2: Fix buffer overflow in config retrieval (CVE-2026-23078)
    - [armhf] iio: adc: exynos_adc: fix OF populate on driver rebind
    - nvme-fc: rename free_ctrl callback to match name pattern
    - nvme-pci: do not directly handle subsys reset fallout
    - nvme: fix PCIe subsystem reset controller state transition
    - [arm64] phy: phy-rockchip-inno-usb2: simplify phy clock handling
    - [arm64] phy: phy-rockchip-inno-usb2: Use dev_err_probe() in the probe path
    - [arm64] phy: rockchip: inno-usb2: Fix a double free bug in
      rockchip_usb2phy_probe() (CVE-2026-23030)
    - [x86] fpu: Clear XSTATE_BV[i] in guest XSAVE state whenever XFD[i]=1
    - team: Move team device type change at the end of team_port_add
      (CVE-2025-68340)
    - wifi: mac80211: use wiphy work for sdata->work
    - wifi: mac80211: move TDLS work to wiphy work
    - genirq/irq_sim: Initialize work context pointers properly (CVE-2025-38408)
    - drm/amdkfd: fix a memory leak in device_queue_manager_init()
    - can: esd_usb: esd_usb_read_bulk_callback(): fix URB memory leak
    - Revert "mm/mprotect: delete pmd_none_or_clear_bad_unless_trans_huge()"
    - drm/amd/display: Check dce_hwseq before dereferencing it (CVE-2025-38361)
    - [x86] crypto: qat - flush misc workqueue during device shutdown
      (CVE-2025-39721)
    - iomap: Fix possible overflow condition in iomap_write_delalloc_scan
      (CVE-2023-54285)
    - fs/ntfs3: Initialize allocated memory before use (CVE-2025-68365)
    - blk-cgroup: Reinit blkg_iostat_set after clearing in blkcg_reset_stats()
      (CVE-2023-53421)
    - Revert "net/mlx5: Block entering switchdev mode with ns inconsistency"
      (CVE-2023-52658)
    - gfs2: Fix NULL pointer dereference in gfs2_log_flush (CVE-2024-42079)
    - NFSD: fix race between nfsd registration and exports_proc (CVE-2025-38232)
    - usbnet: Fix using smp_processor_id() in preemptible code warnings
    - drm/amdgpu: Replace Mutex with Spinlock for RLCG register access to avoid
      Priority Inversion in SRIOV (CVE-2025-38104)
    - net: stmmac: make sure that ptp_rate is not 0 before configuring EST
      (CVE-2025-38125)
    - sctp: linearize cloned gso packets in sctp_rcv (CVE-2025-38718)
    - ksmbd: fix use-after-free in ksmbd_session_rpc_open (CVE-2025-37926)
    - ksmbd: Fix race condition in RPC handle list access (CVE-2025-40039)
    - vhost-scsi: Fix handling of multiple calls to vhost_scsi_set_endpoint
      (CVE-2025-22083)
    - drm/radeon: delete radeon_fence_process in is_signaled, no deadlock
      (CVE-2025-68223)
    - btrfs: prevent use-after-free on page private data in
      btrfs_subpage_clear_uptodate()
    - net/sched: act_ife: convert comma to semicolon
    - mptcp: avoid dup SUB_CLOSED events after disconnect
    - mm/kfence: randomize the freelist on initialization
    - writeback: fix 100% CPU usage when dirtytime_expire_interval is 0
    - ksmbd: fix recursive locking in RPC handle list access

  [ Noah Meyerhans ]
  * net: mana: Support holes in device list reply msg

  [ Salvatore Bonaccorso ]
  * [rt] Update to 6.1.158-rt58

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 08 Feb 2026 12:00:45 +0100

linux (6.1.159-1) bookworm; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.159
    - net/sched: sch_qfq: Fix null-deref in agg_dequeue (CVE-2025-40083)
    - perf: Have get_perf_callchain() return NULL if crosstask and user are set
    - [x86] bugs: Fix reporting of LFENCE retpoline
    - EDAC/mc_sysfs: Increase legacy channel support to 16
    - btrfs: zoned: refine extent allocator hint selection
    - btrfs: scrub: replace max_t()/min_t() with clamp() in
      scrub_throttle_dev_io()
    - btrfs: always drop log root tree reference in btrfs_replay_log()
    - btrfs: use smp_mb__after_atomic() when forcing COW in
      create_pending_snapshot()
    - arch: Add the macro COMPILE_OFFSETS to all the asm-offsets.c
    - mptcp: pm: in-kernel: C-flag: handle late ADD_ADDR
    - dt-bindings: usb: dwc3-imx8mp: dma-range is required only for imx8mp
    - xhci: dbc: Provide sysfs option to configure dbc descriptors
    - xhci: dbc: poll at different rate depending on data transfer activity
    - xhci: dbc: Allow users to modify DbC poll interval via sysfs
    - xhci: dbc: Improve performance by removing delay in transfer event
      polling.
    - xhci: dbc: Avoid event polling busyloop if pending rx transfers are
      inactive.
    - xhci: dbc: fix bogus 1024 byte prefix if ttyDBC read races with stall
      event
    - NFSD: Fix crash in nfsd4_read_release() (CVE-2025-40324)
    - net: usb: asix_devices: Check return value of usbnet_get_endpoints
    - fbcon: Set fb_display[i]->mode to NULL when the mode is released
    - fbdev: atyfb: Check if pll_ops->init_pll failed
    - ACPI: video: Fix use-after-free in acpi_video_switch_brightness()
      (CVE-2025-40211)
    - fbdev: bitblit: bound-check glyph index in bit_putcs* (CVE-2025-40322)*
    - wifi: brcmfmac: fix crash while sending Action Frames in standalone AP
      Mode (CVE-2025-40321)
    - fbdev: pvr2fb: Fix leftover reference to ONCHIP_NR_DMA_CHANNELS
    - fbdev: valkyriefb: Fix reference count leak in valkyriefb_init
    - mptcp: restore window probe
    - [x86] fpu: Ensure XFD state on signal delivery
    - wifi: ath10k: Fix memory leak on unsupported WMI command
    - [arm64] drm/msm/a6xx: Fix GMU firmware parser
    - ALSA: usb-audio: fix control pipe direction
    - bpf: Sync pending IRQ work before freeing ring buffer (CVE-2025-40319)
    - scsi: ufs: core: Initialize value of an attribute returned by uic cmd
    - bpf: Do not audit capability check in do_jit()
    - [arm64] ASoC: fsl_sai: fix bit order for DSD format
    - libbpf: Fix powerpc's stack register definition in bpf_tracing.h
    - usbnet: Prevents free active kevent
    - Bluetooth: hci_sync: fix race in hci_cmd_sync_dequeue_once
      (CVE-2025-40318)
    - Bluetooth: btmtksdio: Add pmctrl handling for BT closed state during reset
    - Bluetooth: HCI: Fix tracking of advertisement set/instance 0x00
    - Bluetooth: ISO: Add support for periodic adv reports processing
    - Bluetooth: ISO: Fix another instance of dst_type handling
    - [arm64,armhf] drm/etnaviv: fix flush sequence logic
    - [arm64] net: hns3: return error code when function fails
    - drm/amd/pm: fix smu table id bound check issue in smu_cmn_update_table()
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Fiji
    - drm/amd/pm/powerplay/smumgr: Fix PCIeBootLinkLevel value on Iceland
    - block: fix op_is_zone_mgmt() to handle REQ_OP_ZONE_RESET_ALL
    - block: make REQ_OP_ZONE_OPEN a write operation
    - regmap: slimbus: fix bus_context pointer in regmap init calls
      (CVE-2025-40317)
    - Reapply "Revert drm/amd/display: Enable Freesync Video Mode by default"
      (Closes: #1119232)
    - [s390x] pci: Restore IRQ unconditionally for the zPCI device
    - net: phy: dp83867: Disable EEE support as not implemented
    - mptcp: change 'first' as a parameter
    - mptcp: drop bogus optimization in __mptcp_check_push()
    - can: gs_usb: increase max interface to U8_MAX
    - cacheinfo: Return error code in init_of_cache_level()
    - cacheinfo: Check 'cache-unified' property to count cache leaves
    - ACPI: PPTT: Remove acpi_find_cache_levels()
    - ACPI: PPTT: Update acpi_find_last_cache_level() to acpi_get_cache_info()
    - arch_topology: Build cacheinfo from primary CPU
    - cacheinfo: Initialize variables in fetch_cache_info()
    - cacheinfo: Fix LLC is not exported through sysfs
    - drivers: base: cacheinfo: Update cpu_map_populated during CPU Hotplug
    - [arm64] tegra: Update cache properties
    - filemap: add a kiocb_invalidate_pages helper
    - filemap: add a kiocb_invalidate_post_direct_write helper
    - filemap: update ki_pos in generic_perform_write
    - fs: factor out a direct_write_fallback helper
    - direct_write_fallback(): on error revert the ->ki_pos update from buffered
      write
    - block: open code __generic_file_write_iter for blkdev writes
    - block: fix race between set_blocksize and read paths (CVE-2025-38073)
    - nilfs2: fix deadlock warnings caused by lock dependency in init_nilfs()
    - usb: gadget: f_fs: Fix epfile null pointer access after ep enable.
      (CVE-2025-40315)
    - drm/sysfb: Do not dereference NULL pointer in plane reset
    - drm/sched: Fix race in drm_sched_entity_select_rq()
    - [s390x] pci: Avoid deadlock between PCI error recovery and mlx5 crdump
    - [armhf] soc: aspeed: socinfo: Add AST27xx silicon IDs
    - bpf: Don't use %pK through printk
    - pinctrl: single: fix bias pull up/down handling in pin_config_set
    - [arm64] mmc: host: renesas_sdhi: Fix the actual clock
    - memstick: Add timeout to prevent indefinite waiting
    - cpufreq/longhaul: handle NULL policy in longhaul_exit
    - [arm64,armhf] irqchip/gic-v2m: Handle Multiple MSI base IRQ Alignment
    - ACPI: PRM: Skip handlers with NULL handler_address or NULL VA
    - ACPI: scan: Add Intel CVS ACPI HIDs to acpi_ignore_dep_ids[]
    - hwmon: (sbtsi_temp) AMD CPU extended temperature range support
    - power: supply: sbs-charger: Support multiple devices
    - [arm64] mmc: sdhci-msm: Enable tuning for SDR50 mode for SD card
    - ACPICA: dispatcher: Use acpi_ds_clear_operands() in
      acpi_ds_call_control_method()
    - [arm64] tee: allow a driver to allocate a tee_device without a pool
    - nvmet-fc: avoid scheduling association deletion twice (CVE-2025-40343)
    - nvme-fc: use lock accessing port_state and rport state (CVE-2025-40342)
    - [arm64] video: backlight: lp855x_bl: Set correct EPROM start for LP8556
    - tools/cpupower: fix error return value in cpupower_write_sysfs()
    - cpuidle: Fail cpuidle device registration if there is one already
    - futex: Don't leak robust_list pointer on exec race (CVE-2025-40341)
    - bpf: Clear pfmemalloc flag when freeing all fragments
    - nvme: Use non zero KATO for persistent discovery connections
    - uprobe: Do not emulate/sstep original instruction when ip is changed
    - [x86] hwmon: (asus-ec-sensors) increase timeout for locking ACPI mutex
    - [x86] hwmon: (dell-smm) Add support for Dell OptiPlex 7040
    - [x86] tools/cpupower: Fix incorrect size in cpuidle_state_disable()
    - [x86] tools/power x86_energy_perf_policy: Fix incorrect fopen mode usage
    - [x86] tools/power x86_energy_perf_policy: Enhance HWP enable
    - [x86] tools/power x86_energy_perf_policy: Prefer driver HWP limits
    - [armhf] mfd: stmpe: Remove IRQ domain upon removal
    - [armhf] mfd: stmpe-i2c: Add missing MODULE_LICENSE
    - drm/amd/display: add more cyan skillfish devices
    - drm/amd/pm: Use cached metrics data on aldebaran
    - drm/amd/pm: Use cached metrics data on arcturus
    - drm/amdgpu/jpeg: Hold pg_lock before jpeg poweroff
    - drm/nouveau: replace snprintf() with scnprintf() in nvkm_snprintbf()
    - PCI: Disable MSI on RDC PCI to PCIe bridges
    - drm/amdkfd: return -ENOTTY for unsupported IOCTLs
    - media: pci: ivtv: Don't create fake v4l2_fh
    - [x86] vsyscall: Do not require X86_PF_INSTR to emulate vsyscall
    - net: stmmac: Check stmmac_hw_setup() in stmmac_resume()
    - ice: Don't use %pK through printk or tracepoints
    - thunderbolt: Use is_pciehp instead of is_hotplug_bridge
    - [powerpc*] eeh: Use result of error_detected() in uevent
    - [s390x] pci: Use pci_uevent_ers() in PCI recovery
    - bridge: Redirect to backup port when port is administratively down
    - net: ipv6: fix field-spanning memcpy warning in AH output
    - media: imon: make send_packet() more robust
    - drm/bridge: display-connector: don't set OP_DETECT for DisplayPorts
    - usb: gadget: f_ncm: Fix MAC assignment NCM ethernet
    - char: misc: Does not request module for miscdevice with dynamic minor
    - net: When removing nexthops, don't call synchronize_net if it is not
      necessary
    - net: Call trace_sock_exceed_buf_limit() for memcg failure with
      SK_MEM_RECV.
    - PCI/P2PDMA: Fix incorrect pointer usage in devm_kfree() call
    - ALSA: usb-audio: Add validation of UAC2/UAC3 effect units
    - rds: Fix endianness annotation for RDS_MPATH_HASH
    - scsi: mpi3mr: Fix controller init failure on fault during queue creation
    - scsi: pm80xx: Fix race condition caused by static variables
    - extcon: adc-jack: Fix wakeup source leaks on device unbind
    - net: phy: fixed_phy: let fixed_phy_unregister free the phy_device
    - drm/amdkfd: fix vram allocation failure for a special case
    - drm/amdkfd: Tie UNMAP_LATENCY to queue_preemption
    - media: fix uninitialized symbol warnings
    - drm/amdgpu: Respect max pixel clock for HDMI and DVI-D (v2)
    - scsi: pm8001: Use int instead of u32 to store error codes
    - ptp: Limit time setting of PTP clocks
    - dmaengine: sh: setup_xref error handling
    - dmaengine: mv_xor: match alloc_wc and free_wc
    - dmaengine: dw-edma: Set status for callback_result
    - [arm64] drm/msm/dsi/phy: Toggle back buffer resync after preparing PLL
    - [arm64] drm/msm/dsi/phy_7nm: Fix missing initial VCO rate
    - drm/amdgpu: Allow kfd CRIU with no buffer objects
    - ipv6: Add sanity checks on ipv6_devconf.rpl_seg_enabled
    - net: nfc: nci: Increase NCI_DATA_TIMEOUT to 3000 ms
    - [arm64,armhf] media: verisilicon: Explicitly disable selection api ioctls
      for decoders
    - ALSA: usb-audio: apply quirk for MOONDROP Quark2
    - net: call cond_resched() less often in __release_sock()
    - smsc911x: add second read of EEPROM mac when possible corruption seen
    - [amd64] iommu/amd: Skip enabling command/event buffers for kdump
    - drm/amd: add more cyan skillfish PCI ids
    - drm/amdgpu: don't enable SMU on cyan skillfish
    - drm/amdgpu: add support for cyan skillfish gpu_info
    - usb: gadget: f_hid: Fix zero length packet transfer
    - usb: cdns3: gadget: Use-after-free during failed initialization and exit
      of cdnsp gadget (CVE-2025-40314)
    - [arm64] drm/msm: make sure to not queue up recovery more than once
    - media: i2c: og01a1b: Specify monochrome media bus format instead of Bayer
    - net: phy: marvell: Fix 88e1510 downshift counter errata
    - wifi: mac80211: Fix HE capabilities element check
    - [arm64] phy: rockchip: phy-rockchip-inno-csidphy: allow writes to grf
      register 0
    - net: sh_eth: Disable WoL if system can not suspend
    - media: redrat3: use int type to store negative error codes
    - netfilter: nf_reject: don't reply to icmp error messages
    - [x86] kvm: Prefer native qspinlock for dedicated vCPUs irrespective of
      PV_UNHALT
    - udp_tunnel: use netdev_warn() instead of netdev_WARN()
    - watchdog: s3c2410_wdt: Fix max_timeout being calculated larger
    - net/cls_cgroup: Fix task_get_classid() during qdisc run
    - wifi: mt76: mt7921: Add 160MHz beamformee capability for mt7922 device
    - ALSA: serial-generic: remove shared static buffer
    - drm/amdgpu: Use memdup_array_user in amdgpu_cs_wait_fences_ioctl
    - drm/amd: Avoid evicting resources at S5
    - page_pool: always add GFP_NOWARN for ATOMIC allocations
    - ethernet: Extend device_get_mac_address() to use NVMEM
    - drm/amdgpu: reject gang submissions under SRIOV
    - scsi: lpfc: Check return status of lpfc_reset_flush_io_context during
      TGT_RESET
    - scsi: lpfc: Remove ndlp kref decrement clause for F_Port_Ctrl in
      lpfc_cleanup
    - scsi: lpfc: Define size of debugfs entry for xri rebalancing
    - allow finish_no_open(file, ERR_PTR(-E...))
    - usb: mon: Increase BUFF_MAX to 64 MiB to support multi-MB URBs
    - [arm64,armhf] usb: xhci: plat: Facilitate using autosuspend for xhci plat
      devices
    - ipv6: np->rxpmtu race annotation
    - jfs: Verify inode mode when loading from disk (CVE-2025-40312)
    - jfs: fix uninitialized waitqueue in transaction manager
    - [amd64] iommu/vt-d: Replace snprintf with scnprintf in
      dmar_latency_snapshot()
    - wifi: ath10k: Fix connection after GTK rekeying
    - net: intel: fm10k: Fix parameter idx set but not used
    - r8169: set EEE speed down ratio to 1
    - [arm64] PCI: cadence: Check for the existence of cdns_pcie::ops before
      using it
    - vfio: return -ENOTTY for unsupported device feature
    - PCI/PM: Skip resuming to D0 if device is disconnected
    - NFSv4: handle ERR_GRACE on delegation recalls
    - NFSv4.1: fix mount hang after CREATE_SESSION failure
    - nfs4_setup_readdir(): insufficient locking for ->d_parent->d_inode
      dereferencing
    - net: bridge: Install FDB for bridge MAC on VLAN 0
    - scsi: libfc: Fix potential buffer overflow in fc_ct_ms_fill()
    - scsi: mpt3sas: Add support for 22.5 Gbps SAS link rate
    - fs: ext4: change GFP_KERNEL to GFP_NOFS to avoid deadlock
    - ext4: increase IO priority of fastcommit
    - net/mlx5e: Don't query FEC statistics when FEC is disabled
    - net: macb: avoid dealing with endianness in macb_set_hwaddr()
    - Bluetooth: btusb: Check for unexpected bytes when defragmenting HCI frames
    - Bluetooth: SCO: Fix UAF on sco_conn_free (CVE-2025-40309)
    - Bluetooth: bcsp: receive data only if registered (CVE-2025-40308)
    - ALSA: usb-audio: add mono main switch to Presonus S1824c
    - exfat: limit log print for IO error
    - 6pack: drop redundant locking and refcounting
    - page_pool: Clamp pool size to max 16K pages
    - orangefs: fix xattr related buffer overflow... (CVE-2025-40306)
    - ftrace: Fix softlockup in ftrace_module_enable
    - ksmbd: use sock_create_kern interface to create kernel socket
    - smb: client: transport: avoid reconnects triggered by pending task work
    - ACPICA: Update dsmethod.c to get rid of unused variable warning
    - RDMA/irdma: Fix SD index calculation
    - RDMA/irdma: Remove unused struct irdma_cq fields
    - RDMA/irdma: Set irdma_cq cq_num field during CQ create
    - [arm64] RDMA/hns: Fix the modification of max_send_sge
    - [arm64] RDMA/hns: Fix wrong WQE data when QP wraps around
    - btrfs: mark dirty extent range for out of bound prealloc extents
    - fs/hpfs: Fix error code for new_inode() failure in
      mkdir/create/mknod/symlink
    - [arm64] rtc: pcf2127: clear minute/second interrupt
    - [armhf] clk: ti: am33xx: keep WKUP_DEBUGSS_CLKCTRL enabled
    - NTB: epf: Allow arbitrary BAR mapping
    - 9p: fix /sys/fs/9p/caches overwriting itself
    - 9p: sysfs_init: don't hardcode error to ENOMEM
    - scsi: ufs: core: Include UTP error in INT_FATAL_ERRORS
    - ACPI: property: Return present device nodes only on fwnode interface
    - tools bitmap: Add missing asm-generic/bitsperlong.h include
    - tools: lib: thermal: don't preserve owner in install
    - tools: lib: thermal: use pkg-config to locate libnl3
    - fbdev: Add bounds checking in bit_putcs to fix vmalloc-out-of-bounds
      (CVE-2025-40304)
    - kbuild: uapi: Strip comments before size type check
    - [arm64,armhf] ASoC: meson: aiu-encoder-i2s: fix bit clock polarity
    - ceph: add checking of wait_for_completion_killable() return value
    - ALSA: hda/realtek: Audio disappears on HP 15-fc000 after warm boot again
    - Revert "wifi: ath10k: avoid unnecessary wait for service ready message"
      (Closes: #1120680)
    - Bluetooth: hci_event: validate skb length for unknown CC opcode
      (CVE-2025-40301)
    - [armhf] net: dsa: tag_brcm: legacy: fix untagged rx on unbridged ports for
      bcm63xx
    - net: vlan: sync VLAN features with lower device
    - [armhf] net: dsa: b53: fix resetting speed and pause on forced link
    - [armhf] net: dsa: b53: fix enabling ip multicast
    - [armhf] net: dsa: b53: stop reading ARL entries if search is done
    - sctp: Hold RCU read lock while iterating over address list
    - sctp: Prevent TOCTOU out-of-bounds write (CVE-2025-40331)
    - sctp: Hold sock lock while iterating over address list
    - net: usb: qmi_wwan: initialize MAC header offset in qmimux_rx_fixup
    - bnxt_en: Fix a possible memory leak in bnxt_ptp_init
    - net/mlx5e: SHAMPO, Fix skb size check for 64K pages
    - net: bridge: fix use-after-free due to MST port state bypass
      (CVE-2025-40297)
    - net: bridge: fix MST static key usage
    - tracing: Fix memory leaks in create_field_var()
    - Bluetooth: MGMT: Fix OOB access in parse_adv_monitor_pattern()
      (CVE-2025-40294)
    - rtc: rx8025: fix incorrect register reference
    - smb: client: validate change notify buffer before copy
    - lib/crypto: curve25519-hacl64: Fix older clang KASAN workaround for GCC
    - scsi: ufs: ufs-pci: Fix S0ix/S3 for Intel controllers
    - PM: suspend: Fix pm_suspend_target_state handling for !CONFIG_PM
    - extcon: adc-jack: Cleanup wakeup source only if it was enabled
    - drm/amdgpu: Fix function header names in amdgpu_connectors.c
    - [x86] drm/i915: Avoid lock inversion when pinning to GGTT on CHV/BXT+VTD
    - [x86] drm/i915: Fix conversion between clock ticks and nanoseconds
    - smb: client: fix refcount leak in smb2_set_path_attr
    - drm/amd: Fix suspend failure with secure display TA
    - compiler_types: Move unused static inline functions warning to W=2
    - drm/amd/pm: Disable MCLK switching on SI at high pixel clocks
    - drm/amdgpu: Fix NULL pointer dereference in VRAM logic for APU devices
      (CVE-2025-40288)
    - NFS4: Fix state renewals missing after boot
    - HID: quirks: avoid Cooler Master MM712 dongle wakeup bug
    - NFS: check if suid/sgid was cleared after a write as needed
    - smb/server: fix possible memory leak in smb2_read() (CVE-2025-40286)
    - smb/server: fix possible refcount leak in smb2_sess_setup()
      (CVE-2025-40285)
    - ASoC: max98090/91: fixed max98091 ALSA widget powering up/down
    - wifi: ath11k: Add tx ack signal support for management packets
    - wifi: ath11k: zero init info->status in wmi_process_mgmt_tx_comp()
    - net: fec: correct rx_bytes statistic for the case SHIFT16 is set
    - Bluetooth: MGMT: cancel mesh send timer when hdev removed (CVE-2025-40284)
    - Bluetooth: btusb: reorder cleanup in btusb_disconnect to avoid UAF
      (CVE-2025-40283)
    - Bluetooth: 6lowpan: reset link-local header on ipv6 recv path
      (CVE-2025-40282)
    - Bluetooth: 6lowpan: fix BDADDR_LE vs ADDR_LE_DEV address type confusion
    - Bluetooth: 6lowpan: Don't hold spin lock over sleeping functions
    - sctp: prevent possible shift-out-of-bounds in sctp_transport_update_rto
      (CVE-2025-40281)
    - net/smc: fix mismatch between CLC header and proposal
    - tipc: Fix use-after-free in tipc_mon_reinit_self(). (CVE-2025-40280)).
    - net: mdio: fix resource leak in mdiobus_register_device()
    - wifi: mac80211: skip rate verification for not captured PSDUs
    - af_unix: Initialise scc_index in unix_add_edge(). (CVE-2025-40214)).
    - net/sched: act_connmark: transition to percpu stats and rcu
    - net_sched: act_connmark: use RCU in tcf_connmark_dump()
    - net: sched: act_connmark: initialize struct tc_ife to fix kernel leak
      (CVE-2025-40279)
    - net: sched: act_ife: initialize struct tc_ife to fix KMSAN kernel-infoleak
      (CVE-2025-40278)
    - net/mlx5e: Fix maxrate wraparound in threshold between units
    - net/mlx5e: Fix wraparound in rate limiting for values above 255 Gbps
    - net/mlx5: Expose shared buffer registers bits and structs
    - net/mlx5e: Add API to query/modify SBPR and SBCM registers
    - net/mlx5e: Update shared buffer along with device buffer changes
    - net/mlx5e: Consider internal buffers size in port buffer calculations
    - net/mlx5e: Remove mlx5e_dbg() and msglvl support
    - net/mlx5e: Fix potentially misleading debug message
    - net_sched: limit try_bulk_dequeue_skb() batches
    - hsr: Fix supervision frame sending on HSRv0
    - ACPI: CPPC: Check _CPC validity for only the online CPUs
    - ACPI: CPPC: Perform fast check switch only for online CPUs
    - ACPI: CPPC: Limit perf ctrs in PCC check only to online CPUs
    - Bluetooth: L2CAP: export l2cap_chan_hold for modules
    - acpi,srat: Fix incorrect device handle check for Generic Initiator
    - regulator: fixed: fix GPIO descriptor leak on register failure
    - drm/vmwgfx: Validate command header size against SVGA_CMD_MAX_DATASIZE
      (CVE-2025-40277)
    - NFSv4: Fix an incorrect parameter when calling nfs4_call_sync()
    - ALSA: usb-audio: Fix NULL pointer dereference in
      snd_usb_mixer_controls_badd (CVE-2025-40275)
    - bpf: Add bpf_prog_run_data_pointers()
    - softirq: Add trace points for tasklet entry/exit
    - Bluetooth: hci_sync: fix double free in 'hci_discovery_filter_clear()'
    - espintcp: fix skb leaks (CVE-2025-38057)
    - lib/crypto: arm/curve25519: Disable on CPU_BIG_ENDIAN
    - asm-generic: Unify uapi bitsperlong.h for arm64, riscv and loongarch
    - netfilter: nf_tables: reject duplicate device on updates (CVE-2025-38678)
    - HID: hid-ntrig: Prevent memory leak in ntrig_report_version()
    - NFSD: free copynotify stateid in nfs4_free_ol_stateid() (CVE-2025-40273)
    - ksmbd: close accepted socket when per-IP limit rejects connection
    - strparser: Fix signed/unsigned mismatch bug
    - dma-mapping: benchmark: Restore padding to ensure uABI remained consistent
    - ipv4: route: Prevent rt_bind_exception() from rebinding stale fnhe
    - wifi: mac80211: reject address change while connecting
    - fs/proc: fix uaf in proc_readdir_de() (CVE-2025-40271)
    - [arm64] mmc: sdhci-of-dwcmshc: Change DLL_STRBIN_TAPNUM_DEFAULT to 0x4
    - ALSA: usb-audio: Fix potential overflow of PCM transfer buffer
      (CVE-2025-40269)
    - ALSA: usb-audio: Fix missing unlock at error path of maxpacksize check
    - spi: Try to get ACPI GPIO IRQ earlier
    - btrfs: do not update last_log_commit when logging inode due to a new name
    - virtio-net: fix received length check in big packets (CVE-2025-40292)
    - scsi: ufs: core: Add a quirk to suppress link_startup_again
    - scsi: ufs: ufs-pci: Set UFSHCD_QUIRK_PERFORM_LINK_STARTUP_ONCE for Intel
      ADL
    - iommufd: Don't overflow during division for dirty tracking
      (CVE-2025-40293)
    - [x86] KVM: SVM: Mark VMCB_LBR dirty when MSR_IA32_DEBUGCTLMSR is updated
    - net: netpoll: fix incorrect refcount handling causing incorrect cleanup
    - eventpoll: Replace rwlock with spinlock
    - mm, percpu: do not consider sleepable allocations atomic
    - isdn: mISDN: hfcsusb: fix memory leak in hfcsusb_probe()
    - asm-generic: partially revert "Unify uapi bitsperlong.h for arm64, riscv
      and loongarch"
    - net/mlx5: Fix memory leak in error flow of port set buffer
    - net/sched: act_connmark: handle errno on tcf_idr_check_alloc
    - net/mlx5e: Do not update SBCM when prio2buffer command is invalid
    - net/mlx5e: Preserve shared buffer capacity during headroom updates
    - timers: Fix NULL function pointer race in timer_shutdown_sync()
    - HID: quirks: work around VID/PID conflict for 0x4c4a/0x4155
      (Closes: #1114557)
    - mtdchar: fix integer overflow in read/write ioctls
    - exfat: check return value of sb_min_blocksize in exfat_read_boot_sector
    - mptcp: Disallow MPTCP subflows from sockmap
    - ata: libata-scsi: Add missing scsi_device_put() in ata_scsi_dev_rescan()
    - be2net: pass wrb_params in case of OS2BMC (CVE-2025-40264)
    - Input: cros_ec_keyb - fix an invalid memory access (CVE-2025-40263)
    - Input: imx_sc_key - fix memory corruption on unload (CVE-2025-40262)
    - Input: pegasus-notetaker - fix potential out-of-bounds access
    - nvme: nvme-fc: Ensure ->ioerr_work is cancelled in nvme_fc_delete_ctrl()
      (CVE-2025-40261)
    - scsi: sg: Do not sleep in atomic context (CVE-2025-40259)
    - scsi: target: tcm_loop: Fix segfault in tcm_loop_tpg_address_show()
    - mptcp: fix race condition in mptcp_schedule_work() (CVE-2025-40258)
    - mptcp: fix ack generation for fallback msk
    - mptcp: fix premature close in case of fallback
    - mptcp: avoid unneeded subflow-level drops
    - mptcp: do not fallback when OoO is present
    - [arm64,armhf] drm/tegra: dc: Fix reference leak in tegra_dc_couple()
    - drm/amdgpu: Skip emit de meta data on gfx11 with rs64 enabled
    - xfrm: Determine inner GSO type from packet inner protocol
    - [arm64,armhf] gpu: host1x: Select context device based on attached IOMMU
    - [arm64,armhf] drm/tegra: Add call to put_pid()
    - net: openvswitch: remove never-working support for setting nsh fields
      (CVE-2025-40254)
    - nvme-multipath: fix lockdep WARN due to partition scan work
    - [s390x] ctcm: Fix double-kfree (CVE-2025-40253)
    - [x86] platform/x86/intel/speed_select_if: Convert PCIBIOS_* return codes
      to errnos
    - kernel.h: Move ARRAY_SIZE() to a separate header
    - net: qlogic/qede: fix potential out-of-bounds read in qede_tpa_cont() and
      qede_tpa_end()
    - vsock: Ignore signal/timeout on connect() if already established
    - bcma: don't register devices disabled in OF
    - cifs: fix typo in enable_gcm_256 module parameter
    - scsi: core: Fix a regression triggered by scsi_host_busy()
    - net: tls: Cancel RX async resync request on rcd_delta overflow
    - mm/secretmem: fix use-after-free race in fault handler (CVE-2025-40272)
    - mm/mm_init: fix hash table order logging in alloc_large_system_hash()
    - ALSA: usb-audio: fix uac2 clock source at terminal parser
    - tracing/tools: Fix incorrcet short option in usage text for --threads
    - uio_hv_generic: Set event for all channels on the device
      (Closes: #1120602)
    - mm/truncate: unmap large folio on split failure
    - maple_tree: fix tracepoint string pointers
    - mptcp: decouple mptcp fastclose from tcp close
    - mptcp: fix a race in mptcp_pm_del_add_timer() (CVE-2025-40257)
    - mm/mempool: replace kmap_atomic() with kmap_local_page()
    - mm/mempool: fix poisoning order>0 pages with HIGHMEM
    - dt-bindings: pinctrl: toshiba,visconti: Fix number of items in groups
    - ata: libata-scsi: Fix system suspend for a security locked drive
    - HID: amd_sfh: Stop sensor before starting
    - [armhf] pmdomain: samsung: plug potential memleak during probe
    - [arm64] pmdomain: arm: scmi: Fix genpd leak on provider registration
      failure
    - [armhf] pmdomain: imx: Fix reference count leak in imx_gpc_remove
    - filemap: cap PTE range to be created to allowed zero fill in
      folio_map_range()
    - can: kvaser_usb: leaf: Fix potential infinite loop in command parsers
    - can: gs_usb: gs_usb_xmit_callback(): fix handling of failed transmitted
      URBs
    - can: gs_usb: gs_usb_receive_bulk_callback(): check actual_length before
      accessing header
    - Bluetooth: SMP: Fix not generating mackey and ltk when repairing
    - [x86] platform/x86: intel: punit_ipc: fix memory corruption
    - net: aquantia: Add missing descriptor cache invalidation on ATL2
    - net/mlx5e: Fix validation logic in rate limiting
    - net: sxgbe: fix potential NULL dereference in sxgbe_rx()
    - drm/amdgpu: fix cyan_skillfish2 gpu info fw handling
    - net: atlantic: fix fragment overflow handling in RX path
    - mailbox: Allow direct registration to a channel
    - [amd64,arm64] mailbox: pcc: Use mbox_bind_client
    - [amd64,arm64] mailbox: pcc: Add support for platform notification handling
    - [amd64,arm64] mailbox: pcc: Support shared interrupt for multiple
      subspaces
    - ACPI: PCC: Add PCC shared memory region command and status bitfields
    - [amd64,arm64] mailbox: pcc: Check before sending MCTP PCC response ACK
    - [amd64,arm64] mailbox: pcc: Refactor error handling in irq handler into
      separate function
    - [amd64,arm64] mailbox: pcc: don't zero error register
    - [x86] Revert "perf/x86: Always store regs->ip in perf_callchain_kernel()"
    - iio: imu: st_lsm6dsx: fix array size for st_lsm6dsx_settings fields
    - iio:common:ssp_sensors: Fix an error handling path ssp_probe()
    - iio: accel: bmc150: Fix irq assumption regression (Closes: #1106411)
    - iio: accel: fix ADXL355 startup race condition
    - iio: adc: ad7280a: fix ad7280_store_balance_timer()
    - [mips*] mm: Prevent a TLB shutdown on initial uniquification
    - [mips*] mm: kmalloc tlb_vpn array to avoid stack overflow
    - ALSA: usb-audio: Add DSD quirk for LEAK Stereo 230
    - atm/fore200e: Fix possible data race in fore200e_open()
    - can: sja1000: fix max irq loop handling
    - [armhf] can: sun4i_can: sun4i_can_interrupt(): fix max irq loop handling
    - dm-verity: fix unreliable memory allocation
    - [arm64,armhf] drivers/usb/dwc3: fix PCI parent check
    - smb: client: fix memory leak in cifs_construct_tcon()
    - [x86] thunderbolt: Add support for Intel Wildcat Lake
    - firmware: stratix10-svc: fix bug in saving controller data
    - [arm64,armhf] serial: amba-pl011: prefer dma_mapping_error() over explicit
      address checking
    - usb: cdns3: Fix double resource release in cdns3_pci_probe
    - usb: gadget: f_eem: Fix memory leak in eem_unwrap
    - usb: storage: Fix memory leak in USB bulk transport
    - USB: storage: Remove subclass and protocol overrides from Novatek quirk
    - usb: storage: sddr55: Reject out-of-bound new_pba
    - usb: uas: fix urb unmapping issue when the uas device is remove during
      ongoing data transfer
    - [arm64,armhf] usb: dwc3: Fix race condition between concurrent
      dwc3_remove_requests() call paths
    - USB: serial: ftdi_sio: add support for u-blox EVK-M101
    - USB: serial: option: add support for Rolling RW101R-GL
    - drm/amd/display: Check NULL before accessing
    - libceph: fix potential use-after-free in have_mon_and_osd_map()
    - libceph: prevent potential out-of-bounds writes in
      handle_auth_session_key()
    - libceph: replace BUG_ON with bounds check for map->max_osd
    - nfsd: Replace clamp_t in nfsd4_get_drc_mem()
    - net: macb: fix unregister_netdev call order in macb_remove()
      (CVE-2025-39805)
    - mptcp: fix duplicate reset on fastclose
    - mptcp: Fix proto fallback detection with BPF
    - staging: rtl8712: Remove driver using deprecated API wext
    - ksmbd: fix use-after-free in session logoff (CVE-2025-37899)
    - usb: typec: ucsi: psy: Set max current to zero when disconnected
    - usb: udc: Add trace event for usb_gadget_set_state
    - usb: gadget: udc: fix use-after-free in usb_gadget_state_work
    - scsi: pm80xx: Set phy->enable_completion only when we
    - [arm64] i2c: xgene-slimpro: Migrate to use generic PCC shmem related
      macros
    - HID: core: Harden s32ton() against conversion to 0 bits

  [ Ben Hutchings ]
  * tools/hv: Make the sample hv_get_dhcp_info script more useful
  * hyperv-daemons: Install the sample network info scripts (Closes: #919350)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 30 Dec 2025 23:20:29 +0100

linux (6.1.158-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.154
    - ALSA: firewire-motu: drop EPOLLOUT from poll return values as write is not
      supported
    - wifi: mac80211: increase scan_ies_len for S1G
    - wifi: mac80211: fix incorrect type for ret
    - cgroup: split cgroup_destroy_wq into 3 workqueues
    - btrfs: fix invalid extref key setup when replaying dentry
    - qed: Don't collect too many protection override GRC elements
    - mptcp: set remote_deny_join_id0 on SYN recv
    - net: natsemi: fix `rx_dropped` double accounting on `netif_rx()` failure
    - i40e: remove redundant memory barrier when cleaning Tx descs
    - bonding: don't set oif to bond dev when getting NS target destination
    - tcp: Clear tcp_sk(sk)->fastopen_rsk in tcp_disconnect().
    - tls: make sure to abort the stream if headers are bogus
    - Revert "net/mlx5e: Update and set Xon/Xoff upon port speed set"
    - net: liquidio: fix overflow in octeon_init_instr_queue()
    - cnic: Fix use-after-free bugs in cnic_delete_task
    - ksmbd: smbdirect: validate data_offset and data_length field of
      smb_direct_data_transfer
    - ksmbd: smbdirect: verify remaining_data_length respects
      max_fragmented_recv_size
    - nilfs2: fix CFI failure when accessing /sys/fs/nilfs2/features/*
    - power: supply: bq27xxx: fix error return in case of no bq27000 hdq battery
    - power: supply: bq27xxx: restrict no-battery detection to bq27000
    - [x86] iommu/vt-d: Fix __domain_mapping()'s usage of switch_to_super_page()
    - btrfs: tree-checker: fix the incorrect inode ref size check
    - mmc: mvsdio: Fix dma_unmap_sg() nents value
    - [x86] KVM: SVM: Sync TPR from LAPIC into VMCB::V_TPR even if AVIC is
      active
    - rds: ib: Increment i_fastreg_wrs before bailing out
    - ALSA: hda/realtek: Fix mute led for HP Laptop 15-dw4xx
    - io_uring: backport io_should_terminate_tw()
    - io_uring: include dying ring in task_work "should cancel" state
    - [x86] ASoC: SOF: Intel: hda-stream: Fix incorrect variable used in error
      message
    - [arm64] drm: bridge: cdns-mhdp8546: Fix missing mutex unlock on error path
    - crypto: af_alg: Indent the loop in af_alg_sendmsg()
    - crypto: af_alg - Set merge to zero early in af_alg_sendmsg
    - smb: client: fix smbdirect_recv_io leak in smbd_negotiate() error path
    - mptcp: pm: nl: announce deny-join-id0 flag
    - phy: Use device_get_match_data()
    - [armhf] phy: ti: omap-usb2: fix device leak at unbind
    - xhci: dbc: decouple endpoint allocation from initialization
    - xhci: dbc: Fix full DbC transfer ring after several reconnects
    - mptcp: propagate shutdown to subflows when possible
    - net: rfkill: gpio: add DT support
    - net: rfkill: gpio: Fix crash due to dereferencering uninitialized pointer
    - crypto: af_alg: Convert af_alg_sendpage() to use MSG_SPLICE_PAGES
    - crypto: af_alg - Disallow concurrent writes in af_alg_sendmsg
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.155
    - ALSA: usb-audio: Fix block comments in mixer_quirks
    - ALSA: usb-audio: Drop unnecessary parentheses in mixer_quirks
    - ALSA: usb-audio: Avoid multiple assignments in mixer_quirks
    - ALSA: usb-audio: Simplify NULL comparison in mixer_quirks
    - ALSA: usb-audio: Remove unneeded wmb() in mixer_quirks
    - ALSA: usb-audio: Add mixer quirk for Sony DualSense PS5
    - ALSA: usb-audio: Convert comma to semicolon
    - ALSA: usb-audio: Fix build with CONFIG_INPUT=n
    - usb: core: Add 0x prefix to quirks debug output
    - ALSA: usb-audio: Add DSD support for Comtrue USB Audio device
    - ALSA: usb-audio: move mixer_quirks' min_mute into common quirk
    - ALSA: usb-audio: Add mute TLV for playback volumes on more devices
    - IB/mlx5: Fix obj_type mismatch for SRQ event subscriptions
    - mm/gup: revert "mm: gup: fix infinite loop within __get_longterm_locked"
    - mm: add folio_expected_ref_count() for reference count calculation
    - mm/gup: check ref_count instead of lru before migration
    - mm/gup: local lru_add_drain() to avoid lru_add_drain_all()
    - mm: folio_may_be_lru_cached() unless folio_test_large()
    - cpufreq: Initialize cpufreq-based invariance before subsys
    - smb: server: don't use delayed_work for post_recv_credits_work
    - bpf: Reject bpf_timer for PREEMPT_RT
    - can: hi311x: populate ndo_change_mtu() to prevent buffer overflow
    - [armhf] can: sun4i_can: populate ndo_change_mtu() to prevent buffer
      overflow
    - can: mcba_usb: populate ndo_change_mtu() to prevent buffer overflow
    - can: peak_usb: fix shift-out-of-bounds issue
    - Bluetooth: hci_sync: Fix hci_resume_advertising_sync
    - Bluetooth: hci_event: Fix UAF in hci_acl_create_conn_sync
    - bnxt_en: correct offset handling for IPv6 destination address
    - nexthop: Forbid FDB status change while nexthop is in a group
    - [x86] drm/gma500: Fix null dereference in hdmi teardown
    - futex: Prevent use-after-free during requeue-PI
    - i40e: fix idx validation in i40e_validate_queue_map
    - i40e: fix input validation logic for action_meta
    - i40e: add max boundary check for VF filters
    - i40e: add mask to apply valid bits for itr_idx
    - i40e: improve VF MAC filters accounting
    - crypto: af_alg - Fix incorrect boolean values in af_alg_ctx
    - tracing: dynevent: Add a missing lockdown check on dynevent
    - afs: Fix potential null pointer dereference in afs_put_server
    - mm/hugetlb: fix folio is still mapped when deleted
    - fbcon: fix integer overflow in fbcon_do_set_font
    - fbcon: Fix OOB access in font allocation
    - [s390x] cpum_cf: Fix uninitialized warning after backport of ce971233242b
    - mm: migrate_device: use more folio in migrate_device_finalize()
    - mm/migrate_device: don't add folio to be freed to LRU in
      migrate_device_finalize() (CVE-2025-21861)
    - minmax: add in_range() macro
    - minmax: Introduce {min,max}_array()
    - minmax: deduplicate __unconst_integer_typeof()
    - minmax: fix indentation of __cmp_once() and __clamp_once()
    - minmax: avoid overly complicated constant expressions in VM code
    - drm/ast: Use msleep instead of mdelay for edid read
    - i40e: fix validation of VF state in get resources
    - i40e: fix idx validation in config queues msg
    - i40e: increase max descriptors for XL710
    - i40e: add validation for ring_len param
    - minmax: make generic MIN() and MAX() macros available everywhere
    - minmax: add a few more MIN_T/MAX_T users
    - minmax: simplify and clarify min_t()/max_t() implementation
    - [x86] drm/i915/backlight: Return immediately when scale() finds invalid
      parameters
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.156
    - crypto: sha256 - fix crash at kexec
    - scsi: target: target_core_configfs: Add length check to avoid buffer
      overflow (CVE-2025-39998)
    - media: b2c2: Fix use-after-free causing by irq_check_work in
      flexcop_pci_remove (CVE-2025-39996)
    - media: rc: fix races with imon_disconnect() (CVE-2025-39993)
    - [arm64] KVM: arm64: Fix softirq masking in FPSIMD register saving sequence
    - media: tunner: xc5000: Refactor firmware load
    - media: tuner: xc5000: Fix use-after-free in xc5000_release
      (CVE-2025-39994)
    - media: i2c: tc358743: Fix use-after-free bugs caused by orphan timer in
      probe (CVE-2025-39995)
    - minmax: don't use max() in situations that want a C constant expression
    - minmax: simplify min()/max()/clamp() implementation
    - minmax: improve macro expansion and type checking
    - minmax: fix up min3() and max3() too
    - minmax.h: add whitespace around operators and after commas
    - minmax.h: update some comments
    - minmax.h: reduce the #define expansion of min(), max() and clamp()
    - minmax.h: use BUILD_BUG_ON_MSG() for the lo < hi test in clamp()
    - minmax.h: move all the clamp() definitions after the min/max() ones
    - minmax.h: simplify the variants of clamp()
    - minmax.h: remove some #defines that are only expanded once
    - USB: serial: option: add SIMCom 8230C compositions
    - wifi: rtlwifi: rtl8192cu: Don't claim USB ID 07b8:8188
    - dm-integrity: limit MAX_TAG_SIZE to 255
    - perf subcmd: avoid crash in exclude_cmds when excludes is empty
    - [x86] ASoC: rt5682s: Adjust SAR ADC button mode to fix noise issue
    - btrfs: ref-verify: handle damaged extent root tree
    - can: hi311x: fix null pointer dereference when resuming from sleep before
      interface was enabled
    - hid: fix I2C read buffer overflow in raw_event() for mcp2221
    - driver core/PM: Set power.no_callbacks along with power.no_pm
    - crypto: rng - Ensure set_ent is always present
    - net/9p: fix double req put in p9_fd_cancelled
    - filelock: add FL_RECLAIM to show_fl_flags() macro
    - init: INITRAMFS_PRESERVE_MTIME should depend on BLK_DEV_INITRD
    - seccomp: Fix a race with WAIT_KILLABLE_RECV if the tracer replies too fast
    - [arm64] coresight: trbe: Prevent overflow in PERF_IDX2OFF()
    - [arm64] perf: arm_spe: Prevent overflow in PERF_IDX2OFF()
    - smb: server: fix IRD/ORD negotiation with the client
    - [x86] vdso: Fix output operand size of RDPID
    - regmap: Remove superfluous check for !config in __regmap_init()
    - bpf: Remove migrate_disable in kprobe_multi_link_prog_run
    - libbpf: Fix reuse of DEVMAP
    - ACPI: processor: idle: Fix memory leak when register cpuidle device failed
    - [arm64] soc: qcom: rpmh-rsc: Unconditionally clear _TRIGGER bit for TCS
    - [arm64] pinctrl: meson-gxl: add missing i2c_d pinmux
    - blk-mq: check kobject state_in_sysfs before deleting in
      blk_mq_unregister_hctx
    - block: use int to store blk_stack_limits() return value
    - PM: sleep: core: Clear power.must_resume in noirq suspend error path
    - [arm64] power: supply: cw2015: Fix a alignment coding style issue
    - [arm64] pinctrl: renesas: Use int type to store negative error codes
    - null_blk: Fix the description of the cache_size module argument
    - nbd: restrict sockets to TCP and UDP
    - [armhf] pwm: tiehrpwm: Fix corner case in clock divisor calculation
    - nvmet-fc: move lsop put work to nvmet_fc_ls_req_op
    - i3c: master: svc: Use manual response for IBI events
    - i3c: master: svc: Recycle unused IBI slot
    - bpf: Explicitly check accesses to bpf_sock_addr
    - smp: Fix up and expand the smp_call_function_many() kerneldoc
    - tools/nolibc: make time_t robust if __kernel_old_time_t is missing in host
      headers
    - i2c: designware: Add disabling clocks when probe fails
    - bpf: Enforce expected_attach_type for tailcall compatibility
    - drm/radeon/r600_cs: clean up of dead code in r600_cs
    - drm/amd/display: Remove redundant semicolons
    - scsi: pm80xx: Fix array-index-out-of-of-bounds on rmmod
    - scsi: myrs: Fix dma_alloc_coherent() error check
    - ALSA: lx_core: use int type to store negative error codes
    - media: st-delta: avoid excessive stack usage
    - drm/amdgpu: Power up UVD 3 for FW validation (v2)
    - drm/amd/pm: Disable ULV even if unsupported (v3)
    - drm/amd/pm: Fix si_upload_smc_data (v3)
    - drm/amd/pm: Adjust si_upload_smc_data register programming (v3)
    - drm/amd/pm: Treat zero vblank time as too short in si_dpm (v3)
    - drm/amd/pm: Disable MCLK switching with non-DC at 120 Hz+ (v2)
    - drm/amd/pm: Disable SCLK switching on Oland with high pixel clocks (v3)
    - wifi: mwifiex: send world regulatory domain to driver
    - [arm64,armhf] PCI: tegra: Fix devm_kcalloc() argument order for port->phys
      allocation
    - tcp: fix __tcp_close() to only send RST when required
    - drm/amdkfd: Fix error code sign for EINVAL in svm_ioctl()
    - [armhf] usb: phy: twl6030: Fix incorrect type for ret
    - usb: gadget: configfs: Correctly set use_os_string at bind
    - misc: genwqe: Fix incorrect cmd field being reported in error
    - pps: fix warning in pps_register_cdev when register device fail
    - [x86] ASoC: Intel: bytcht_es8316: Fix invalid quirk input mapping
    - [x86] ASoC: Intel: bytcr_rt5640: Fix invalid quirk input mapping
    - [x86] ASoC: Intel: bytcr_rt5651: Fix invalid quirk input mapping
    - [arm64] drm/msm/dpu: fix incorrect type for ret
    - iio: consumers: Fix offset handling in iio_convert_raw_to_processed()
    - netfilter: ipset: Remove unused htable_bits in macro ahash_region
    - watchdog: mpc8xxx_wdt: Reload the watchdog timer when enabling the
      watchdog
    - drivers/base/node: handle error properly in register_one_node()
    - RDMA/cm: Rate limit destroy CM ID timeout error message
    - wifi: mt76: fix potential memory leak in mt76_wmac_probe()
    - ACPI: NFIT: Fix incorrect ndr_desc being reportedin dev_err message
    - scsi: qla2xxx: edif: Fix incorrect sign of error code
    - scsi: qla2xxx: Fix incorrect sign of error code in START_SP_W_RETRIES()
    - f2fs: fix zero-sized extent for precache extents
    - Revert "usb: xhci: Avoid Stop Endpoint retry loop if the endpoint seems
      Running"
    - RDMA/core: Resolve MAC of next-hop device without ARP support
    - IB/sa: Fix sa_local_svc_timeout_ms read race
    - Documentation: trace: historgram-design: Separate sched_waking histogram
      section heading and the following diagram
    - wifi: ath10k: avoid unnecessary wait for service ready message
    - wifi: mac80211: fix Rx packet handling when pubsta information is not
      available
    - wifi: rtw89: avoid circular locking dependency in ser_state_run()
    - [arm64] coresight-etm4x: Conditionally access register TRCEXTINSELR
    - [arm64] coresight: trbe: Return NULL pointer for allocation failures
    - NFSv4.1: fix backchannel max_resp_sz verification check
    - ipvs: Defer ip_vs_ftp unregister during netns cleanup
    - scsi: mpt3sas: Fix crash in transport port remove by using ioc_info()
    - usb: vhci-hcd: Prevent suspending virtually attached devices
    - RDMA/siw: Always report immediate post SQ errors
    - net: usb: Remove disruptive netif_wake_queue in rtl8150_set_multicast
    - Bluetooth: MGMT: Fix not exposing debug UUID on
      MGMT_OP_READ_EXP_FEATURES_INFO
    - Bluetooth: ISO: Fix possible UAF on iso_conn_free
    - Bluetooth: ISO: don't leak skb in ISO_CONT RX
    - Bluetooth: hci_sync: Fix using random address for BIG/PA advertisements
    - ocfs2: fix double free in user_cluster_connect()
    - drivers/base/node: fix double free in register_one_node()
    - nfp: fix RSS hash key size when RSS is not supported
    - net: ena: return 0 in ena_get_rxfh_key_size() when RSS hash key is not
      configurable
    - net: dlink: handle copy_thresh allocation failure
    - net/mlx5: Stop polling for command response if interface goes down
    - net/mlx5: pagealloc: Fix reclaim race during command interface teardown
    - net/mlx5: fw reset, add reset timeout work
    - Revert "net/mlx5e: Update and set Xon/Xoff upon MTU set"
    - Squashfs: fix uninit-value in squashfs_get_parent
    - uio_hv_generic: Let userspace take care of interrupt mask
    - fs: udf: fix OOB read in lengthAllocDescs handling
    - net: nfc: nci: Add parameter validation for packet data
    - [arm64,armhf] mfd: vexpress-sysreg: Check the return value of
      devm_gpiochip_add_data()
    - dm: fix queue start/stop imbalance under suspend/load/resume races
    - dm: fix NULL pointer dereference in __dm_suspend()
    - ksmbd: fix error code overwriting in smb2_get_info_filesystem()
    - ext4: fix checks for orphan inodes
    - mm: hugetlb: avoid soft lockup when mprotect to large memory area
    - Input: atmel_mxt_ts - allow reset GPIO to sleep
    - Input: uinput - zero-initialize uinput_ff_upload_compat to avoid info leak
    - pinctrl: check the return value of pinmux_ops::get_function_name()
    - [arm64] bus: fsl-mc: Check return value of platform_get_resource()
    - net: usb: asix: hold PM usage ref to avoid PM/MDIO + RTNL deadlock
    - [x86] usb: typec: tipd: Clear interrupts first
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.157
    - fs: always return zero on success from replace_fd()
    - fscontext: do not consume log entries when returning -EMSGSIZE
    - iio: frequency: adf4350: Fix ADF4350_REG3_12BIT_CLKDIV_MODE
    - media: v4l2-subdev: Fix alloc failure check in
      v4l2_subdev_call_state_try()
    - perf evsel: Avoid container_of on a NULL leader
    - libperf event: Ensure tracing data is multiple of 8 sized
    - perf util: Fix compression checks returning -1 as bool
    - [mips*] rtc: x1205: Fix Xicor X1205 vendor prefix
        - perf session: Fix handling when buffer exceeds 2 GiB
    - scsi: libsas: Add sas_task_find_rq()
    - scsi: mvsas: Delete mvs_tag_init()
    - scsi: mvsas: Use sas_task_find_rq() for tagging
    - scsi: mvsas: Fix use-after-free bugs in mvs_work_queue (CVE-2025-40001)
    - net/mlx4: prevent potential use after free in mlx4_en_do_uc_filter()
    - drm/vmwgfx: Fix Use-after-free in validation
    - drm/vmwgfx: Fix copy-paste typo in validation
    - net/sctp: fix a null dereference in sctp_disposition sctp_sf_do_5_1D_ce()
    - tcp: Don't call reqsk_fastopen_remove() in tcp_conn_request().
    - [arm64] mailbox: zynqmp-ipi: Remove redundant mbox_controller_unregister()
      call
    - [arm64] mailbox: zynqmp-ipi: Remove dev.parent check in
      zynqmp_ipi_free_mboxes
    - bpf: Fix metadata_dst leak __bpf_redirect_neigh_v{4,6}
    - drm/amdgpu: Add additional DCE6 SCL registers
    - drm/amd/display: Add missing DCE6 SCL_HORZ_FILTER_INIT* SRIs
    - drm/amd/display: Properly clear SCL_*_FILTER_CONTROL on DCE6
    - drm/amd/display: Properly disable scaling on DCE6
    - bridge: br_vlan_fill_forward_path_pvid: use br_vlan_group_rcu()
    - crypto: essiv - Check ssize for decryption and in-place encryption
    - tpm_tis: Fix incorrect arguments in tpm_tis_probe_irq_single
    - bpf: Avoid RCU context warning when unpinning htab with internal structs
    - ACPI: property: Fix buffer properties extraction for subnodes
    - ACPI: TAD: Add missing sysfs_remove_group() for ACPI_TAD_RT
    - ACPI: debug: fix signedness issues in read/write helpers
    - [armhf] OMAP2+: pm33xx-core: ix device node reference leaks in
      amx3_idle_init
    - cpuidle: governors: menu: Avoid using invalid recent intervals data
    - dt-bindings: phy: rockchip-inno-csi-dphy: make power-domains non-required
    - xen/events: Cleanup find_virq() return codes
    - xen/manage: Fix suspend error path
    - [arm64] firmware: meson_sm: fix device leak at probe
    - drm/nouveau: fix bad ret code in nouveau_bo_move_prep
    - blk-crypto: fix missing blktrace bio split events
    - btrfs: avoid potential out-of-bounds in btrfs_encode_fh()
    - bus: mhi: host: Do not use uninitialized 'dev' pointer in
      mhi_init_irq_setup()
    - copy_sighand: Handle architectures where sizeof(unsigned long) <
      sizeof(u64)
    - [x86] cpufreq: intel_pstate: Fix object lifecycle issue in
      update_qos_request()
    - init: handle bootloader identifier in kernel parameters
    - [x86] iommu/vt-d: PRS isn't usable if PDS isn't supported
    - kernel/sys.c: fix the racy usage of task_lock(tsk->group_leader) in
      sys_prlimit64() paths
    - KEYS: trusted_tpm1: Compare HMAC values in constant time
    - lib/genalloc: fix device leak in of_gen_pool_get()
    - openat2: don't trigger automounts with RESOLVE_NO_XDEV
    - nvme-pci: Add TUXEDO IBS Gen8 to Samsung sleep quirk
    - [powerpc*] powernv/pci: Fix underflow and leak issue
    - [powerpc*] pseries/msi: Fix potential underflow and leak issue
    - pwm: berlin: Fix wrong register in suspend/resume
    - sched/deadline: Fix race in push_dl_task()
    - scsi: hpsa: Fix potential memory leak in hpsa_big_passthru_ioctl()
    - sctp: Fix MAC comparison to be constant-time
    - mmc: core: SPI mode remove cmd7
    - [armhf] memory: samsung: exynos-srom: Fix of_iomap leak in
      exynos_srom_probe
    - [arm64,armhf] PCI: tegra: Convert struct tegra_msi mask_lock into raw
      spinlock
    - PCI/sysfs: Ensure devices are powered for config reads
    - PCI/IOV: Add PCI rescan-remove locking when enabling/disabling SR-IOV
    - PCI/ERR: Fix uevent on failure to recover
    - PCI/AER: Fix missing uevent on recovery when a reset is requested
    - PCI/AER: Support errors introduced by PCIe r6.0
    - spi: cadence-quadspi: Flush posted register writes before INDAC access
    - spi: cadence-quadspi: Flush posted register writes before DAC access
    - [x86] umip: Check that the instruction opcode is at least two bytes
    - [x86] umip: Fix decoding of register forms of 0F 01 (SGDT and SIDT
      aliases)
    - wifi: ath11k: HAL SRNG: don't deinitialize and re-initialize again
    - mm/page_alloc: only set ALLOC_HIGHATOMIC for __GPF_HIGH allocations
    - mm/hugetlb: early exit from hugetlb_pages_alloc_boot() when
      max_huge_pages=0
    - NFSD: Fix destination buffer size in nfsd4_ssc_setup_dul()
    - nfsd: nfserr_jukebox in nlm_fopen should lead to a retry
    - ext4: verify orphan file size is not too big
    - ext4: increase i_disksize to offset + len in
      ext4_update_disksize_before_punch()
    - ext4: correctly handle queries for metadata mappings
    - ext4: guard against EA inode refcount underflow in xattr update
    - ACPICA: Allow to skip Global Lock initialization
    - ext4: free orphan info with kvfree
    - [x86] KVM: x86: Don't (re)check L1 intercepts when completing userspace
      I/O
    - Squashfs: add additional inode sanity checking
    - Squashfs: reject negative file sizes in squashfs_read_inode()
    - tracing: Fix race condition in kprobe initialization causing NULL pointer
      dereference
    - ksmbd: add max ip connections parameter
    - [x86] mfd: intel_soc_pmic_chtdc_ti: Fix invalid regmap-config max_register
      value
    - [x86] mfd: intel_soc_pmic_chtdc_ti: Drop unneeded assignment for
      cache_type
    - [x86] mfd: intel_soc_pmic_chtdc_ti: Set use_single_read regmap_config flag
    - btrfs: fix the incorrect max_bytes value for find_lock_delalloc_range()
    - rseq: Protect event mask against membarrier IPI
    - ipmi: Rework user message limit handling
    - ipmi: Fix handling of messages with provided receive message pointer
    - ACPI: property: Disregard references in data-only subnode lists
    - ACPI: property: Add code comments explaining what is going on
    - ACPI: property: Do not pass NULL handles to acpi_attach_data()
    - asm-generic/io: Add _RET_IP_ to MMIO trace for more accurate debug info
    - asm-generic/io.h: suppress endianness warnings for relaxed accessors
    - asm-generic/io.h: Skip trace helpers if rwmmio events are disabled
    - mptcp: pm: in-kernel: usable client side with C-flag
    - minixfs: Verify inode mode when loading from disk
    - pid: Add a judgment for ns null in pid_nr_ns
    - fs: Add 'initramfs_options' to set initramfs mount options
    - cramfs: Verify inode mode when loading from disk
    - writeback: Avoid softlockup when switching many inodes
    - writeback: Avoid excessively long inode switching times
    - xen/events: Update virq_to_irq on migration
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.158
    - smb: client: Fix refcount leak for cifs_sb_tlink (CVE-2025-40103)
    - r8152: add error handling in rtl8152_driver_init
    - jbd2: ensure that all ongoing I/O complete before freeing blocks
    - ext4: wait for ongoing I/O to complete before freeing blocks
    - ext4: detect invalid INLINE_DATA + EXTENTS flag combination
    - btrfs: fix clearing of BTRFS_FS_RELOC_RUNNING if relocation already
      running
    - btrfs: do not assert we found block group item when creating free space
      tree (CVE-2025-40100)
    - cifs: parse_dfs_referrals: prevent oob on malformed input (CVE-2025-40099)
    - drm/amdgpu: use atomic functions with memory barriers for vm fault info
    - drm/amd: Check whether secure display TA loaded successfully
    - [arm64,armhf] crypto: rockchip - Fix dma_unmap_sg() nents value
    - cpufreq: CPPC: Avoid using CPUFREQ_ETERNAL as transition delay
    - usb: gadget: Store endpoint pointer in usb_request
    - usb: gadget: Introduce free_usb_request helper
    - usb: gadget: f_rndis: Refactor bind path to use __free() (CVE-2025-40095)
    - usb: gadget: f_ecm: Refactor bind path to use __free() (CVE-2025-40093)
    - usb: gadget: f_acm: Refactor bind path to use __free() (CVE-2025-40094)
    - usb: gadget: f_ncm: Refactor bind path to use __free() (CVE-2025-40092)
    - Documentation: Remove bogus claim about del_timer_sync()
    - [arm64,armhf] clocksource/drivers/arm_arch_timer: Do not use timer
      namespace for timer_shutdown() function
    - [arm64,armhf] clocksource/drivers/sp804: Do not use timer namespace for
      timer_shutdown() function
    - timers: Replace BUG_ON()s
    - Documentation: Replace del_timer/del_timer_sync()
    - timers: Silently ignore timers with a NULL function
    - timers: Split [try_to_]del_timer[_sync]() to prepare for shutdown mode
    - timers: Add shutdown mechanism to the internal functions
    - timers: Provide timer_shutdown[_sync]()
    - timers: Update the documentation to reflect on the new timer_shutdown()
      API
    - Bluetooth: hci_qca: Fix the teardown problem for real
    - HID: multitouch: fix sticky fingers
    - dax: skip read lock assertion for read-only filesystems
    - [arm64] can: m_can: m_can_plat_remove(): add missing pm_runtime_disable()
    - net: dlink: handle dma_map_single() failure properly
    - doc: fix seg6_flowlabel path
    - r8169: fix packet truncation after S4 resume on RTL8168H/RTL8111H
    - net/ip6_tunnel: Prevent perpetual tunnel growth
    - [amd64,arm64] amd-xgbe: Avoid spurious link down messages during interface
      toggle
    - tcp: fix tcp_tso_should_defer() vs large RTT
    - tg3: prevent use of uninitialized remote_adv and local_adv variables
    - net: tls: wait for async completion on last message
    - tls: wait for async encrypt in case of error during latter iterations of
      sendmsg
    - tls: always set record_type in tls_process_cmsg
    - tls: wait for pending async decryptions if tls_strp_msg_hold fails
    - tls: don't rely on tx_work during send()
    - net: usb: lan78xx: Add error handling to lan78xx_init_mac_address
    - net: usb: lan78xx: fix use of improperly initialized dev->chipid in
      lan78xx_reset
    - [x86] ASoC: nau8821: Cancel jdet_work before handling jack ejection
    - [x86] ASoC: nau8821: Generalize helper to clear IRQ status
    - [x86] ASoC: nau8821: Add DMI quirk to bypass jack debounce circuit
    - drm/amd/powerplay: Fix CIK shutdown temperature
    - [arm64] drm/rockchip: vop2: use correct destination rectangle height check
    - sched/balancing: Rename newidle_balance() => sched_balance_newidle()
    - sched/fair: Fix pelt lost idle time detection
    - ALSA: firewire: amdtp-stream: fix enum kernel-doc warnings
    - ALSA: usb-audio: Fix NULL pointer deference in try_to_register_card
      (CVE-2025-40085)
    - HID: hid-input: only ignore 0 battery events for digitizers
    - HID: multitouch: fix name of Stylus input devices
    - hfsplus: fix slab-out-of-bounds read in hfsplus_strcasecmp()
      (CVE-2025-40088)
    - PCI/sysfs: Ensure devices are powered for config reads (part 2)
    - exec: Fix incorrect type for ret
    - hfs: clear offset and space out of valid records in b-tree node
    - hfs: make proper initalization of struct hfs_find_data
    - hfsplus: fix KMSAN uninit-value issue in __hfsplus_ext_cache_extent()
    - hfs: validate record offset in hfsplus_bmap_alloc
    - hfsplus: fix KMSAN uninit-value issue in hfsplus_delete_cat()
    - dlm: check for defined force value in dlm_lockspace_release
    - hfs: fix KMSAN uninit-value issue in hfs_find_set_zero_bits()
    - hfsplus: return EIO when type of hidden directory mismatch in
      hfsplus_fill_super()
    - smb: server: let smb_direct_flush_send_list() invalidate a remote key
      first
    - net/mlx5e: Return 1 instead of 0 in invalid case in
      mlx5e_mpwrq_umr_entry_size()
    - rtnetlink: Allow deleting FDB entries in user namespace
    - [arm64] dpaa2-eth: fix the pointer passed to PTR_ALIGN on Tx path
    - [arm64] mm: avoid always making PTE dirty in pte_mkwrite()
    - sctp: avoid NULL dereference when chunk data buffer is missing
    - net: bonding: fix possible peer notify event loss or dup issue
    - Revert "cpuidle: menu: Avoid discarding useful information"
    - ACPICA: Work around bogus -Wstringop-overread warning since GCC 11
    - can: netlink: can_changelink(): allow disabling of automatic restart
    - [mips64el,mipsel] Malta: Fix keyboard resource preventing i8042 driver
      from registering
    - ocfs2: clear extent cache after moving/defragmenting extents
    - vsock: fix lock inversion in vsock_assign_transport()
    - [arm64,armhf] net: stmmac: dwmac-rk: Fix disabling set_clock_selection
    - net: usb: rtl8150: Fix frame padding
    - io_uring: correct __must_hold annotation in io_install_fixed_file
    - USB: serial: option: add UNISOC UIS7720
    - USB: serial: option: add Quectel RG255C
    - USB: serial: option: add Telit FN920C04 ECM compositions
    - usb/core/quirks: Add Huawei ME906S to wakeup quirk
    - usb: raw-gadget: do not limit transfer length
    - xhci: dbc: enable back DbC in resume if it was enabled before suspend
    - [arm*] binder: remove "invalid inc weak" check
    - [x86] comedi: fix divide-by-zero in comedi_buf_munge() (CVE-2025-40106)
    - [x86] mei: me: add wildcat lake P DID
    - serial: 8250_dw: handle reset control deassert error
    - serial: 8250_exar: add support for Advantech 2 port card with Device ID
      0x0018
    - xfs: rename the old_crc variable in xlog_recover_process
    - xfs: fix log CRC mismatches between i386 and other architectures
    - PM: runtime: Add new devm functions
    - iio: imu: inv_icm42600: Simplify pm_runtime setup
    - iio: imu: inv_icm42600: use = { } instead of memset()
    - iio: imu: inv_icm42600: Avoid configuring if already pm_runtime suspended
    - padata: Reset next CPU when reorder sequence wraps around
    - fuse: allocate ff->release_args only if release is needed
    - fuse: fix livelock in synchronous file put from fuseblk workers
    - [arm64] mte: Do not flag the zero page as PG_mte_tagged
    - [arm64] PCI: j721e: Enable ACSPCIE Refclk if
      "ti,syscon-acspcie-proxy-ctrl" exists
    - [arm64] PCI: j721e: Fix programming sequence of "strap" settings
    - NFSD: Rework encoding and decoding of nfsd4_deviceid
    - NFSD: Minor cleanup in layoutcommit processing
    - NFSD: Fix last write offset handling in layoutcommit
    - vfs: Don't leak disconnected dentries on umount (CVE-2025-40105)
    - NFSD: Define a proc_layoutcommit for the FlexFiles layout type
      (CVE-2025-40087)
    - ext4: avoid potential buffer over-read in parse_apply_sb_mount_options()
    - drm/sched: Fix potential double free in
      drm_sched_job_add_resv_dependencies (CVE-2025-40096)
    - f2fs: add a f2fs_get_block_locked helper
    - f2fs: remove the create argument to f2fs_map_blocks
    - f2fs: factor a f2fs_map_blocks_cached helper
    - f2fs: fix wrong block mapping for multi-devices
    - PCI: Add PCI_VDEVICE_SUB helper macro
    - ixgbevf: Add support for Intel(R) E610 device
    - ixgbevf: fix getting link speed data for E610 devices
    - ixgbevf: fix mailbox API compatibility by negotiating supported features
      (CVE-2025-40104)
    - arch_topology: Fix incorrect error check in topology_parse_cpu_capacity()
    - xfs: always warn about deprecated mount options
    - devcoredump: Fix circular locking dependency with devcd->mutex.
    - [x86] resctrl: Fix miscount of bandwidth event when reactivating
      previously unavailable RMID
    - ksmbd: browse interfaces list on FSCTL_QUERY_INTERFACE_INFO IOCTL
    - [s390x] cio: Update purge function to unregister the unused subchannels
    - [arm64] cputype: Add Neoverse-V3AE definitions
    - [arm64] errata: Apply workarounds for Neoverse-V3AE
    - ksmbd: transport_ipc: validate payload size before reading handle
      (CVE-2025-40084)

  [ Ben Hutchings ]
  * d/b/genorig.py, d/rules, d/salsa-ci.yml: Put orig tarballs directly in ..
  * d/salsa-ci.yml: Adjust filenames to allow source package name suffix
  * d/salsa-ci.yml: Fix cache configuration for build job
  * d/salsa-ci.yml: Move orig tarball generation to a separate job again
  * d/salsa-ci.yml: Restore lintian checking of source package

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Nov 2025 21:02:07 +0100

linux (6.1.153-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.149
    - io_uring: don't use int for ABI
    - ALSA: usb-audio: Validate UAC3 power domain descriptors, too
    - ALSA: usb-audio: Validate UAC3 cluster segment descriptors
    - ALSA: hda/realtek: Fix headset mic on HONOR BRB-X
    - ALSA: hda/realtek: Add Framework Laptop 13 (AMD Ryzen AI 300) to quirks
    - smb3: fix for slab out of bounds on mount to ksmbd
    - smb: client: remove redundant lstrp update in negotiate protocol
    - gpio: virtio: Fix config space reading.
    - [amd64,arm64] net: phy: micrel: fix KSZ8081/KSZ8091 cable test
    - net: usb: asix_devices: add phy_mask for ax88772 mdio bus
    - nfsd: handle get_client_locked() failure in nfsd4_setclientid_confirm()
    - NFSD: detect mismatch of file handle and delegation stateid in OPEN op
    - NFS: Fix the setting of capabilities when automounting a new filesystem
    - sunvdc: Balance device refcount in vdc_port_mpgroup_check
    - fs: Prevent file descriptor table allocations exceeding INT_MAX
    - eventpoll: Fix semi-unbounded recursion (CVE-2025-38614)
    - Documentation: ACPI: Fix parent device references
    - ACPI: processor: perflib: Fix initial _PPC limit application
    - ACPI: processor: perflib: Move problematic pr->performance check
    - [amd64] KVM: SVM: Set RFLAGS.IF=1 in C code, to get VMRUN out of the STI
      shadow
    - [amd64] KVM: x86: Re-split x2APIC ICR into ICR+ICR2 for AMD (x2AVIC)
    - [amd64] KVM: x86: Plumb in the vCPU to kvm_x86_ops.hwapic_isr_update()
    - [amd64] KVM: nVMX: Defer SVI update to vmcs01 on EOI when L2 is active w/o
      VID
    - [amd64] KVM: x86: Snapshot the host's DEBUGCTL in common x86
    - [amd64] KVM: x86: Snapshot the host's DEBUGCTL after disabling IRQs
    - [amd64] KVM: x86/pmu: Gate all "unimplemented MSR" prints on
      report_ignored_msrs
    - [amd64] KVM: x86: Plumb "force_immediate_exit" into kvm_entry() tracepoint
    - [amd64] KVM: VMX: Re-enter guest in fastpath for "spurious" preemption
      timer exits
    - [amd64] KVM: VMX: Handle forced exit due to preemption timer in fastpath
    - [amd64] KVM: x86: Move handling of is_guest_mode() into fastpath exit
      handlers
    - [amd64] KVM: VMX: Handle KVM-induced preemption timer exits in fastpath
      for L2
    - [amd64] KVM: x86: Fully defer to vendor code to decide how to force
      immediate exit
    - [amd64] KVM: x86: Convert vcpu_run()'s immediate exit param into a generic
      bitmap
    - [amd64] KVM: x86: Drop kvm_x86_ops.set_dr6() in favor of a new KVM_RUN
      flag
    - [amd64] KVM: VMX: Allow guest to set DEBUGCTL.RTM_DEBUG if RTM is
      supported
    - [amd64] KVM: VMX: Extract checking of guest's DEBUGCTL into helper
    - [amd64] KVM: nVMX: Check vmcs12->guest_ia32_debugctl on nested VM-Enter
    - [amd64] KVM: VMX: Wrap all accesses to IA32_DEBUGCTL with getter/setter
      APIs
    - [amd64] KVM: VMX: Preserve host's DEBUGCTLMSR_FREEZE_IN_SMM while running
      the guest
    - udp: also consider secpath when evaluating ipsec use for checksumming
    - netfilter: ctnetlink: fix refcount leak on table dump
    - hfs: fix slab-out-of-bounds in hfs_bnode_read()
    - hfsplus: fix slab-out-of-bounds in hfsplus_bnode_read()
    - hfsplus: fix slab-out-of-bounds read in hfsplus_uni2asc()
    - hfsplus: don't use BUG_ON() in hfsplus_create_attributes_file()
    - [arm64] Handle KCOV __init vs inline mismatches
    - smb/server: avoid deadlock when linking with ReplaceIfExists
    - udf: Verify partition map count
    - drbd: add missing kref_get in handle_write_conflicts
    - hfs: fix not erasing deleted b-tree node issue
    - better lockdep annotations for simple_recursive_removal()
    - ata: libata-sata: Disallow changing LPM state if not supported
    - fs/ntfs3: Add sanity check for file name
    - fs/ntfs3: correctly create symlink for relative path
    - fix locking in efi_secret_unlink()
    - securityfs: don't pin dentries twice, once is enough...
    - usb: xhci: print xhci->xhc_state when queue_command failed
    - cpufreq: CPPC: Mark driver with NEED_UPDATE_LIMITS flag
    - usb: typec: ucsi: psy: Set current max to 100mA for BC 1.2 and Default
    - usb: xhci: Avoid showing warnings for dying controller
    - usb: xhci: Set avg_trb_len = 8 for EP0 during Address Device Command
    - usb: xhci: Avoid showing errors during surprise removal
    - remoteproc: imx_rproc: skip clock enable when M-core is managed by the SCU
    - cpufreq: Exit governor when failed to start old governor
    - [armhf] rockchip: fix kernel hang during smp initialization
    - PM / devfreq: governor: Replace sscanf() with kstrtoul() in
      set_freq_store()
    - ASoC: soc-dapm: set bias_level if snd_soc_dapm_set_bias_level() was
      successed
    - [arm64] thermal/drivers/qcom-spmi-temp-alarm: Enable stage 2 shutdown when
      required
    - tools/nolibc: define time_t in terms of __kernel_old_time_t
    - iio: adc: ad_sigma_delta: don't overallocate scan buffer
    - [armhf] tegra: Use I/O memcpy to write to IRAM
    - ACPI: PRM: Reduce unnecessary printing to avoid user confusion
    - PM: runtime: Clear power.needs_force_resume in pm_runtime_reinit()
    - thermal: sysfs: Return ENODATA instead of EAGAIN for reads
    - PM: sleep: console: Fix the black screen issue
    - ACPI: processor: fix acpi_object initialization
    - [arm64] mmc: sdhci-msm: Ensure SD card power isn't ON when card removed
    - ACPI: APEI: GHES: add TAINT_MACHINE_CHECK on GHES panic path
    - pps: clients: gpio: fix interrupt handling order in remove path
    - reset: brcmstb: Enable reset drivers for ARCH_BCM2835
    - mei: bus: Check for still connected devices in mei_cl_bus_dev_release()
    - mmc: rtsx_usb_sdmmc: Fix error-path in sd_set_power_mode()
    - ALSA: hda: Handle the jack polling always via a work
    - ALSA: hda: Disable jack polling at shutdown
    - [amd64] x86/bugs: Avoid warning when overriding return thunk
    - ASoC: hdac_hdmi: Rate limit logging on connection and disconnection
    - ALSA: intel8x0: Fix incorrect codec index usage in mixer for ICH4
    - ASoC: core: Check for rtd == NULL in snd_soc_remove_pcm_runtime()
    - usb: typec: intel_pmc_mux: Defer probe if SCU IPC isn't present
    - usb: core: usb_submit_urb: downgrade type check
    - pm: cpupower: Fix the snapshot-order of tsc,mperf, clock in mperf_stop()
    - [amd64] platform/x86: thinkpad_acpi: Handle KCOV __init vs inline
      mismatches
    - platform/chrome: cros_ec_typec: Defer probe on missing EC parent
    - ALSA: hda/ca0132: Fix buffer overflow in add_tuning_control
    - ALSA: pcm: Rewrite recalculate_boundary() to avoid costly loop
    - ALSA: usb-audio: Avoid precedence issues in mixer_quirks macros
    - iio: adc: ad7768-1: Ensure SYNC_IN pulse minimum timing requirement
    - ASoC: codecs: rt5640: Retry DEVICE_ID verification
    - xen/netfront: Fix TX response spurious interrupts
    - net: usb: cdc-ncm: check for filtering capability
    - wifi: cfg80211: reject HTC bit for management frames
    - [s390x] time: Use monotonic clock in get_cycles()
    - be2net: Use correct byte order and format string for TCP seq and ack_seq
    - wifi: rtw89: Lower the timeout in rtw89_fw_read_c2h_reg() for USB
    - et131x: Add missing check after DMA map
    - net: ag71xx: Add missing check after DMA map
    - net/mlx5e: Properly access RCU protected qdisc_sleeping variable
    - [arm64] Mark kernel as tainted on SAE and SError panic
    - rcu: Protect ->defer_qs_iw_pending from data race
    - net: mctp: Prevent duplicate binds
    - wifi: cfg80211: Fix interface type validation
    - net: ipv4: fix incorrect MTU in broadcast routes
    - net: thunderx: Fix format-truncation warning in bgx_acpi_match_id()
    - wifi: iwlwifi: mvm: fix scan request validation
    - [s390x] stp: Remove udelay from stp_sync_clock()
    - sched/fair: Bump sd->max_newidle_lb_cost when newidle balance fails
    - wifi: mac80211: don't complete management TX on SAE commit
    - ipv6: mcast: Check inet6_dev->dead under idev->mc_lock in
      __ipv6_dev_mc_inc().
    - [arm64] drm/msm: use trylock for debugfs
    - wifi: rtw89: Fix rtw89_mac_power_switch() for USB
    - wifi: rtw89: Disable deep power saving for USB/SDIO
    - [amd64] net: thunderbolt: Enable end-to-end flow control also in transmit
    - [amd64] net: thunderbolt: Fix the parameter passing of
      tb_xdomain_enable_paths()/tb_xdomain_disable_paths()
    - net: atlantic: add set_power to fw_ops for atl2 to fix wol
    - net: fec: allow disable coalescing
    - drm/amd/display: Separate set_gsl from set_gsl_source_select
    - wifi: iwlwifi: dvm: fix potential overflow in rs_fill_link_cmd()
    - wifi: iwlwifi: fw: Fix possible memory leak in iwl_fw_dbg_collect
    - drm/amd/display: Fix 'failed to blank crtc!'
    - wifi: mac80211: update radar_required in channel context after channel
      switch
    - wifi: rtlwifi: fix possible skb memory leak in `_rtl_pci_rx_interrupt()`.
    - [powerpc*] floppy: Add missing checks after DMA map
    - netmem: fix skb_frag_address_safe with unreadable skbs
    - wifi: iwlegacy: Check rate_idx range after addition
    - neighbour: add support for NUD_PERMANENT proxy entries
    - drm/amd: Allow printing VanGogh OD SCLK levels without setting dpm to
      manual
    - net: vlan: Replace BUG() with WARN_ON_ONCE() in vlan_dev_* stubs
    - gve: Return error for unknown admin queue command
    - [armhf] net: dsa: b53: fix b53_imp_vlan_setup for BCM5325
    - [armhf] net: dsa: b53: prevent GMII_PORT_OVERRIDE_CTRL access on BCM5325
    - [armhf] net: dsa: b53: prevent DIS_LEARNING access on BCM5325
    - [armhf] net: dsa: b53: prevent SWITCH_CTRL access on BCM5325
    - ptp: Use ratelimite for freerun error message
    - wifi: rtlwifi: fix possible skb memory leak in _rtl_pci_init_one_rxdesc()
    - ionic: clean dbpage in de-init
    - net: ncsi: Fix buffer overflow in fetching version id
    - drm/ttm: Should to return the evict error
    - uapi: in6: restore visibility of most IPv6 socket options
    - drm/ttm: Respect the shrinker core free target
    - net: dsa: b53: fix IP_MULTICAST_CTRL on BCM5325
    - vsock/virtio: Resize receive buffers so that each SKB fits in a 4K page
    - vhost: fail early when __vhost_add_used() fails
    - drm/amd/display: Only finalize atomic_obj if it was initialized
    - watchdog: sbsa: Adjust keepalive timeout to avoid MediaTek WS0 race
      condition
    - cifs: Fix calling CIFSFindFirst() for root path without msearch
    - fbdev: fix potential buffer overflow in do_register_framebuffer()
    - ext4: do not BUG when INLINE_DATA_FL lacks system.data xattr
    - scsi: libiscsi: Initialize iscsi_conn->dd_data only if memory is allocated
    - fs/orangefs: use snprintf() instead of sprintf()
    - watchdog: dw_wdt: Fix default timeout
    - hwmon: (emc2305) Set initial PWM minimum value during probe based on
      thermal state
    - watchdog: iTCO_wdt: Report error if timeout configuration fails
    - scsi: bfa: Double-free fix
    - jfs: truncate good inode pages when hard link is 0
    - jfs: Regular file corruption check
    - jfs: upper bound check of tree index in dbAllocAG
    - [mips*] Don't crash in stack_top() for tasks without ABI or vDSO
    - media: v4l2-common: Reduce warnings about missing V4L2_CID_LINK_FREQ
      control
    - leds: leds-lp50xx: Handle reg to get correct multi_index
    - [armhf] dmaengine: stm32-dma: configure next sg only if there are more
      than 2 sgs
    - [amd64] RDMA: hfi1: fix possible divide-by-zero in find_hw_thread_mask()
    - RDMA/core: reduce stack using in nldev_stat_get_doit()
    - scsi: lpfc: Check for hdwq null ptr when cleaning up lpfc_vport structure
    - scsi: mpt3sas: Correctly handle ATA device errors
    - scsi: mpi3mr: Correctly handle ATA device errors
    - pinctrl: stm32: Manage irq affinity settings
    - media: tc358743: Check I2C succeeded during probe
    - media: tc358743: Return an appropriate colorspace from tc358743_set_fmt
    - media: tc358743: Increase FIFO trigger level to 374
    - media: usb: hdpvr: disable zero-length read messages
    - media: dvb-frontends: dib7090p: fix null-ptr-deref in dib7090p_rw_on_apb()
    - media: dvb-frontends: w7090p: fix null-ptr-deref in
      w7090p_tuner_write_serpar and w7090p_tuner_read_serpar
    - media: uvcvideo: Fix bandwidth issue for Alcor camera
    - md: dm-zoned-target: Initialize return variable r to avoid uninitialized
      use
    - module: Prevent silent truncation of module name in delete_module(2)
    - i3c: add missing include to internal header
    - rtc: ds1307: handle oscillator stop flag (OSF) for ds1341
    - i3c: don't fail if GETHDRCAP is unsupported
    - i3c: master: Initialize ret in i3c_i2c_notifier_call()
    - dm-mpath: don't print the "loaded" message if registering fails
    - dm-table: fix checking for rq stackable devices
    - apparmor: use the condition in AA_BUG_FMT even with debug disabled
    - i2c: Force DLL0945 touchpad i2c freq to 100khz
    - vfio/type1: conditional rescheduling while pinning
    - scsi: Fix sas_user_scan() to handle wildcard and multi-channel scans
    - scsi: target: core: Generate correct identifiers for PR OUT transport IDs
    - scsi: aacraid: Stop using PCI_IRQ_AFFINITY
    - vfio/mlx5: fix possible overflow in tracking max message size
    - ipmi: Use dev_warn_ratelimited() for incorrect message warnings
    - ipmi: Fix strcpy source and destination the same
    - net: phy: smsc: add proper reset flags for LAN8710A
    - block: avoid possible overflow for chunk_sectors check in
      blk_stack_limits()
    - pNFS: Fix stripe mapping in block/scsi layout
    - pNFS: Fix disk addr range check in block/scsi layout
    - pNFS: Handle RPC size limit for layoutcommits
    - pNFS: Fix uninited ptr deref in block/scsi layout
    - rtc: ds1307: remove clear of oscillator stop flag (OSF) in probe
    - scsi: lpfc: Remove redundant assignment to avoid memory leak
    - ASoC: soc-dai.c: add missing flag check at snd_soc_pcm_dai_probe()
    - ASoC: soc-dai.h: merge DAI call back functions into ops
    - [arm64,armhf] ASoC: fsl: merge DAI call back functions into ops
    - [arm64,armhf] ASoC: fsl_sai: replace regmap_write with regmap_update_bits
    - drm/amdgpu: fix incorrect vm flags to map bo
    - ext4: fix zombie groups in average fragment size lists
    - ext4: fix largest free orders lists corruption on mb_optimize_scan switch
    - usb: core: config: Prevent OOB read in SS endpoint companion parsing
    - misc: rtsx: usb: Ensure mmc child device is active when card is present
    - usb: typec: ucsi: Update power_supply on power role change
    - [amd64] comedi: fix race between polling and detaching
    - [amd64] thunderbolt: Fix copy+paste error in match_service_id()
    - cdc-acm: fix race between initial clearing halt and open
    - btrfs: zoned: use filesystem size not disk size for reclaim decision
    - btrfs: abort transaction during log replay if walk_log_tree() failed
    - btrfs: zoned: do not remove unwritten non-data block group
    - btrfs: fix log tree replay failure due to file with 0 links and extents
    - btrfs: do not allow relocation of partially dropped subvolumes
    - fbdev: Fix vmalloc out-of-bounds write in fast_imageblit
    - hv_netvsc: Fix panic during namespace deletion with VF
    - media: uvcvideo: Fix 1-byte out-of-bounds read in uvc_parse_format()
    - media: uvcvideo: Do not mark valid metadata as invalid
    - HID: magicmouse: avoid setting up battery timer when not needed
    - HID: apple: avoid setting up battery timer for devices without battery
    - serial: 8250: fix panic due to PSLVERR
    - cpufreq: armada-8k: Fix off by one in armada_8k_cpufreq_free_table()
    - usb: atm: cxacru: Merge cxacru_upload_firmware() into cxacru_heavy_init()
    - usb: gadget: udc: renesas_usb3: fix device leak at unbind
    - [arm64,armhf] usb: dwc3: meson-g12a: fix device leaks at unbind
    - bus: mhi: host: Fix endianness of BHI vector table
    - bus: mhi: host: Detect events pointing to unexpected TREs
    - vt: keyboard: Don't process Unicode characters in K_OFF mode
    - vt: defkeymap: Map keycodes above 127 to K_HOLE
    - Revert "vgacon: Add check for vc_origin address range in vgacon_scroll()"
    - ksmbd: extend the connection limiting mechanism to support IPv6
    - ext4: check fast symlink for ea_inode correctly
    - ext4: fix fsmap end of range reporting with bigalloc
    - ext4: fix reserved gdt blocks handling in fsmap
    - ext4: use kmalloc_array() for array space allocation
    - ext4: fix hole length calculation overflow in non-extent inodes
    - scsi: mpi3mr: Fix race between config read submit and interrupt completion
    - ata: libata-scsi: Fix ata_to_sense_error() status handling
    - scsi: ufs: ufs-pci: Fix hibernate state transition for Intel MTL-like host
      controllers
    - scsi: ufs: ufs-pci: Fix default runtime and system PM levels
    - iio: imu: bno055: fix OOB access of hw_xlate array
    - iio: adc: ad_sigma_delta: change to buffer predisable
    - wifi: brcmsmac: Remove const from tbl_ptr parameter in
      wlc_lcnphy_common_read_table()
    - wifi: ath11k: fix dest ring-buffer corruption
    - wifi: ath11k: fix source ring-buffer corruption
    - wifi: ath11k: fix dest ring-buffer corruption when ring is full
    - pwm: imx-tpm: Reset counter if CMOD is 0
    - pwm: mediatek: Handle hardware enable and clock enable separately
    - pwm: mediatek: Fix duty and period setting
    - hwmon: (gsc-hwmon) fix fan pwm setpoint show functions
    - mtd: spi-nor: Fix spi_nor_try_unlock_all()
    - PCI: endpoint: Fix configfs group list head handling
    - PCI: endpoint: Fix configfs group removal on driver teardown
    - vsock/virtio: Validate length in packet header before skb_put()
    - vhost/vsock: Avoid allocating arbitrarily-sized SKBs
    - jbd2: prevent softlockup in jbd2_log_do_checkpoint()
    - [arm64,armhf] soc/tegra: pmc: Ensure power-domains are in a known state
    - media: gspca: Add bounds checking to firmware parser
    - [armhf] media: imx: fix a potential memory leak in
      imx_media_csc_scaler_device_init()
    - media: vivid: fix wrong pixel_array control size
    - media: v4l2-ctrls: Don't reset handler's error in v4l2_ctrl_handler_free()
    - media: usbtv: Lock resolution while streaming
    - media: rainshadow-cec: fix TOCTOU race condition in rain_interrupt()
    - media: ov2659: Fix memory leaks in ov2659_probe()
    - drm/amd: Restore cached power limit during resume
    - drm/amdgpu: Avoid extra evict-restore process.
    - drm/amdgpu: update mmhub 3.0.1 client id mappings
    - drm/amdkfd: Destroy KFD debugfs after destroy KFD wq
    - drm/amd/display: Don't overwrite dce60_clk_mgr
    - net, hsr: reject HSR frame if skb can't hold tag
    - ipv6: sr: Fix MAC comparison to be constant-time
    - ACPI: pfr_update: Fix the driver update version check
    - mptcp: drop skb if MPTCP skb extension allocation fails
    - mptcp: pm: kernel: flush: do not reset ADD_ADDR limit
    - f2fs: fix to do sanity check on ino and xnid (CVE-2025-38347)
    - iio: hid-sensor-prox: Restore lost scale assignments
    - iio: hid-sensor-prox: Fix incorrect OFFSET calculation
    - [amd64] perf/x86/intel: Fix crash in icl_update_topdown_event()
      (CVE-2025-38322)
    - [amd64] x86/mce/amd: Add default names for MCA banks and blocks
    - net: add netdev_lockdep_set_classes() to virtual drivers
    - btrfs: fix qgroup reservation leak on failure to allocate ordered extent
    - [arm64] entry: Mask DAIF in cpu_switch_to(), call_on_irq_stack()
    - drm/sched: Remove optimization that causes hang when killing dependent
      jobs
    - net: enetc: fix device and OF node leak at probe
    - fscrypt: Don't use problematic non-inline crypto engines
    - block: reject invalid operation in submit_bio_noacct
    - block: Make REQ_OP_ZONE_FINISH a write operation
    - PCI/ACPI: Fix runtime PM ref imbalance on Hot-Plug Capable ports
    - cifs: reset iface weights when we cannot find a candidate
    - usb: typec: fusb302: cache PD RX state
    - btrfs: qgroup: fix race between quota disable and quota rescan ioctl
    - btrfs: abort transaction on unexpected eb generation at btrfs_copy_root()
    - xfs: fully decouple XFS_IBULK* flags from XFS_IWALK* flags
    - btrfs: send: use fallocate for hole punching with send stream v2
    - net_sched: sch_ets: implement lockless ets_dump()
    - net/sched: ets: use old 'nbands' while purging unused classes
    - mm/ptdump: take the memory hotplug lock inside ptdump_walk_pgd()
    - [armhf] usb: musb: omap2430: Convert to platform remove callback returning
      void
    - [armhf] usb: musb: omap2430: fix device leak at unbind
    - platform/chrome: cros_ec: Use per-device lockdep key
    - platform/chrome: cros_ec: remove unneeded label and if-condition
    - platform/chrome: cros_ec: Unregister notifier in cros_ec_unregister()
    - [arm64] usb: dwc3: imx8mp: fix device leak at unbind
    - ata: Fix SATA_MOBILE_LPM_POLICY description in Kconfig
    - btrfs: populate otime when logging an inode item
    - tls: separate no-async decryption request handling from async
      (CVE-2024-58240)
    - [amd64] crypto: qat - fix ring to service map for QAT GEN4
    - [arm64] cpufeatures/kvm: Add ARMv8.9 FEAT_ECBHB bits in ID_AA64MMFR1
      register
    - [amd64] KVM: x86: Take irqfds.lock when adding/deleting IRQ bypass
      producer
    - mptcp: make fallback action and fallback decision atomic (CVE-2025-38491)
    - mptcp: plug races between subflow fail and subflow creation
      (CVE-2025-38552)
    - mptcp: reset fallback status gracefully at disconnect() time
    - mm: drop the assumption that VM_SHARED always implies writable
    - mm: update memfd seal write check to include F_SEAL_WRITE
    - mm: reinstate ability to map write-sealed memfd mappings read-only
    - Bluetooth: hci_sync: Fix UAF on hci_abort_conn_sync
    - kbuild: userprogs: use correct linker when mixing clang and GNU ld
    - [amd64] x86/reboot: Harden virtualization hooks for emergency reboot
    - [amd64] x86/reboot: KVM: Handle VMXOFF in KVM's reboot callback
    - [amd64] KVM: VMX: Flush shadow VMCS on emergency reboot
    - [arm64] KVM: arm64: Fix kernel BUG() due to bad backport of FPSIMD/SVE/SME
      fix
    - memstick: Fix deadlock by moving removing flag earlier
    - mmc: sdhci-pci-gli: GL9763e: Rename the gli_set_gl9763e() for consistency
    - squashfs: fix memory leak in squashfs_fill_super
    - mm/debug_vm_pgtable: clear page table entries at destroy_args()
    - ALSA: hda/realtek: Add support for HP EliteBook x360 830 G6 and EliteBook
      830 G6
    - [s390x] sclp: Fix SCCB present check
    - drm/amd/display: Avoid a NULL pointer dereference
    - drm/amd/display: Fix fractional fb divider in set_pixel_clock_v3
    - drm/amd/display: Fix DP audio DTO1 clock source on DCE 6.
    - drm/amd/display: Find first CRTC and its line time in
      dce110_fill_display_configs
    - drm/amd/display: Fill display clock and vblank time in
      dce110_fill_display_configs
    - smb: server: split ksmbd_rdma_stop_listening() out of ksmbd_rdma_destroy()
    - fs/buffer: fix use-after-free when call bh_read() helper
    - use uniform permission checks for all mount propagation changes
    - ftrace: Also allocate and copy hash for reading of filter files
    - iio: pressure: bmp280: Use IS_ERR() in bmp280_common_probe()
    - iio: proximity: isl29501: fix buffered read on big-endian systems
    - most: core: Drop device reference after usage in get_channel()
    - usb: quirks: Add DELAY_INIT quick for another SanDisk 3.2Gen1 Flash Drive
    - [amd64] comedi: Make insn_rw_emulate_bits() do insn->n samples
    - [amd64] comedi: pcl726: Prevent invalid irq number
    - [amd64] comedi: Fix use of uninitialized memory in do_insn_ioctl() and
      do_insnlist_ioctl()
    - usb: core: hcd: fix accessing unmapped memory in SINGLE_STEP_SET_FEATURE
      test
    - USB: storage: Add unusual-devs entry for Novatek NTK96550-based camera
    - usb: storage: realtek_cr: Use correct byte order for bcs->Residue
    - USB: storage: Ignore driver CD mode for Realtek multi-mode Wi-Fi dongles
    - [arm64,armhf] usb: dwc3: Ignore late xferNotReady event to prevent halt
      timeout
    - [arm64,armhf] usb: dwc3: Remove WARN_ON for device endpoint command
      timeouts
    - [arm64] dts: ti: k3-am62-main: Remove eMMC High Speed DDR support
    - scsi: ufs: exynos: Fix programming of HCI_UTRL_NEXUS_TYPE
    - ext4: preserve SB_I_VERSION on remount
    - scsi: mpi3mr: Drop unnecessary volatile from __iomem pointers
    - scsi: mpi3mr: Serialize admin queue BAR writes on 32-bit systems
    - [arm64] PCI: rockchip: Use standard PCIe definitions
    - [arm64] PCI: rockchip: Set Target Link Speed to 5.0 GT/s before retraining
    - [arm64] soc: qcom: mdt_loader: Enhance split binary detection
    - [arm64] soc: qcom: mdt_loader: Ensure we don't read past the ELF header
    - f2fs: fix to call clear_page_private_reference in .{release,invalid}_folio
    - f2fs: fix to avoid out-of-boundary access in dnode page (CVE-2025-38677)
    - mptcp: disable add_addr retransmission when timeout is 0
    - drm/dp: Change AUX DPCD probe address from DPCD_REV to LANE0_1_STATUS
    - mmc: sdhci-pci-gli: Use PCI AER definitions, not hard-coded values
    - mmc: sdhci-pci-gli: Add a new function to simplify the code
    - mmc: sdhci-pci-gli: GL9763e: Mask the replay timer timeout of AER
    - mm/memory-failure: fix infinite UCE for VM_PFNMAP pfn
    - drm/amd/display: Don't overclock DCE 6 by 15%
    - wifi: mac80211: avoid lockdep checking when removing deflink
    - wifi: mac80211: check basic rates validity in sta_link_apply_parameters
    - tls: fix handling of zero-length records on the rx_list
    - iio: imu: inv_icm42600: change invalid data error to -EBUSY
    - tracing: Remove unneeded goto out logic
    - tracing: Limit access to parser->buffer when trace_get_user failed
    - iio: light: as73211: Ensure buffer holes are zeroed
    - iio: temperature: maxim_thermocouple: use DMA-safe buffer for spi_read()
    - compiler: remove __ADDRESSABLE_ASM{_STR,}() again
    - [amd64] x86/cpu/hygon: Add missing resctrl_cpu_detect() in bsp_init helper
    - cgroup/cpuset: Use static_branch_enable_cpuslocked() on
      cpusets_insane_config_key
    - iosys-map: Fix undefined behavior in iosys_map_clear()
    - RDMA/bnxt_re: Fix to initialize the PBL array
    - net: bridge: fix soft lockup in br_multicast_query_expired()
    - scsi: qla4xxx: Prevent a potential error pointer dereference
    - [amd64] iommu/amd: Avoid stack buffer overflow from kernel cmdline
      (CVE-2025-38676)
    - Bluetooth: hci_conn: do return error from hci_enhanced_setup_sync()
    - [arm64] drm/hisilicon/hibmc: fix the hibmc loaded failed bug
    - ALSA: usb-audio: Fix size validation in convert_chmap_v3()
    - drm/amd/display: Add null pointer check in mod_hdcp_hdcp1_create_session()
    - net: gso: Forbid IPv6 TSO with extensions on devices with only IPV6_CSUM
    - ipv6: sr: validate HMAC algorithm ID in seg6_hmac_info_add
    - net: ethernet: mtk_ppe: add RCU lock around dev_fill_forward_path
    - ppp: fix race conditions in ppp_fill_forward_path
    - phy: mscc: Fix timestamping for vsc8584
    - net: usb: asix_devices: Fix PHY address mask in MDIO bus initialization
    - gve: prevent ethtool ops after shutdown
    - ixgbe: xsk: resolve the negative overflow of budget in ixgbe_xmit_zc
    - igc: fix disabling L1.2 PCI-E link substate on I226 on init
    - net/sched: Make cake_enqueue return NET_XMIT_CN when past buffer_limit
    - net/sched: Remove unnecessary WARNING condition for empty child qdisc in
      htb_activate
    - bonding: update LACP activity flag after setting lacp_active
    - bonding: Add independent control state machine
    - bonding: send LACPDUs periodically in passive mode after receiving
      partner's LACPDU
    - ALSA: usb-audio: Use correct sub-type for UAC3 feature unit validation
    - [s390x] hypfs: Avoid unnecessary ioctl registration in debugfs
    - [s390x] hypfs: Enable limited access during lockdown
    - netfilter: nf_reject: don't leak dst refcount for loopback packets
    - alloc_fdtable(): change calling conventions.
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.150
    - ftrace: Fix potential warning in trace_printk_seq during ftrace_dump
    - scsi: core: sysfs: Correct sysfs attributes access rights
    - smb: client: fix race with concurrent opens in unlink(2)
    - smb: client: fix race with concurrent opens in rename(2)
    - ACPI: EC: Add device to acpi_ec_no_wakeup[] qurik list
    - nfs: fold nfs_page_group_lock_subrequests into nfs_lock_and_join_requests
    - NFS: Fix a race when updating an existing write
    - vhost/net: Protect ubufs with rcu read lock in vhost_net_ubuf_put()
    - net: ipv4: fix regression in local-broadcast routes
    - [arm64] drm/msm: Defer fd_install in SUBMIT ioctl
    - [powerpc*] kvm: Fix ifdef to remove build warning
    - HID: input: rename hidinput_set_battery_charge_status()
    - HID: input: report battery status changes immediately
    - Bluetooth: hci_event: Treat UNKNOWN_CONN_ID on disconnect as success
    - Bluetooth: hci_event: Mark connection as closed during suspend disconnect
    - Bluetooth: hci_event: Detect if HCI_EV_NUM_COMP_PKTS is unbalanced
    - Bluetooth: hci_sync: fix set_local_name race condition
    - atm: atmtcp: Prevent arbitrary write in atmtcp_recv_control().
    - net: dlink: fix multicast stats being counted incorrectly
    - phy: mscc: Fix when PTP clock is register and unregister
    - net/mlx5: Reload auxiliary drivers on fw_activate
    - net/mlx5e: Update and set Xon/Xoff upon MTU set
    - net/mlx5e: Update and set Xon/Xoff upon port speed set
    - net/mlx5e: Set local Xoff after FW update
    - net: stmmac: xgmac: Do not enable RX FIFO Overflow interrupts
    - net: rose: split remove and free operations in rose_remove_neigh()
    - net: rose: convert 'use' field to refcount_t
    - net: rose: include node references in rose_neigh refcount
    - sctp: initialize more fields in sctp_v6_from_sk()
    - efivarfs: Fix slab-out-of-bounds in efivarfs_d_compare
    - [x86] KVM: x86: use array_index_nospec with indices that come from guest
    - HID: asus: fix UAF via HID_CLAIMED_INPUT validation
    - HID: multitouch: fix slab out-of-bounds access in mt_report_fixup()
    - HID: wacom: Add a new Art Pen 2
    - HID: hid-ntrig: fix unable to handle page fault in ntrig_report_version()
    - Revert "drm/amdgpu: fix incorrect vm flags to map bo"
    - dma/pool: Ensure DMA_DIRECT_REMAP allocations are decrypted
    - fs/smb: Fix inconsistent refcnt update
    - net: usb: qmi_wwan: add Telit Cinterion LE910C4-WWX new compositions
    - smb3 client: fix return code mapping of remap_file_range
    - drm/nouveau/disp: Always accept linear modifier
    - net: rose: fix a typo in rose_clear_routes()
    - HID: mcp2221: Don't set bus speed on every transfer
    - HID: mcp2221: Handle reads greater than 60 bytes
    - Revert "drm/dp: Change AUX DPCD probe address from DPCD_REV to
      LANE0_1_STATUS"
    - xfs: do not propagate ENODATA disk errors into xattr code
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.151
    - bpf: Add cookie object to bpf maps
    - bpf: Move cgroup iterator helpers to bpf.h
    - bpf: Move bpf map owner out of common struct
    - bpf: Fix oob access in cgroup local storage (CVE-2025-38502)
    - btrfs: fix race between logging inode and checking if it was logged before
    - btrfs: fix race between setting last_dir_index_offset and inode logging
    - btrfs: avoid load/store tearing races when checking if an inode was logged
    - cdc_ncm: Flag Intel OEM version of Fibocom L850-GL as WWAN
    - drm/amd/display: Don't warn when missing DCE encoder caps
    - Bluetooth: hci_sync: Avoid adding default advertising on startup
    - fs: writeback: fix use-after-free in __mark_inode_dirty()
    - [arm64] tee: fix NULL pointer dereference in tee_shm_put
    - [arm64] dts: rockchip: Add vcc-supply to SPI flash on rk3399-pinebook-pro
    - [arm64] tee: optee: ffa: fix a typo of "optee_ffa_api_is_compatible"
    - wifi: cfg80211: fix use-after-free in cmp_bss()
    - netfilter: br_netfilter: do not check confirmed bit in br_nf_local_in()
      after confirm
    - netfilter: conntrack: helper: Replace -EEXIST by -EBUSY
    - Bluetooth: Fix use-after-free in l2cap_sock_cleanup_listen()
    - [x86] xirc2ps_cs: fix register access when enabling FullDuplex
    - mISDN: Fix memory leak in dsp_hwec_enable()
    - icmp: fix icmp_ndo_send address translation for reply direction
    - [arm64] net: macb: Fix tx_ptr_lock locking
    - net/smc: fix one NULL pointer dereference in smc_ib_is_sg_need_sync()
    - i40e: Fix potential invalid access when MAC list is empty
    - net: ethernet: mtk_eth_soc: fix tx vlan tag for llc packets
    - wifi: cw1200: cap SSID length in cw1200_do_join()
    - wifi: libertas: cap SSID len in lbs_associate()
    - wifi: cfg80211: sme: cap SSID length in __cfg80211_connect_result()
    - [arm64] net: thunder_bgx: add a missing of_node_put
    - [arm64] net: thunder_bgx: decrement cleanup index before use
    - ipv4: Fix NULL vs error pointer check in inet_blackhole_dev_init()
    - net/smc: Remove validation of reserved bits in CLC Decline message
    - mctp: return -ENOPROTOOPT for unknown getsockopt options
    - ax25: properly unshare skbs in ax25_kiss_rcv()
    - net: atm: fix memory leak in atm_register_sysfs when device_register fail
    - ppp: fix memory leak in pad_compress_skb
    - phy: mscc: Stop taking ts_lock for tx_queue and use its own lock
    - ALSA: usb-audio: Add mute TLV for playback volumes on some devices
    - ACPI/IORT: Fix memory leak in iort_rmr_alloc_sids()
    - pcmcia: Fix a NULL pointer dereference in __iodyn_find_io_region()
    - [amd64] x86/mm/64: define ARCH_PAGE_TABLE_SYNC_MASK and
      arch_sync_kernel_mappings()
    - mm: move page table sync declarations to linux/pgtable.h
    - ocfs2: prevent release journal inode after journal shutdown
    - wifi: mwifiex: Initialize the chan_stats array to zero
    - drm/amdgpu: drop hw access in non-DC audio fini
    - scsi: lpfc: Fix buffer free/clear order in deferred receive path
    - batman-adv: fix OOB read/write in network-coding decode
    - cifs: prevent NULL pointer dereference in UTF16 conversion
    - e1000e: fix heap overflow in e1000_set_eeprom
    - mm/slub: avoid accessing metadata when pointer is invalid in object_err()
    - PCI/MSI: Add an option to write MSIX ENTRY_DATA before any reads
    - cpufreq/sched: Explicitly synchronize limits_changed flag handling
    - btrfs: adjust subpage bit start based on sectorsize (CVE-2025-37931)
    - iio: light: opt3001: fix deadlock due to concurrent flag access
      (CVE-2025-37968)
    - [x86] i2c: designware: Fix an error handling path in i2c_dw_pci_probe()
    - ALSA: hda/realtek - Add new HP ZBook laptop with micmute led fixup
    - vmxnet3: update MTU after device quiesce
    - [arm64,armhf] spi: tegra114: Remove unnecessary NULL-pointer checks
    - [arm64,armhf] spi: tegra114: Don't fail set_cs_timing when delays are zero
    - [x86] cpufreq: intel_pstate: Revise global turbo disable check
    - [x86] cpufreq: intel_pstate: Fold intel_pstate_max_within_limits() into
      caller
    - [x86] cpufreq: intel_pstate: Do not update global.turbo_disabled after
      initialization
    - [x86] cpufreq: intel_pstate: Unchecked MSR aceess in legacy mode
    - ALSA: hda/realtek: Add support for HP Agusta using CS35L41 HDA
    - fs: relax assertions on failure to encode file handles (CVE-2024-57924)
    - drm/amd/display: Check link_res->hpo_dp_link_enc before using it
      (CVE-2024-47704)
    - ALSA: hda/hdmi: Add pin fix for another HP EliteDesk 800 G4 model
    - ALSA: hda/realtek: Fix headset mic for TongFang X6[AF]R5xxY
    - Revert "drm/amdgpu: Avoid extra evict-restore process."
    - pcmcia: omap: Add missing check for platform_get_resource
    - pcmcia: Add error handling for add_interval() in do_validate_mem()
    - [arm64] drm/bridge: ti-sn65dsi86: fix REFCLK setting
    - drm/amdgpu: Optimize RAS TA initialization and TA unload funcs
    - drm/amdgpu: remove the check of init status in psp_ras_initialize
    - drm/amd/amdgpu: Fix style problems in amdgpu_psp.c
    - drm/amdgpu: Skip TMR allocation if not required
    - drm/amd: Make flashing messages quieter
    - drm/amdgpu: Replace DRM_* with dev_* in amdgpu_psp.c
    - drm/amd/amdgpu: Fix missing error return on kzalloc failure
    - mm, slub: refactor free debug processing
    - slub: Reflow ___slab_alloc()
    - mm: slub: avoid wake up kswapd in set_track_prepare
    - [arm64,armhf] spi: tegra114: Use value to check for invalid delays
    - [x86] cpufreq: intel_pstate: Rearrange show_no_turbo() and
      store_no_turbo()
    - [x86] cpufreq: intel_pstate: Read global.no_turbo under READ_ONCE()
    - [x86] cpufreq: intel_pstate: Check turbo_is_disabled() in store_no_turbo()
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.152
    - [amd64] Add mitigations for VMSCAPE (CVE-2025-40300):
      - Documentation/hw-vuln: Add VMSCAPE documentation
      - x86/vmscape: Enumerate VMSCAPE bug
      - x86/vmscape: Add conditional IBPB mitigation
      - x86/vmscape: Enable the mitigation
      - x86/bugs: Move cpu_bugs_smt_update() down
      - x86/vmscape: Warn when STIBP is disabled with SMT
      - x86/vmscape: Add old Intel CPUs to affected list
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.153
    - mm: introduce and use {pgd,p4d}_populate_kernel()
    - media: mediatek: vcodec: Fix a resource leak related to the scp device in
      FW initialization (CVE-2025-23160)
    - net: Fix null-ptr-deref by sock_lock_init_class_and_name() and rmmod.
      (CVE-2025-23143)
    - tracing: Do not add length to print format in synthetic events
    - flexfiles/pNFS: fix NULL checks on result of ff_layout_choose_ds_for_read
    - NFSv4: Don't clear capabilities that won't be reset
    - NFSv4: Clear the NFS_CAP_FS_LOCATIONS flag if it is not set
    - NFSv4: Clear the NFS_CAP_XATTR flag if not supported by the server
    - tracing: Fix tracing_marker may trigger page fault during preempt_disable
    - ftrace/samples: Fix function size computation
    - NFSv4/flexfiles: Fix layout merge mirror check.
    - tracing: Silence warning when chunk allocation fails in trace_pid_write
    - tcp_bpf: Call sk_msg_free() when tcp_bpf_send_verdict() fails to allocate
      psock->cork.
    - proc: fix type confusion in pde_set_flags()
    - [x86] KVM: x86: Move open-coded CPUID leaf 0x80000021 EAX bit propagation
      code
    - [x86] KVM: SVM: Return TSA_SQ_NO and TSA_L1_NO bits in __do_cpuid_func()
    - [x86] KVM: SVM: Set synthesized TSA CPUID flags
    - Revert "SUNRPC: Don't allow waiting for exiting tasks"
    - mptcp: sockopt: make sync_socket_options propagate SOCK_KEEPOPEN
    - ocfs2: fix recursive semaphore deadlock in fiemap call
    - net: usb: asix: ax88772: drop phylink use in PM to avoid MDIO runtime PM
      wakeups
    - [armhf] mtd: rawnand: stm32_fmc2: avoid overlapping mappings on ECC buffer
    - [armhf] mtd: rawnand: stm32_fmc2: fix ECC overwrite
    - fuse: check if copy_file_range() returns larger than requested size
    - fuse: prevent overflow in copy_file_range return value
    - libceph: fix invalid accesses to ceph_connection_v1_info
    - mm/damon/sysfs: fix use-after-free in state_show()
    - mm/damon/reclaim: avoid divide-by-zero in damon_reclaim_apply_parameters()
    - mm/damon/lru_sort: avoid divide-by-zero in
      damon_lru_sort_apply_parameters()
    - mm/khugepaged: convert hpage_collapse_scan_pmd() to use folios
    - mm/khugepaged: fix the address passed to notifier on testing young
    - kernfs: Fix UAF in polling when open file is released
    - mm/memory-failure: fix VM_BUG_ON_PAGE(PagePoisoned(page)) when unpoison
      memory
    - Input: i8042 - add TUXEDO InfinityBook Pro Gen10 AMD to i8042 quirk table
    - Revert "net: usb: asix: ax88772: drop phylink use in PM to avoid MDIO
      runtime PM wakeups"
    - tty: hvc_console: Call hvc_kick in hvc_write unconditionally
    - dt-bindings: serial: brcm,bcm7271-uart: Constrain clocks
    - USB: serial: option: add Telit Cinterion FN990A w/audio compositions
    - USB: serial: option: add Telit Cinterion LE910C4-WWX new compositions
    - [arm64,armhf] net: fec: Fix possible NPD in
      fec_enet_phy_reset_after_clk_enable()
    - tunnels: reset the GSO metadata before reusing the skb
    - docs: networking: can: change bcm_msg_head frames member to support
      flexible array
    - igb: fix link test skipping when interface is admin down
    - i40e: fix IRQ freeing in i40e_vsi_request_irq_msix error path
    - can: j1939: j1939_sk_bind(): call j1939_priv_put() immediately when
      j1939_local_ecu_get() failed
    - can: j1939: j1939_local_ecu_get(): undo increment when
      j1939_local_ecu_get() fails
    - net: hsr: Disable promiscuous mode in offload mode
    - net: hsr: Add support for MC filtering at the slave device
    - net: hsr: Add VLAN CTAG filter support
    - hsr: use rtnl lock when iterating over ports
    - hsr: use hsr_for_each_port_rtnl in hsr_port_get_hsr
    - [amd64] dmaengine: idxd: Fix double free in idxd_setup_wqs()
    - [armhf] dmaengine: ti: edma: Fix memory allocation size for
      queue_priority_map
    - hrtimer: Remove unused function
    - hrtimer: Rename __hrtimer_hres_active() to hrtimer_hres_active()
    - hrtimers: Unconditionally update target CPU base after offline timer
      migration
    - USB: gadget: dummy-hcd: Fix locking bug in RT-enabled kernels
    - [arm64] dmaengine: qcom: bam_dma: Fix DT error handling for
      num-channels/ees
    - [arm64] phy: tegra: xusb: fix device and OF node leak at probe
    - [armhf] phy: ti-pipe3: fix device leak at unbind
    - drm/amdgpu: fix a memory leak in fence cleanup when unloading
    - [x86] drm/i915/power: fix size for for_each_set_bit() in abox iteration
    - [arm64] soc: qcom: mdt_loader: Fix error return values in
      mdt_header_valid()
    - [arm64] soc: qcom: mdt_loader: Deal with zero e_shentsize
    - net: hsr: hsr_slave: Fix the promiscuous mode in offload mode

  [ Ben Hutchings ]
  * Revert to using RSA for module signatures (Closes: #1114773)
  * d/b/gencontrol.py: Extend the effect of $DEBIAN_KERNEL_DISABLE_INSTALLER

  [ Santiago Ruano Rincón ]
  * d/salsa-ci.yml: Merge the extract-source job into the build's job script
  * d/salsa-ci.yml: Suppress unreleased changes and mismatching distribution
    lintian tags.
  * d/salsa-ci.yml: Early move orig tarballs back where they can be cached

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 20 Sep 2025 20:53:10 +0200

linux (6.1.148-1) bookworm; urgency=medium

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.148
    - Input: gpio-keys - fix a sleep while atomic with PREEMPT_RT
      (CVE-2025-38335)
    - regulator: core: fix NULL dereference on unbind due to stale coupling data
    - RDMA/core: Rate limit GID cache warning messages
    - iio: adc: ad7949: use spi_is_bpw_supported()
    - regmap: fix potential memory leak of regmap_bus
    - [x86] hyperv: Fix usage of cpu_online_mask to get valid cpu
    - [arm64,armhf] staging: vc04_services: Drop VCHIQ_SUCCESS usage
    - [arm64,armhf] staging: vc04_services: Drop VCHIQ_ERROR usage
    - [arm64,armhf] staging: vc04_services: Drop VCHIQ_RETRY usage
    - [arm64,armhf] staging: vchiq_arm: Make vchiq_shutdown never fail
    - xfrm: interface: fix use-after-free after changing collect_md xfrm
      interface (CVE-2025-38500)
    - net/mlx5: Fix memory leak in cmd_exec()
    - i40e: Add rx_missed_errors for buffer exhaustion
    - i40e: report VF tx_dropped with tx_errors instead of tx_discards
    - i40e: When removing VF MAC filters, only check PF-set MAC
    - net: appletalk: Fix use-after-free in AARP proxy probe
    - can: dev: can_restart(): reverse logic to remove need for goto
    - can: dev: can_restart(): move debug message and stats after successful
      restart
    - can: netlink: can_changelink(): fix NULL pointer deref of struct
      can_priv::do_set_mode
    - [arm64] drm/bridge: ti-sn65dsi86: Remove extra semicolon in
      ti_sn_bridge_probe()
    - [arm64] net: hns3: fix concurrent setting vlan filter issue
    - [arm64] net: hns3: disable interrupt when ptp init failed
    - [arm64] net: hns3: fixed vf get max channels bug
    - [x86] platform/x86: ideapad-laptop: Fix kbd backlight not remembered among
      boots
    - i2c: qup: jump out of the loop in case of timeout
    - i2c: tegra: Fix reset error handling with ACPI
    - i2c: virtio: Avoid hang by using interruptible completion wait
    - bus: fsl-mc: Fix potential double device reference in
      fsl_mc_get_endpoint()
    - ALSA: hda/realtek - Add mute LED support for HP Pavilion 15-eg0xxx
    - [arm64] dpaa2-eth: Fix device reference count leak in MAC endpoint
      handling
    - e1000e: disregard NVM checksum on tgp when valid checksum bit is not set
    - e1000e: ignore uninitialized checksum word on tgp
    - gve: Fix stuck TX queue for DQ queue format
    - ice: Fix a null pointer dereference in ice_copy_and_init_pkg()
    - nilfs2: reject invalid file types when reading inodes
    - mm/zsmalloc: do not pass __GFP_MOVABLE if CONFIG_COMPACTION=n
    - drm/amdkfd: Don't call mmput from MMU notifier callback
    - usb: typec: tcpm: allow to use sink in accessory mode
    - usb: typec: tcpm: allow switching to mode accessory to mux properly
    - usb: typec: tcpm: apply vbus before data bringup in tcpm_src_attach
    - jfs: reject on-disk inodes of an unsupported type (CVE-2025-37925)
    - [x86] comedi: comedi_test: Fix possible deletion of uninitialized timers
    - ALSA: hda/tegra: Add Tegra264 support
    - ALSA: hda: Add missing NVIDIA HDA codec IDs
    - [x86] drm/i915/dp: Fix 2.7 Gbps DP_LINK_BW value on g4x
    - mm: khugepaged: fix call hpage_collapse_scan_file() for anonymous vma
    - erofs: get rid of debug_one_dentry()
    - erofs: sunset erofs_dbg()
    - erofs: drop z_erofs_page_mark_eio()
    - erofs: simplify z_erofs_transform_plain()
    - erofs: address D-cache aliasing
    - usb: chipidea: add USB PHY event
    - usb: phy: mxs: disconnect line when USB charger is attached
    - ethernet: intel: fix building with large NR_CPUS
    - [x86] ASoC: amd: yc: Add DMI entries to support HP 15-fb1xxx
    - ASoC: Intel: fix SND_SOC_SOF dependencies
    - fs_context: fix parameter name in infofc() macro
    - ublk: use vmalloc for ublk_device's __queues
    - hfsplus: remove mutex_lock check in hfsplus_free_extents
    - ASoC: soc-dai: tidyup return value of snd_soc_xlate_tdm_slot_mask()
    - ASoC: ops: dynamically allocate struct snd_ctl_elem_value
    - soc: qcom: QMI encoding/decoding for big endian
    - [arm64] dts: qcom: sdm845: Expand IMEM region
    - [arm64] dts: qcom: sc7180: Expand IMEM region
    - [arm64,armhf] usb: host: xhci-plat: fix incorrect type for of_match
      variable in xhci_plat_probe()
    - usb: misc: apple-mfi-fastcharge: Make power supply names unique
    - vmci: Prevent the dispatching of uninitialized payloads
    - pps: fix poll support
    - Revert "vmci: Prevent the dispatching of uninitialized payloads"
    - powercap: dtpm_cpu: Fix NULL pointer dereference in get_pd_power_uw()
    - usb: early: xhci-dbc: Fix early_ioremap leak
    - [armhf] dts: ti: omap: Fixup pinheader typo
    - [arm64] dts: imx8mm-beacon: Fix HS400 USDHC clock speed
    - [arm64] dts: imx8mn-beacon: Fix HS400 USDHC clock speed
    - PM / devfreq: Check governor before using governor->name
    - cpufreq: intel_pstate: Always use HWP_DESIRED_PERF in passive mode
    - cpufreq: Initialize cpufreq-based frequency-invariance later
    - cpufreq: Init policy->rwsem before it may be possibly used
    - [arm64,armhf] drm/rockchip: cleanup fb when drm_gem_fb_afbc_init failed
    - bpf, sockmap: Fix psock incorrectly pointing to sk
    - bpf, ktls: Fix data corruption when using bpf_msg_pop_data() in ktls
    - net: ipv6: ip6mr: Fix in/out netdev to pass to the FORWARD chain
    - bpftool: Fix memory leak in dump_xx_nlmsg on realloc failure
    - wifi: rtl818x: Kill URBs before clearing tx status queue
    - wifi: iwlwifi: Fix memory leak in iwl_mvm_init()
    - iwlwifi: Add missing check for alloc_ordered_workqueue
    - wifi: ath11k: clear initialized flag for deinit-ed srng lists
    - tcp: fix tcp_ofo_queue() to avoid including too much DUP SACK range
    - net/mlx5: Check device memory pointer before usage
    - drm/amd/pm/powerplay/hwmgr/smu_helper: fix order of mask and value
    - fbcon: Fix outdated registered_fb reference in comment
    - netfilter: nf_tables: adjust lockdep assertions handling
    - net/sched: Restrict conditions for adding duplicating netems to qdisc tree
    - net_sched: act_ctinfo: use atomic64_t for three counters
    - xen/gntdev: remove struct gntdev_copy_batch from stack
    - wifi: rtl8xxxu: Fix RX skb size for aggregation disabled
    - mwl8k: Add missing check after DMA map
    - wifi: mac80211: reject TDLS operations when station is not associated
    - wifi: plfxlc: Fix error handling in usb driver probe
    - wifi: mac80211: Do not schedule stopped TXQs
    - wifi: mac80211: Don't call fq_flow_idx() for management frames
    - wifi: mac80211: Check 802.11 encaps offloading in
      ieee80211_tx_h_select_key()
    - Reapply "wifi: mac80211: Update skb's control block key in
      ieee80211_tx_dequeue()"
    - wifi: brcmfmac: fix P2P discovery failure in P2P peer due to missing P2P
      IE
    - can: peak_usb: fix USB FD devices potential malfunction
    - can: kvaser_pciefd: Store device channel index
    - can: kvaser_usb: Assign netdev.dev_port based on device channel index
    - netfilter: xt_nfacct: don't assume acct name is null-terminated
    - vrf: Drop existing dst reference in vrf_ip6_input_dst
    - ipv6: prevent infinite loop in rt6_nlmsg_size()
    - ipv6: fix possible infinite loop in fib6_info_uses_dev()
    - ipv6: annotate data-races around rt->fib6_nsiblings
    - bpf/preload: Don't select USERMODE_DRIVER
    - PCI: rockchip-host: Fix "Unexpected Completion" log message
    - [arm64] crypto: sun8i-ce - fix nents passed to dma_unmap_sg()
    - [arm*] crypto: marvell/cesa - Fix engine load inaccuracy
    - mtd: fix possible integer overflow in erase_xfer()
    - media: v4l2-ctrls: Fix H264 SEPARATE_COLOUR_PLANE check
    - power: supply: cpcap-charger: Fix null check for power_supply_get_by_name
    - power: supply: max14577: Handle NULL pdata when CONFIG_OF is not set
    - PCI: endpoint: pci-epf-vntb: Return -ENOENT if pci_epc_get_next_free_bar()
      fails
    - [arm64,armhf] pinctrl: sunxi: Fix memory leak on krealloc failure
    - perf sched: Fix memory leaks for evsel->priv in timehist
    - perf sched: Fix memory leaks in 'perf sched latency'
    - [arm64] crypto: inside-secure - Fix `dma_unmap_sg()` nents value
    - crypto: ccp - Fix crash when rebind ccp device for ccp.ko
    - [arm64] RDMA/hns: Fix -Wframe-larger-than issue
    - kernel: trace: preemptirq_delay_test: use offstack cpu mask
    - proc: use the same treatment to check proc_lseek as ones for
      proc_read_iter et.al
    - perf tests bp_account: Fix leaked file descriptor
    - [armhf] clk: sunxi-ng: v3s: Fix de clock definition
    - [ppc64el] scsi: ibmvscsi_tgt: Fix dma_unmap_sg() nents value
    - scsi: elx: efct: Fix dma_unmap_sg() nents value
    - scsi: mvsas: Fix dma_unmap_sg() nents value
    - scsi: isci: Fix dma_unmap_sg() nents value
    - soundwire: stream: restore params when prepare ports fail
    - PCI: endpoint: pci-epf-vntb: Fix the incorrect usage of __iomem attribute
    - fs/orangefs: Allow 2 more characters in do_c_string()
    - dmaengine: mv_xor: Fix missing check after DMA map and missing unmap
    - [x86] crypto: qat - fix seq_file position update in adf_ring_next()
    - fbdev: imxfb: Check fb_add_videomode to prevent null-ptr-deref
    - jfs: fix metapage reference count leak in dbAllocCtl
    - vhost-scsi: Fix log flooding with target does not exist errors
    - bpf: Check flow_dissector ctx accesses are aligned
    - apparmor: ensure WB_HISTORY_SIZE value is a power of 2
    - module: Restore the moduleparam prefix length check
    - ucount: fix atomic_long_inc_below() argument type
    - rtc: ds1307: fix incorrect maximum clock rate handling
    - rtc: hym8563: fix incorrect maximum clock rate handling
    - rtc: nct3018y: fix incorrect maximum clock rate handling
    - rtc: pcf85063: fix incorrect maximum clock rate handling
    - rtc: pcf8563: fix incorrect maximum clock rate handling
    - rtc: rv3028: fix incorrect maximum clock rate handling
    - f2fs: fix KMSAN uninit-value in extent_info usage
    - f2fs: doc: fix wrong quota mount option description
    - f2fs: fix to avoid UAF in f2fs_sync_inode_meta()
    - f2fs: fix to avoid panic in f2fs_evict_inode
    - f2fs: fix to avoid out-of-boundary access in devs.path
    - f2fs: vm_unmap_ram() may be called from an invalid context
    - f2fs: fix to update upper_p in __get_secs_required() correctly
    - f2fs: fix to calculate dirty data during has_not_enough_free_secs()
    - vfio/pci: Separate SR-IOV VF dev_set
    - scsi: mpt3sas: Fix a fw_event memory leak
    - scsi: Revert "scsi: iscsi: Fix HW conn removal use after free"
    - scsi: ufs: core: Use link recovery when h8 exit fails during runtime
      resume
    - scsi: sd: Make sd shutdown issue START STOP UNIT appropriately
    - PCI: pnv_php: Clean up allocated IRQs on unplug
    - PCI: pnv_php: Work around switches with broken presence detection
    - [powerpc*] eeh: Export eeh_unfreeze_pe()
    - [powerpc*] eeh: Rely on dev->link_active_reporting
    - [powerpc*] eeh: Make EEH driver device hotplug safe
    - PCI: pnv_php: Fix surprise plug detection and recovery
    - pNFS/flexfiles: don't attempt pnfs on fatal DS errors
    - sched: Add test_and_clear_wake_up_bit() and atomic_dec_and_wake_up()
    - NFS: Fix wakeup of __nfs_lookup_revalidate() in unblock_revalidate()
    - NFS: Fix filehandle bounds checking in nfs_fh_to_dentry()
    - NFSv4.2: another fix for listxattr
    - NFS: Fixup allocation flags for nfsiod's __GFP_NORETRY
    - netpoll: prevent hanging NAPI when netcons gets enabled
    - phy: mscc: Fix parsing of unicast frames
    - pptp: ensure minimal skb length in pptp_xmit()
    - net/mlx5: Correctly set gso_segs when LRO is used
    - ipv6: reject malicious packets in ipv6_gso_segment()
    - net: drop UFO packets in udp_rcv_segment()
    - benet: fix BUG when creating VFs
    - irqchip: Build IMX_MU_MSI only on ARM
    - ALSA: hda/ca0132: Fix missing error handling in ca0132_alt_select_out()
    - smb: server: remove separate empty_recvmsg_queue
    - smb: server: make sure we call ib_dma_unmap_single() only if we called
      ib_dma_map_single already
    - smb: server: let recv_done() consistently call
      put_recvmsg/smb_direct_disconnect_rdma_connection
    - smb: server: let recv_done() avoid touching data_transfer after
      cleanup/move
    - smb: client: let recv_done() cleanup before notifying the callers.
    - pptp: fix pptp_xmit() error path
    - perf/core: Don't leak AUX buffer refcount on allocation failure
    - perf/core: Exit early on perf_mmap() fail
    - perf/core: Prevent VMA split of buffer mappings
    - net/packet: fix a race in packet_set_ring() and packet_notifier()
    - vsock: Do not allow binding to VMADDR_PORT_ANY
    - ksmbd: fix null pointer dereference error in generate_encryptionkey
    - ksmbd: fix Preauh_HashValue race condition
    - ksmbd: fix corrupted mtime and ctime in smb2_open
    - ksmbd: limit repeated connections from clients with the same IP
      (CVE-2025-38501)
    - smb: server: Fix extension string in ksmbd_extract_shortname()
    - USB: serial: option: add Foxconn T99W709
    - net: usbnet: Avoid potential RCU stall on LINK_CHANGE event
    - net: usbnet: Fix the wrong netif_carrier_on() call
    - [x86] sev: Evict cache lines during SNP memory validation (CVE-2024-36331)
    - ALSA: intel_hdmi: Fix off-by-one error in __hdmi_lpe_audio_probe()
    - ALSA: scarlett2: Add retry on -EPROTO from scarlett2_usb_tx()
    - [x86] fpu: Delay instruction pointer fixup until after warning
    - [mips*] mm: tlb-r4k: Uniquify TLB entries on init
    - mm/hmm: move pmd_to_hmm_pfn_flags() to the respective #ifdeffery
    - usb: gadget : fix use-after-free in composite_dev_cleanup()

  [ Bastian Blank ]
  * Drop not needed extra step to add debug links
  * Sign modules using an ephemeral key: (closes: #1040901)
    - Set MODULE_SIG_ALL to sign all modules.
    - Not longer request Secure Boot signing for modules.
    - Don't trust Secure Boot key any longer.
  * Store build time signing key encrypted.
  * Sign modules and support lockdown always.

  [ Ben Hutchings ]
  * d/b/buildcheck.py, d/rules.real: Run buildcheck.py in setup as well
  * d/b/buildcheck.py: Check config of kernel to be signed
  * d/rules: Include target suite as an input to gencontrol.py
  * Generate kernel ABI name suffix automatically if not configured
  * Delete ABI name suffix and ABI reference
  * d/salsa-ci.yml: Ignore pycodestyle error E241
  * d/rules.real: Move module installation to the image build rule
  * proc: fix missing pde_set_flags() for net proc files

  [ Salvatore Bonaccorso ]
  * [amd64] udeb: kernel-image: Include SPI drivers
  * netlink: avoid infinite retry looping in netlink_unicast()
    (Closes: #1111017)
  * ext4: don't try to clear the orphan_present feature block device is r/o
    (Closes: #1108271)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 26 Aug 2025 22:35:21 +0200

linux (6.1.147-1) bookworm-security; urgency=high

  * New upstream stable update:
    https://www.kernel.org/pub/linux/kernel/v6.x/ChangeLog-6.1.141
    - [arm64,armhf] gpio: pca953x: Add missing header(s)
    - [arm64,armhf] gpio: pca953x: Split pca953x_restore_context() and
      pca953x_save_context()
    - [arm64,armhf] gpio: pca953x: Simplify code with cleanup helpers
    - [arm64,armhf] gpio: pca953x: fix IRQ storm on system wake up
    - [arm64] phy: renesas: rcar-gen3-usb2: Add support to initialize the bus
    - [arm64] phy: renesas: rcar-gen3-usb2: Move IRQ request in probe
    - [arm64] phy: renesas: rcar-gen3-usb2: Lock around hardware registers and
      driver data
    - [arm64] phy: renesas: rcar-gen3-usb2: Assert PLL reset on PHY power off
    - scsi: target: iscsi: Fix timeout on deleted connection
    - virtio_ring: Fix data race by tagging event_triggered as racy for KCSAN
    - dma-mapping: avoid potential unused data compilation warning
    - cgroup: Fix compilation issue due to cgroup_mutex not being exported
    - scsi: mpi3mr: Add level check to control event logging
    - [arm64] net: enetc: refactor bulk flipping of RX buffers to separate
      function
    - drm/amdgpu: Allow P2P access through XGMI
    - bpf: fix possible endless loop in BPF map iteration
    - kconfig: merge_config: use an empty file as initfile
    - [s390x] vfio-ap: Fix no AP queue sharing allowed message written to kernel
      log
    - cifs: Add fallback for SMB2 CREATE without FILE_READ_ATTRIBUTES
    - cifs: Fix querying and creating MF symlinks over SMB1
    - cifs: Fix negotiate retry functionality
    - fuse: Return EPERM rather than ENOSYS from link()
    - NFSv4: Check for delegation validity in
      nfs_start_delegation_return_locked()
    - NFS: Don't allow waiting for exiting tasks
    - SUNRPC: Don't allow waiting for exiting tasks
    - [arm64] Add support for HIP09 Spectre-BHB mitigation
    - tracing: Mark binary printing functions with __printf() attribute
    - mailbox: use error ret code of of_parse_phandle_with_args()
    - fbdev: fsl-diu-fb: add missing device_remove_file()
    - fbcon: Use correct erase colour for clearing in fbcon
    - fbdev: core: tileblit: Implement missing margin clearing for tileblit
    - cifs: Fix establishing NetBIOS session for SMB2+ connection
    - NFSv4: Treat ENETUNREACH errors as fatal for state recovery
    - SUNRPC: rpc_clnt_set_transport() must not change the autobind setting
    - SUNRPC: rpcbind should never reset the port to the value '0'
    - [arm64] thermal/drivers/qoriq: Power down TMU on system suspend
    - dql: Fix dql->limit value when reset.
    - lockdep: Fix wait context check on softirq for PREEMPT_RT
    - objtool: Properly disable uaccess validation
    - pNFS/flexfiles: Report ENETDOWN as a connection error
    - [amd64] PCI: vmd: Disable MSI remapping bypass under Xen
    - libnvdimm/labels: Fix divide error in nd_label_data_init()
    - mmc: host: Wait for Vdd to settle on card power off
    - [x86] mm: Check return value from memblock_phys_alloc_range()
    - [arm64] i2c: qup: Vote for interconnect bandwidth to DRAM
    - i2c: pxa: fix call balance of i2c->clk handling routines
    - btrfs: make btrfs_discard_workfn() block_group ref explicit
    - btrfs: avoid linker error in btrfs_find_create_tree_block()
    - btrfs: run btrfs_error_commit_super() early
    - btrfs: fix non-empty delayed iputs list on unmount due to async workers
    - btrfs: get zone unusable bytes while holding lock at
      btrfs_reclaim_bgs_work()
    - btrfs: send: return -ENAMETOOLONG when attempting a path that is too long
    - drm/amd/display: Guard against setting dispclk low for dcn31x
    - dlm: make tcp still work in multi-link env
    - ext4: reorder capability check last
    - scsi: st: Tighten the page format heuristics with MODE SELECT
    - scsi: st: ERASE does not change tape location
    - vfio/pci: Handle INTx IRQ_NOTCONNECTED
    - bpf: Return prog btf_id without capable check
    - tcp: reorganize tcp_in_ack_event() and tcp_count_delivered()
    - rtc: rv3032: fix EERD location
    - [x86] thunderbolt: Do not add non-active NVM if NVM upgrade is disabled
      for retimer
    - kbuild: fix argument parsing in scripts/config
    - dm: restrict dm device size to 2^63-512 bytes
    - net/smc: use the correct ndev to find pnetid by pnetid table
    - xen: Add support for XenServer 6.1 platform device
    - [arm64,armhf] pinctrl-tegra: Restore SFSEL bit when freeing pins
    - [armhf] ASoC: sun4i-codec: support hp-det-gpios property
    - ext4: reject the 'data_err=abort' option in nojournal mode
    - RDMA/uverbs: Propagate errors from rdma_lookup_get_uobject()
    - posix-timers: Add cond_resched() to posix_timer_add() search loop
    - timer_list: Don't use %pK through printk()
    - netfilter: conntrack: Bound nf_conntrack sysctl writes
    - [arm64] mm: Check PUD_TYPE_TABLE in pud_bad()
    - [armhf] mmc: dw_mmc: add exynos7870 DW MMC support
    - mmc: sdhci: Disable SD card clock before changing parameters
    - [x86] hwmon: (dell-smm) Increment the number of fans
    - ipv6: save dontfrag in cork
    - drm/amd/display: calculate the remain segments for all pipes
    - gfs2: Check for empty queue in run_queue
    - auxdisplay: charlcd: Partially revert "Move hwidth and bwidth to struct
      hd44780_common"
    - [amd64] iommu/amd/pgtbl_v2: Improve error handling
    - crypto: lzo - Fix compression buffer overrun
    - [arm64] tegra: p2597: Fix gpio for vdd-1v8-dis regulator
    - [powerpc*] prom_init: Fixup missing #size-cells on PowerBook6,7
    - ALSA: seq: Improve data consistency at polling
    - tcp: bring back NUMA dispersion in inet_ehash_locks_alloc()
    - rtc: ds1307: stop disabling alarms on probe
    - ieee802154: ca8210: Use proper setters and getters for bitwise types
    - dm cache: prevent BUG_ON by blocking retries on failed device resumes
    - orangefs: Do not truncate file size
    - net: phylink: use pl->link_interface in phylink_expects_phy()
    - remoteproc: qcom_wcnss: Handle platforms with only single power domain
    - drm/amdgpu: Do not program AGP BAR regs under SRIOV in gfxhub_v1_0.c
    - media: cx231xx: set device_caps for 417
    - pinctrl: bcm281xx: Use "unsigned int" instead of bare "unsigned"
    - [armhf] net: ethernet: ti: cpsw_new: populate netdev of_node
    - net: pktgen: fix mpls maximum labels list parsing
    - perf/hw_breakpoint: Return EOPNOTSUPP for unsupported breakpoint type
    - ALSA: hda/realtek: Enable PC beep passthrough for HP EliteBook 855 G7
    - ipv4: fib: Move fib_valid_key_len() to rtm_to_fib_config().
    - drm/rockchip: vop2: Add uv swap for cluster window
    - media: uvcvideo: Add sanity check to uvc_ioctl_xu_ctrl_map
    - [arm64] clk: imx8mp: inform CCF of maximum frequency of clocks
    - [x86] bugs: Make spectre user default depend on MITIGATION_SPECTRE_V2
    - [arm*] hwmon: (gpio-fan) Add missing mutex locks
    - [arm64] PCI: brcmstb: Expand inbound window size up to 64GB
